searchNodes=[{"ref":"RDF.html","title":"RDF","type":"module","doc":"The top-level module of RDF.ex. RDF.ex consists of: modules for the nodes of an RDF graph RDF.Term RDF.IRI RDF.BlankNode RDF.Literal a facility for the mapping of URIs of a vocabulary to Elixir modules and functions: RDF.Vocabulary.Namespace modules for the construction of statements RDF.Triple RDF.Quad RDF.Statement modules for collections of statements RDF.Description RDF.Graph RDF.Dataset RDF.Data RDF.List functions for working with RDF serializations: RDF.Serialization behaviours for the definition of RDF serialization formats RDF.Serialization.Format RDF.Serialization.Decoder RDF.Serialization.Encoder and the implementation of various RDF serialization formats RDF.NTriples RDF.NQuads RDF.Turtle This top-level module provides shortcut functions for the construction of the basic elements and structures of RDF and some general helper functions. For a general introduction you may refer to the guides on the homepage."},{"ref":"RDF.html#bnode/0","title":"RDF.bnode/0","type":"function","doc":"See RDF.BlankNode.new/0."},{"ref":"RDF.html#bnode/1","title":"RDF.bnode/1","type":"function","doc":"See RDF.BlankNode.new/1."},{"ref":"RDF.html#bnode?/1","title":"RDF.bnode?/1","type":"function","doc":"Checks if the given value is a blank node. Examples iex&gt; RDF.bnode?(RDF.bnode) true iex&gt; RDF.bnode?(RDF.iri(&quot;http://example.com/resource&quot;)) false iex&gt; RDF.bnode?(42) false"},{"ref":"RDF.html#boolean/1","title":"RDF.boolean/1","type":"function","doc":"See RDF.Boolean.new/1."},{"ref":"RDF.html#boolean/2","title":"RDF.boolean/2","type":"function","doc":"See RDF.Boolean.new/2."},{"ref":"RDF.html#dataset/0","title":"RDF.dataset/0","type":"function","doc":"See RDF.Dataset.new/0."},{"ref":"RDF.html#dataset/1","title":"RDF.dataset/1","type":"function","doc":"See RDF.Dataset.new/1."},{"ref":"RDF.html#dataset/2","title":"RDF.dataset/2","type":"function","doc":"See RDF.Dataset.new/2."},{"ref":"RDF.html#date/1","title":"RDF.date/1","type":"function","doc":"See RDF.Date.new/1."},{"ref":"RDF.html#date/2","title":"RDF.date/2","type":"function","doc":"See RDF.Date.new/2."},{"ref":"RDF.html#dateTime/1","title":"RDF.dateTime/1","type":"function","doc":"See RDF.DateTime.new/1."},{"ref":"RDF.html#dateTime/2","title":"RDF.dateTime/2","type":"function","doc":"See RDF.DateTime.new/2."},{"ref":"RDF.html#date_time/1","title":"RDF.date_time/1","type":"function","doc":"See RDF.DateTime.new/1."},{"ref":"RDF.html#date_time/2","title":"RDF.date_time/2","type":"function","doc":"See RDF.DateTime.new/2."},{"ref":"RDF.html#datetime/1","title":"RDF.datetime/1","type":"function","doc":"See RDF.DateTime.new/1."},{"ref":"RDF.html#datetime/2","title":"RDF.datetime/2","type":"function","doc":"See RDF.DateTime.new/2."},{"ref":"RDF.html#decimal/1","title":"RDF.decimal/1","type":"function","doc":"See RDF.Decimal.new/1."},{"ref":"RDF.html#decimal/2","title":"RDF.decimal/2","type":"function","doc":"See RDF.Decimal.new/2."},{"ref":"RDF.html#default_base_iri/0","title":"RDF.default_base_iri/0","type":"function","doc":"See RDF.IRI.default_base/0."},{"ref":"RDF.html#default_prefixes/0","title":"RDF.default_prefixes/0","type":"function","doc":"A user-defined RDF.PrefixMap of prefixes to IRI namespaces. This prefix map will be used implicitly wherever a prefix map is expected, but not provided. For example, when you don&#39;t pass a prefix map to the Turtle serializer, this prefix map will be used. By default the standard_prefixes/0 are part of this prefix map, but you can define additional default prefixes via the default_prefixes compile-time configuration. For example: config :rdf, default_prefixes: %{ ex: &quot;http://example.com/&quot; } If you don&#39;t want the standard_prefixes/0 to be part of the default prefixes, or you want to map the standard prefixes to different namespaces (strongly discouraged!), you can set the use_standard_prefixes compile-time configuration flag to false. config :rdf, use_standard_prefixes: false"},{"ref":"RDF.html#default_prefixes/1","title":"RDF.default_prefixes/1","type":"function","doc":"Returns the default_prefixes/0 with additional prefix mappings. The prefix_mappings can be given in any format accepted by RDF.PrefixMap.new/1."},{"ref":"RDF.html#description/1","title":"RDF.description/1","type":"function","doc":"See RDF.Description.new/1."},{"ref":"RDF.html#description/2","title":"RDF.description/2","type":"function","doc":"See RDF.Description.new/2."},{"ref":"RDF.html#description/3","title":"RDF.description/3","type":"function","doc":"See RDF.Description.new/3."},{"ref":"RDF.html#double/1","title":"RDF.double/1","type":"function","doc":"See RDF.Double.new/1."},{"ref":"RDF.html#double/2","title":"RDF.double/2","type":"function","doc":"See RDF.Double.new/2."},{"ref":"RDF.html#false/0","title":"RDF.false/0","type":"function","doc":"See RDF.Boolean.Value.false/0."},{"ref":"RDF.html#first/0","title":"RDF.first/0","type":"function","doc":"See RDF.NS.RDF.first/0."},{"ref":"RDF.html#first/2","title":"RDF.first/2","type":"function","doc":"See RDF.NS.RDF.first/2."},{"ref":"RDF.html#first/3","title":"RDF.first/3","type":"function","doc":"See RDF.NS.RDF.first/3."},{"ref":"RDF.html#first/4","title":"RDF.first/4","type":"function","doc":"See RDF.NS.RDF.first/4."},{"ref":"RDF.html#first/5","title":"RDF.first/5","type":"function","doc":"See RDF.NS.RDF.first/5."},{"ref":"RDF.html#first/6","title":"RDF.first/6","type":"function","doc":"See RDF.NS.RDF.first/6."},{"ref":"RDF.html#graph/0","title":"RDF.graph/0","type":"function","doc":"See RDF.Graph.new/0."},{"ref":"RDF.html#graph/1","title":"RDF.graph/1","type":"function","doc":"See RDF.Graph.new/1."},{"ref":"RDF.html#graph/2","title":"RDF.graph/2","type":"function","doc":"See RDF.Graph.new/2."},{"ref":"RDF.html#graph/3","title":"RDF.graph/3","type":"function","doc":"See RDF.Graph.new/3."},{"ref":"RDF.html#graph/4","title":"RDF.graph/4","type":"function","doc":"See RDF.Graph.new/4."},{"ref":"RDF.html#integer/1","title":"RDF.integer/1","type":"function","doc":"See RDF.Integer.new/1."},{"ref":"RDF.html#integer/2","title":"RDF.integer/2","type":"function","doc":"See RDF.Integer.new/2."},{"ref":"RDF.html#iri/1","title":"RDF.iri/1","type":"function","doc":"See RDF.IRI.new/1."},{"ref":"RDF.html#iri!/1","title":"RDF.iri!/1","type":"function","doc":"See RDF.IRI.new!/1."},{"ref":"RDF.html#iri?/1","title":"RDF.iri?/1","type":"function","doc":"See RDF.IRI.valid?/1."},{"ref":"RDF.html#langString/0","title":"RDF.langString/0","type":"function","doc":"See RDF.NS.RDF.langString/0."},{"ref":"RDF.html#langString/1","title":"RDF.langString/1","type":"function","doc":"See RDF.LangString.new/1."},{"ref":"RDF.html#langString/2","title":"RDF.langString/2","type":"function","doc":"See RDF.LangString.new/2."},{"ref":"RDF.html#lang_string/1","title":"RDF.lang_string/1","type":"function","doc":"See RDF.LangString.new/1."},{"ref":"RDF.html#lang_string/2","title":"RDF.lang_string/2","type":"function","doc":"See RDF.LangString.new/2."},{"ref":"RDF.html#list/1","title":"RDF.list/1","type":"function","doc":""},{"ref":"RDF.html#list/2","title":"RDF.list/2","type":"function","doc":""},{"ref":"RDF.html#list?/1","title":"RDF.list?/1","type":"function","doc":"See RDF.List.node?/1."},{"ref":"RDF.html#list?/2","title":"RDF.list?/2","type":"function","doc":"See RDF.List.node?/2."},{"ref":"RDF.html#literal/1","title":"RDF.literal/1","type":"function","doc":"See RDF.Literal.new/1."},{"ref":"RDF.html#literal/2","title":"RDF.literal/2","type":"function","doc":"See RDF.Literal.new/2."},{"ref":"RDF.html#/0","title":"RDF./0","type":"function","doc":"See RDF.NS.RDF.nil/0."},{"ref":"RDF.html#object/0","title":"RDF.object/0","type":"function","doc":"See RDF.NS.RDF.object/0."},{"ref":"RDF.html#object/2","title":"RDF.object/2","type":"function","doc":"See RDF.NS.RDF.object/2."},{"ref":"RDF.html#object/3","title":"RDF.object/3","type":"function","doc":"See RDF.NS.RDF.object/3."},{"ref":"RDF.html#object/4","title":"RDF.object/4","type":"function","doc":"See RDF.NS.RDF.object/4."},{"ref":"RDF.html#object/5","title":"RDF.object/5","type":"function","doc":"See RDF.NS.RDF.object/5."},{"ref":"RDF.html#object/6","title":"RDF.object/6","type":"function","doc":"See RDF.NS.RDF.object/6."},{"ref":"RDF.html#predicate/0","title":"RDF.predicate/0","type":"function","doc":"See RDF.NS.RDF.predicate/0."},{"ref":"RDF.html#predicate/2","title":"RDF.predicate/2","type":"function","doc":"See RDF.NS.RDF.predicate/2."},{"ref":"RDF.html#predicate/3","title":"RDF.predicate/3","type":"function","doc":"See RDF.NS.RDF.predicate/3."},{"ref":"RDF.html#predicate/4","title":"RDF.predicate/4","type":"function","doc":"See RDF.NS.RDF.predicate/4."},{"ref":"RDF.html#predicate/5","title":"RDF.predicate/5","type":"function","doc":"See RDF.NS.RDF.predicate/5."},{"ref":"RDF.html#predicate/6","title":"RDF.predicate/6","type":"function","doc":"See RDF.NS.RDF.predicate/6."},{"ref":"RDF.html#prefix_map/1","title":"RDF.prefix_map/1","type":"function","doc":"See RDF.PrefixMap.new/1."},{"ref":"RDF.html#quad/1","title":"RDF.quad/1","type":"function","doc":"See RDF.Quad.new/1."},{"ref":"RDF.html#quad/4","title":"RDF.quad/4","type":"function","doc":"See RDF.Quad.new/4."},{"ref":"RDF.html#read_file/2","title":"RDF.read_file/2","type":"function","doc":"See RDF.Serialization.read_file/2."},{"ref":"RDF.html#read_file!/2","title":"RDF.read_file!/2","type":"function","doc":"See RDF.Serialization.read_file!/2."},{"ref":"RDF.html#read_string/2","title":"RDF.read_string/2","type":"function","doc":"See RDF.Serialization.read_string/2."},{"ref":"RDF.html#read_string!/2","title":"RDF.read_string!/2","type":"function","doc":"See RDF.Serialization.read_string!/2."},{"ref":"RDF.html#resource?/1","title":"RDF.resource?/1","type":"function","doc":"Checks if the given value is a RDF resource. Examples Supposed EX is a RDF.Vocabulary.Namespace and Foo is not. iex&gt; RDF.resource?(RDF.iri(&quot;http://example.com/resource&quot;)) true iex&gt; RDF.resource?(EX.resource) true iex&gt; RDF.resource?(EX.Resource) true iex&gt; RDF.resource?(Foo.Resource) false iex&gt; RDF.resource?(RDF.bnode) true iex&gt; RDF.resource?(RDF.integer(42)) false iex&gt; RDF.resource?(42) false"},{"ref":"RDF.html#rest/0","title":"RDF.rest/0","type":"function","doc":"See RDF.NS.RDF.rest/0."},{"ref":"RDF.html#rest/2","title":"RDF.rest/2","type":"function","doc":"See RDF.NS.RDF.rest/2."},{"ref":"RDF.html#rest/3","title":"RDF.rest/3","type":"function","doc":"See RDF.NS.RDF.rest/3."},{"ref":"RDF.html#rest/4","title":"RDF.rest/4","type":"function","doc":"See RDF.NS.RDF.rest/4."},{"ref":"RDF.html#rest/5","title":"RDF.rest/5","type":"function","doc":"See RDF.NS.RDF.rest/5."},{"ref":"RDF.html#rest/6","title":"RDF.rest/6","type":"function","doc":"See RDF.NS.RDF.rest/6."},{"ref":"RDF.html#standard_prefixes/0","title":"RDF.standard_prefixes/0","type":"function","doc":"A fixed set prefixes that will always be part of the default_prefixes/0. %RDF.PrefixMap{ map: %{ rdf: ~I&lt;http://www.w3.org/1999/02/22-rdf-syntax-ns#&gt;, rdfs: ~I&lt;http://www.w3.org/2000/01/rdf-schema#&gt;, xsd: ~I&lt;http://www.w3.org/2001/XMLSchema#&gt; } } See default_prefixes/0, if you don&#39;t want these standard prefixes to be part of the default prefixes."},{"ref":"RDF.html#string/1","title":"RDF.string/1","type":"function","doc":"See RDF.String.new/1."},{"ref":"RDF.html#string/2","title":"RDF.string/2","type":"function","doc":"See RDF.String.new/2."},{"ref":"RDF.html#subject/0","title":"RDF.subject/0","type":"function","doc":"See RDF.NS.RDF.subject/0."},{"ref":"RDF.html#subject/2","title":"RDF.subject/2","type":"function","doc":"See RDF.NS.RDF.subject/2."},{"ref":"RDF.html#subject/3","title":"RDF.subject/3","type":"function","doc":"See RDF.NS.RDF.subject/3."},{"ref":"RDF.html#subject/4","title":"RDF.subject/4","type":"function","doc":"See RDF.NS.RDF.subject/4."},{"ref":"RDF.html#subject/5","title":"RDF.subject/5","type":"function","doc":"See RDF.NS.RDF.subject/5."},{"ref":"RDF.html#subject/6","title":"RDF.subject/6","type":"function","doc":"See RDF.NS.RDF.subject/6."},{"ref":"RDF.html#term?/1","title":"RDF.term?/1","type":"function","doc":"Checks if the given value is a RDF term. Examples Supposed EX is a RDF.Vocabulary.Namespace and Foo is not. iex&gt; RDF.term?(RDF.iri(&quot;http://example.com/resource&quot;)) true iex&gt; RDF.term?(EX.resource) true iex&gt; RDF.term?(EX.Resource) true iex&gt; RDF.term?(Foo.Resource) false iex&gt; RDF.term?(RDF.bnode) true iex&gt; RDF.term?(RDF.integer(42)) true iex&gt; RDF.term?(42) false"},{"ref":"RDF.html#time/1","title":"RDF.time/1","type":"function","doc":"See RDF.Time.new/1."},{"ref":"RDF.html#time/2","title":"RDF.time/2","type":"function","doc":"See RDF.Time.new/2."},{"ref":"RDF.html#triple/1","title":"RDF.triple/1","type":"function","doc":"See RDF.Triple.new/1."},{"ref":"RDF.html#triple/3","title":"RDF.triple/3","type":"function","doc":"See RDF.Triple.new/3."},{"ref":"RDF.html#true/0","title":"RDF.true/0","type":"function","doc":"See RDF.Boolean.Value.true/0."},{"ref":"RDF.html#type/0","title":"RDF.type/0","type":"function","doc":"See RDF.NS.RDF.type/0."},{"ref":"RDF.html#type/2","title":"RDF.type/2","type":"function","doc":"See RDF.NS.RDF.type/2."},{"ref":"RDF.html#type/3","title":"RDF.type/3","type":"function","doc":"See RDF.NS.RDF.type/3."},{"ref":"RDF.html#type/4","title":"RDF.type/4","type":"function","doc":"See RDF.NS.RDF.type/4."},{"ref":"RDF.html#type/5","title":"RDF.type/5","type":"function","doc":"See RDF.NS.RDF.type/5."},{"ref":"RDF.html#type/6","title":"RDF.type/6","type":"function","doc":"See RDF.NS.RDF.type/6."},{"ref":"RDF.html#uri/1","title":"RDF.uri/1","type":"function","doc":"See RDF.IRI.new/1."},{"ref":"RDF.html#uri!/1","title":"RDF.uri!/1","type":"function","doc":"See RDF.IRI.new!/1."},{"ref":"RDF.html#uri?/1","title":"RDF.uri?/1","type":"function","doc":"See RDF.IRI.valid?/1."},{"ref":"RDF.html#value/0","title":"RDF.value/0","type":"function","doc":"See RDF.NS.RDF.value/0."},{"ref":"RDF.html#value/2","title":"RDF.value/2","type":"function","doc":"See RDF.NS.RDF.value/2."},{"ref":"RDF.html#value/3","title":"RDF.value/3","type":"function","doc":"See RDF.NS.RDF.value/3."},{"ref":"RDF.html#value/4","title":"RDF.value/4","type":"function","doc":"See RDF.NS.RDF.value/4."},{"ref":"RDF.html#value/5","title":"RDF.value/5","type":"function","doc":"See RDF.NS.RDF.value/5."},{"ref":"RDF.html#value/6","title":"RDF.value/6","type":"function","doc":"See RDF.NS.RDF.value/6."},{"ref":"RDF.html#write_file/3","title":"RDF.write_file/3","type":"function","doc":"See RDF.Serialization.write_file/3."},{"ref":"RDF.html#write_file!/3","title":"RDF.write_file!/3","type":"function","doc":"See RDF.Serialization.write_file!/3."},{"ref":"RDF.html#write_string/2","title":"RDF.write_string/2","type":"function","doc":"See RDF.Serialization.write_string/2."},{"ref":"RDF.html#write_string!/2","title":"RDF.write_string!/2","type":"function","doc":"See RDF.Serialization.write_string!/2."},{"ref":"RDF.BlankNode.html","title":"RDF.BlankNode","type":"module","doc":"A RDF blank node (aka bnode) is a local node of a graph without an IRI. see https://www.w3.org/TR/rdf11-primer/#section-blank-node and https://www.w3.org/TR/rdf11-concepts/#section-blank-nodes"},{"ref":"RDF.BlankNode.html#equal_value?/2","title":"RDF.BlankNode.equal_value?/2","type":"function","doc":"Tests for value equality of blank nodes. Returns nil when the given arguments are not comparable as blank nodes."},{"ref":"RDF.BlankNode.html#new/0","title":"RDF.BlankNode.new/0","type":"function","doc":"Creates a RDF.BlankNode with an arbitrary internal id."},{"ref":"RDF.BlankNode.html#new/1","title":"RDF.BlankNode.new/1","type":"function","doc":"Creates a RDF.BlankNode with a user-defined identity. Examples iex&gt; RDF.bnode(:foo) %RDF.BlankNode{id: &quot;foo&quot;}"},{"ref":"RDF.BlankNode.html#t:t/0","title":"RDF.BlankNode.t/0","type":"type","doc":""},{"ref":"RDF.BlankNode.Generator.html","title":"RDF.BlankNode.Generator","type":"module","doc":"A GenServer generates RDF.BlankNodes using a RDF.BlankNode.Generator.Algorithm."},{"ref":"RDF.BlankNode.Generator.html#child_spec/1","title":"RDF.BlankNode.Generator.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"RDF.BlankNode.Generator.html#generate/1","title":"RDF.BlankNode.Generator.generate/1","type":"function","doc":"Generates a new blank node according to the RDF.BlankNode.Generator.Algorithm set up."},{"ref":"RDF.BlankNode.Generator.html#generate_for/2","title":"RDF.BlankNode.Generator.generate_for/2","type":"function","doc":"Generates a blank node for a given value according to the RDF.BlankNode.Generator.Algorithm set up."},{"ref":"RDF.BlankNode.Generator.html#start/2","title":"RDF.BlankNode.Generator.start/2","type":"function","doc":"Starts a blank node generator process without links (outside of a supervision tree). The state will be initialized according to the given RDF.BlankNode.Generator.Algorithm."},{"ref":"RDF.BlankNode.Generator.html#start_link/2","title":"RDF.BlankNode.Generator.start_link/2","type":"function","doc":"Starts a blank node generator linked to the current process. The state will be initialized according to the given RDF.BlankNode.Generator.Algorithm."},{"ref":"RDF.BlankNode.Generator.html#stop/3","title":"RDF.BlankNode.Generator.stop/3","type":"function","doc":"Synchronously stops the blank node generator with the given reason. It returns :ok if the agent terminates with the given reason. If the agent terminates with another reason, the call will exit. This function keeps OTP semantics regarding error reporting. If the reason is any other than :normal, :shutdown or {:shutdown, _}, an error report will be logged."},{"ref":"RDF.BlankNode.Generator.Algorithm.html","title":"RDF.BlankNode.Generator.Algorithm","type":"behaviour","doc":"A behaviour for implementations of blank node identifier generation algorithms. The RDF.BlankNode.Generator executes such an algorithm and holds its state."},{"ref":"RDF.BlankNode.Generator.Algorithm.html#c:generate/1","title":"RDF.BlankNode.Generator.Algorithm.generate/1","type":"callback","doc":"Generates a blank node. An implementation should compute a blank node from the given state and return a tuple consisting of the generated blank node and the new state."},{"ref":"RDF.BlankNode.Generator.Algorithm.html#c:generate_for/2","title":"RDF.BlankNode.Generator.Algorithm.generate_for/2","type":"callback","doc":"Generates a blank node for a given string. Every call with the same string must return the same blank node. An implementation should compute a blank node for the given string from the given state and return a tuple consisting of the generated blank node and the new state."},{"ref":"RDF.BlankNode.Generator.Algorithm.html#c:init/1","title":"RDF.BlankNode.Generator.Algorithm.init/1","type":"callback","doc":"Returns the initial state of the algorithm."},{"ref":"RDF.BlankNode.Increment.html","title":"RDF.BlankNode.Increment","type":"module","doc":"An implementation of a RDF.BlankNode.Generator.Algorithm which returns RDF.BlankNodes with incremented identifiers. The following options are supported when starting a RDF.BlankNode.Generator with this algorithm: prefix: a string prepended to the generated blank node identifier start_value: the number from which the incremented counter starts"},{"ref":"RDF.Boolean.html","title":"RDF.Boolean","type":"module","doc":"RDF.Datatype for XSD boolean."},{"ref":"RDF.Boolean.html#build_literal/3","title":"RDF.Boolean.build_literal/3","type":"function","doc":""},{"ref":"RDF.Boolean.html#build_literal_by_lexical/2","title":"RDF.Boolean.build_literal_by_lexical/2","type":"function","doc":""},{"ref":"RDF.Boolean.html#build_literal_by_value/2","title":"RDF.Boolean.build_literal_by_value/2","type":"function","doc":""},{"ref":"RDF.Boolean.html#ebv/1","title":"RDF.Boolean.ebv/1","type":"function","doc":"Returns an Effective Boolean Value (EBV). The Effective Boolean Value is an algorithm to coerce values to a RDF.Boolean. It is specified and used in the SPARQL query language and is based upon XPath&#39;s fn:boolean. Other than specified in these specs any value which can not be converted into a boolean results in nil. see https://www.w3.org/TR/xpath-31/#id-ebv https://www.w3.org/TR/sparql11-query/#ebv"},{"ref":"RDF.Boolean.html#effective/1","title":"RDF.Boolean.effective/1","type":"function","doc":"Alias for ebv/1."},{"ref":"RDF.Boolean.html#fn_not/1","title":"RDF.Boolean.fn_not/1","type":"function","doc":"Returns RDF.true if the effective boolean value of the given argument is RDF.false, or RDF.false if it is RDF.true. Otherwise it returns nil. Examples iex&gt; RDF.Boolean.fn_not(RDF.true) RDF.false iex&gt; RDF.Boolean.fn_not(RDF.false) RDF.true iex&gt; RDF.Boolean.fn_not(true) RDF.false iex&gt; RDF.Boolean.fn_not(false) RDF.true iex&gt; RDF.Boolean.fn_not(42) RDF.false iex&gt; RDF.Boolean.fn_not(&quot;&quot;) RDF.true iex&gt; RDF.Boolean.fn_not(nil) nil see https://www.w3.org/TR/xpath-functions/#func-not"},{"ref":"RDF.Boolean.html#greater_than?/2","title":"RDF.Boolean.greater_than?/2","type":"function","doc":""},{"ref":"RDF.Boolean.html#less_than?/2","title":"RDF.Boolean.less_than?/2","type":"function","doc":""},{"ref":"RDF.Boolean.html#logical_and/2","title":"RDF.Boolean.logical_and/2","type":"function","doc":"Returns the logical AND of the effective boolean value of the given arguments. It returns nil if only one argument is nil and the other argument is RDF.true and RDF.false if the other argument is RDF.false. Examples iex&gt; RDF.Boolean.logical_and(RDF.true, RDF.true) RDF.true iex&gt; RDF.Boolean.logical_and(RDF.true, RDF.false) RDF.false iex&gt; RDF.Boolean.logical_and(RDF.true, nil) nil iex&gt; RDF.Boolean.logical_and(nil, RDF.false) RDF.false iex&gt; RDF.Boolean.logical_and(nil, nil) nil see https://www.w3.org/TR/sparql11-query/#func-logical-and"},{"ref":"RDF.Boolean.html#logical_or/2","title":"RDF.Boolean.logical_or/2","type":"function","doc":"Returns the logical OR of the effective boolean value of the given arguments. It returns nil if only one argument is nil and the other argument is RDF.false and RDF.true if the other argument is RDF.true. Examples iex&gt; RDF.Boolean.logical_or(RDF.true, RDF.false) RDF.true iex&gt; RDF.Boolean.logical_or(RDF.false, RDF.false) RDF.false iex&gt; RDF.Boolean.logical_or(RDF.true, nil) RDF.true iex&gt; RDF.Boolean.logical_or(nil, RDF.false) nil iex&gt; RDF.Boolean.logical_or(nil, nil) nil see https://www.w3.org/TR/sparql11-query/#func-logical-or"},{"ref":"RDF.Boolean.html#new/2","title":"RDF.Boolean.new/2","type":"function","doc":""},{"ref":"RDF.Boolean.html#new!/2","title":"RDF.Boolean.new!/2","type":"function","doc":""},{"ref":"RDF.Boolean.html#validate_cast/1","title":"RDF.Boolean.validate_cast/1","type":"function","doc":""},{"ref":"RDF.Data.html","title":"RDF.Data","type":"protocol","doc":"An abstraction over the different data structures for collections of RDF statements."},{"ref":"RDF.Data.html#delete/2","title":"RDF.Data.delete/2","type":"function","doc":"Deletes statements from a RDF data structure. As opposed to the delete functions on RDF data structures directly, this function only deletes exactly matching structures. TODO: rename this function to make the different semantics explicit"},{"ref":"RDF.Data.html#describes?/2","title":"RDF.Data.describes?/2","type":"function","doc":"Checks if a RDF data structure contains statements about the given resource."},{"ref":"RDF.Data.html#description/2","title":"RDF.Data.description/2","type":"function","doc":"Returns a RDF.Description of the given subject. Note: On a RDF.Dataset this will return an aggregated RDF.Description with the statements about this subject from all graphs."},{"ref":"RDF.Data.html#descriptions/1","title":"RDF.Data.descriptions/1","type":"function","doc":"Returns all RDF.Descriptions within a RDF data structure. Note: On a RDF.Dataset this will return aggregated RDF.Descriptions about the same subject from all graphs."},{"ref":"RDF.Data.html#equal?/2","title":"RDF.Data.equal?/2","type":"function","doc":"Checks if two RDF data structures are equal. Two RDF data structures are considered to be equal if they contain the same triples. comparing two RDF.Descriptions it&#39;s just the same as RDF.Description.equal?/2 comparing two RDF.Graphs differs in RDF.Graph.equal?/2 in that the graph name is ignored comparing two RDF.Datasets differs in RDF.Dataset.equal?/2 in that the dataset name is ignored a RDF.Description is equal to a RDF.Graph, if the graph has just one description which equals the given description a RDF.Description is equal to a RDF.Dataset, if the dataset has just one graph which contains only the given description a RDF.Graph is equal to a RDF.Dataset, if the dataset has just one graph which equals the given graph; note that in this case the graph names must match"},{"ref":"RDF.Data.html#include?/2","title":"RDF.Data.include?/2","type":"function","doc":"Checks if the given statement exists within a RDF data structure."},{"ref":"RDF.Data.html#merge/2","title":"RDF.Data.merge/2","type":"function","doc":"Adds statements to a RDF data structure. As opposed to the specific add functions on the RDF data structures, which always return the same structure type than the first argument, merge might result in another RDF data structure, eg. merging two RDF.Description with different subjects results in a RDF.Graph or adding a quad to a RDF.Graph with a different name than the graph context of the quad results in a RDF.Dataset. But it is always guaranteed that the resulting structure has a RDF.Data implementation."},{"ref":"RDF.Data.html#objects/1","title":"RDF.Data.objects/1","type":"function","doc":"Returns the set of all resources used in the objects within the statements of a RDF data structure."},{"ref":"RDF.Data.html#pop/1","title":"RDF.Data.pop/1","type":"function","doc":"Deletes one statement from a RDF data structure and returns a tuple with deleted statement and the changed data structure."},{"ref":"RDF.Data.html#predicates/1","title":"RDF.Data.predicates/1","type":"function","doc":"Returns the set of all properties used within the statements of RDF data structure."},{"ref":"RDF.Data.html#resources/1","title":"RDF.Data.resources/1","type":"function","doc":"Returns the set of all resources used within the statements of a RDF data structure"},{"ref":"RDF.Data.html#statement_count/1","title":"RDF.Data.statement_count/1","type":"function","doc":"Returns the count of all statements of a RDF data structure."},{"ref":"RDF.Data.html#statements/1","title":"RDF.Data.statements/1","type":"function","doc":"Returns the list of all statements of a RDF data structure."},{"ref":"RDF.Data.html#subject_count/1","title":"RDF.Data.subject_count/1","type":"function","doc":"Returns the count of all resources which are subject of the statements of a RDF data structure."},{"ref":"RDF.Data.html#subjects/1","title":"RDF.Data.subjects/1","type":"function","doc":"Returns the set of all resources which are subject of the statements of a RDF data structure."},{"ref":"RDF.Data.html#values/1","title":"RDF.Data.values/1","type":"function","doc":"Returns a nested map of the native Elixir values of a RDF data structure."},{"ref":"RDF.Data.html#values/2","title":"RDF.Data.values/2","type":"function","doc":"Returns a nested map of the native Elixir values of a RDF data structure with values mapped with the given function."},{"ref":"RDF.Data.html#t:t/0","title":"RDF.Data.t/0","type":"type","doc":""},{"ref":"RDF.Dataset.html","title":"RDF.Dataset","type":"module","doc":"A set of RDF.Graphs. It may have multiple named graphs and at most one unnamed (&quot;default&quot;) graph. RDF.Dataset implements: Elixir&#39;s Access behaviour Elixir&#39;s Enumerable protocol Elixir&#39;s Inspect protocol the RDF.Data protocol"},{"ref":"RDF.Dataset.html#add/3","title":"RDF.Dataset.add/3","type":"function","doc":"Adds triples and quads to a RDF.Dataset. The optional third graph_context argument allows to set a different destination graph to which the statements are added, ignoring the graph context of given quads or the name of given graphs."},{"ref":"RDF.Dataset.html#default_graph/1","title":"RDF.Dataset.default_graph/1","type":"function","doc":"The default graph of a RDF.Dataset."},{"ref":"RDF.Dataset.html#delete/3","title":"RDF.Dataset.delete/3","type":"function","doc":"Deletes statements from a RDF.Dataset. The optional third graph_context argument allows to set a different destination graph from which the statements are deleted, ignoring the graph context of given quads or the name of given graphs. Note: When the statements to be deleted are given as another RDF.Dataset, the dataset name must not match dataset name of the dataset from which the statements are deleted. If you want to delete only datasets with matching names, you can use RDF.Data.delete/2."},{"ref":"RDF.Dataset.html#delete_default_graph/1","title":"RDF.Dataset.delete_default_graph/1","type":"function","doc":"Deletes the default graph."},{"ref":"RDF.Dataset.html#delete_graph/2","title":"RDF.Dataset.delete_graph/2","type":"function","doc":"Deletes the given graph."},{"ref":"RDF.Dataset.html#describes?/3","title":"RDF.Dataset.describes?/3","type":"function","doc":"Checks if a graph of a RDF.Dataset contains statements about the given resource. Examples iex&gt; RDF.Dataset.new([{EX.S1, EX.p1, EX.O1}]) |&gt; RDF.Dataset.describes?(EX.S1) true iex&gt; RDF.Dataset.new([{EX.S1, EX.p1, EX.O1}]) |&gt; RDF.Dataset.describes?(EX.S2) false"},{"ref":"RDF.Dataset.html#equal?/2","title":"RDF.Dataset.equal?/2","type":"function","doc":"Checks if two RDF.Datasets are equal. Two RDF.Datasets are considered to be equal if they contain the same triples and have the same name."},{"ref":"RDF.Dataset.html#fetch/2","title":"RDF.Dataset.fetch/2","type":"function","doc":"Fetches the RDF.Graph with the given name. When a graph with the given name can not be found can not be found :error is returned. Examples iex&gt; dataset = RDF.Dataset.new([{EX.S1, EX.P1, EX.O1, EX.Graph}, {EX.S2, EX.P2, EX.O2}]) ...&gt; RDF.Dataset.fetch(dataset, EX.Graph) {:ok, RDF.Graph.new({EX.S1, EX.P1, EX.O1}, name: EX.Graph)} iex&gt; RDF.Dataset.fetch(dataset, nil) {:ok, RDF.Graph.new({EX.S2, EX.P2, EX.O2})} iex&gt; RDF.Dataset.fetch(dataset, EX.Foo) :error"},{"ref":"RDF.Dataset.html#get/3","title":"RDF.Dataset.get/3","type":"function","doc":"Fetches the RDF.Graph with the given name. When a graph with the given name can not be found can not be found the optionally given default value or nil is returned Examples iex&gt; dataset = RDF.Dataset.new([{EX.S1, EX.P1, EX.O1, EX.Graph}, {EX.S2, EX.P2, EX.O2}]) ...&gt; RDF.Dataset.get(dataset, EX.Graph) RDF.Graph.new({EX.S1, EX.P1, EX.O1}, name: EX.Graph) iex&gt; RDF.Dataset.get(dataset, nil) RDF.Graph.new({EX.S2, EX.P2, EX.O2}) iex&gt; RDF.Dataset.get(dataset, EX.Foo) nil iex&gt; RDF.Dataset.get(dataset, EX.Foo, :bar) :bar"},{"ref":"RDF.Dataset.html#get_and_update/3","title":"RDF.Dataset.get_and_update/3","type":"function","doc":"Gets and updates the graph with the given name, in a single pass. Invokes the passed function on the RDF.Graph with the given name; this function should return either {graph_to_return, new_graph} or :pop. If the passed function returns {graph_to_return, new_graph}, the return value of get_and_update is {graph_to_return, new_dataset} where new_dataset is the input Dataset updated with new_graph for the given name. If the passed function returns :pop the graph with the given name is removed and a {removed_graph, new_dataset} tuple gets returned. Examples iex&gt; dataset = RDF.Dataset.new({EX.S, EX.P, EX.O, EX.Graph}) ...&gt; RDF.Dataset.get_and_update(dataset, EX.Graph, fn current_graph -&gt; ...&gt; {current_graph, {EX.S, EX.P, EX.NEW}} ...&gt; end) {RDF.Graph.new({EX.S, EX.P, EX.O}, name: EX.Graph), RDF.Dataset.new({EX.S, EX.P, EX.NEW, EX.Graph})}"},{"ref":"RDF.Dataset.html#graph/2","title":"RDF.Dataset.graph/2","type":"function","doc":"The graph with given name."},{"ref":"RDF.Dataset.html#graphs/1","title":"RDF.Dataset.graphs/1","type":"function","doc":"The set of all graphs."},{"ref":"RDF.Dataset.html#include?/3","title":"RDF.Dataset.include?/3","type":"function","doc":"Returns if a given statement is in a RDF.Dataset. Examples iex&gt; dataset = RDF.Dataset.new([ ...&gt; {EX.S1, EX.p1, EX.O1, EX.Graph}, ...&gt; {EX.S2, EX.p2, EX.O2}, ...&gt; {EX.S1, EX.p2, EX.O3}]) ...&gt; RDF.Dataset.include?(dataset, {EX.S1, EX.p1, EX.O1, EX.Graph}) true"},{"ref":"RDF.Dataset.html#new/0","title":"RDF.Dataset.new/0","type":"function","doc":"Creates an empty unnamed RDF.Dataset."},{"ref":"RDF.Dataset.html#new/1","title":"RDF.Dataset.new/1","type":"function","doc":"Creates an RDF.Dataset. If a keyword list is given an empty dataset is created. Otherwise an unnamed dataset initialized with the given data is created. See new/2 for available arguments and the different ways to provide data. Examples RDF.Graph.new({EX.S, EX.p, EX.O}) RDF.Graph.new(name: EX.GraphName)"},{"ref":"RDF.Dataset.html#new/2","title":"RDF.Dataset.new/2","type":"function","doc":"Creates an RDF.Dataset initialized with data. The initial RDF triples can be provided as a single statement tuple an RDF.Description an RDF.Graph an RDF.Dataset or a list with any combination of the former Available options: name: the name of the dataset to be created"},{"ref":"RDF.Dataset.html#objects/1","title":"RDF.Dataset.objects/1","type":"function","doc":"The set of all resources used in the objects within a RDF.Dataset. Note: This function does collect only IRIs and BlankNodes, not Literals. Examples iex&gt; RDF.Dataset.new([ ...&gt; {EX.S1, EX.p1, EX.O1, EX.Graph}, ...&gt; {EX.S2, EX.p2, EX.O2, EX.Graph}, ...&gt; {EX.S3, EX.p1, EX.O2}, ...&gt; {EX.S4, EX.p2, RDF.bnode(:bnode)}, ...&gt; {EX.S5, EX.p3, &quot;foo&quot;} ...&gt; ]) |&gt; RDF.Dataset.objects MapSet.new([RDF.iri(EX.O1), RDF.iri(EX.O2), RDF.bnode(:bnode)])"},{"ref":"RDF.Dataset.html#pop/1","title":"RDF.Dataset.pop/1","type":"function","doc":"Pops an arbitrary statement from a RDF.Dataset."},{"ref":"RDF.Dataset.html#pop/2","title":"RDF.Dataset.pop/2","type":"function","doc":"Pops the graph with the given name. When a graph with given name can not be found the optionally given default value or nil is returned. Examples iex&gt; dataset = RDF.Dataset.new([ ...&gt; {EX.S1, EX.P1, EX.O1, EX.Graph}, ...&gt; {EX.S2, EX.P2, EX.O2}]) ...&gt; RDF.Dataset.pop(dataset, EX.Graph) {RDF.Graph.new({EX.S1, EX.P1, EX.O1}, name: EX.Graph), RDF.Dataset.new({EX.S2, EX.P2, EX.O2})} iex&gt; RDF.Dataset.pop(dataset, EX.Foo) {nil, dataset}"},{"ref":"RDF.Dataset.html#predicates/1","title":"RDF.Dataset.predicates/1","type":"function","doc":"The set of all properties used in the predicates within all graphs of a RDF.Dataset. Examples iex&gt; RDF.Dataset.new([ ...&gt; {EX.S1, EX.p1, EX.O1, EX.Graph}, ...&gt; {EX.S2, EX.p2, EX.O2}, ...&gt; {EX.S1, EX.p2, EX.O3}]) |&gt; ...&gt; RDF.Dataset.predicates MapSet.new([EX.p1, EX.p2])"},{"ref":"RDF.Dataset.html#put/3","title":"RDF.Dataset.put/3","type":"function","doc":"Adds statements to a RDF.Dataset and overwrites all existing statements with the same subjects and predicates in the specified graph context. Examples iex&gt; dataset = RDF.Dataset.new({EX.S, EX.P1, EX.O1}) ...&gt; RDF.Dataset.put(dataset, {EX.S, EX.P1, EX.O2}) RDF.Dataset.new({EX.S, EX.P1, EX.O2}) iex&gt; RDF.Dataset.put(dataset, {EX.S, EX.P2, EX.O2}) RDF.Dataset.new([{EX.S, EX.P1, EX.O1}, {EX.S, EX.P2, EX.O2}]) iex&gt; RDF.Dataset.new([{EX.S1, EX.P1, EX.O1}, {EX.S2, EX.P2, EX.O2}]) |&gt; ...&gt; RDF.Dataset.put([{EX.S1, EX.P2, EX.O3}, {EX.S2, EX.P2, EX.O3}]) RDF.Dataset.new([{EX.S1, EX.P1, EX.O1}, {EX.S1, EX.P2, EX.O3}, {EX.S2, EX.P2, EX.O3}])"},{"ref":"RDF.Dataset.html#resources/1","title":"RDF.Dataset.resources/1","type":"function","doc":"The set of all resources used within a RDF.Dataset. Examples iex&gt; RDF.Dataset.new([ ...&gt; {EX.S1, EX.p1, EX.O1, EX.Graph}, ...&gt; {EX.S2, EX.p1, EX.O2, EX.Graph}, ...&gt; {EX.S2, EX.p2, RDF.bnode(:bnode)}, ...&gt; {EX.S3, EX.p1, &quot;foo&quot;} ...&gt; ]) |&gt; RDF.Dataset.resources MapSet.new([RDF.iri(EX.S1), RDF.iri(EX.S2), RDF.iri(EX.S3), RDF.iri(EX.O1), RDF.iri(EX.O2), RDF.bnode(:bnode), EX.p1, EX.p2])"},{"ref":"RDF.Dataset.html#statement_count/1","title":"RDF.Dataset.statement_count/1","type":"function","doc":"The number of statements within a RDF.Dataset. Examples iex&gt; RDF.Dataset.new([ ...&gt; {EX.S1, EX.p1, EX.O1, EX.Graph}, ...&gt; {EX.S2, EX.p2, EX.O2}, ...&gt; {EX.S1, EX.p2, EX.O3}]) |&gt; ...&gt; RDF.Dataset.statement_count 3"},{"ref":"RDF.Dataset.html#statements/1","title":"RDF.Dataset.statements/1","type":"function","doc":"All statements within all graphs of a RDF.Dataset. Examples iex&gt; RDF.Dataset.new([ ...&gt; {EX.S1, EX.p1, EX.O1, EX.Graph}, ...&gt; {EX.S2, EX.p2, EX.O2}, ...&gt; {EX.S1, EX.p2, EX.O3}]) |&gt; ...&gt; RDF.Dataset.statements [{RDF.iri(EX.S1), RDF.iri(EX.p1), RDF.iri(EX.O1), RDF.iri(EX.Graph)}, {RDF.iri(EX.S1), RDF.iri(EX.p2), RDF.iri(EX.O3)}, {RDF.iri(EX.S2), RDF.iri(EX.p2), RDF.iri(EX.O2)}]"},{"ref":"RDF.Dataset.html#subjects/1","title":"RDF.Dataset.subjects/1","type":"function","doc":"The set of all subjects used in the statement within all graphs of a RDF.Dataset. Examples iex&gt; RDF.Dataset.new([ ...&gt; {EX.S1, EX.p1, EX.O1, EX.Graph}, ...&gt; {EX.S2, EX.p2, EX.O2}, ...&gt; {EX.S1, EX.p2, EX.O3}]) |&gt; ...&gt; RDF.Dataset.subjects MapSet.new([RDF.iri(EX.S1), RDF.iri(EX.S2)])"},{"ref":"RDF.Dataset.html#values/2","title":"RDF.Dataset.values/2","type":"function","doc":"Returns a nested map of the native Elixir values of a RDF.Dataset. The optional second argument allows to specify a custom mapping with a function which will receive a tuple {statement_position, rdf_term} where statement_position is one of the atoms :subject, :predicate, :object, or graph_name while rdf_term is the RDF term to be mapped. Examples iex&gt; [ ...&gt; {~I&lt;http://example.com/S&gt;, ~I&lt;http://example.com/p&gt;, ~L&quot;Foo&quot;, ~I&lt;http://example.com/Graph&gt;}, ...&gt; {~I&lt;http://example.com/S&gt;, ~I&lt;http://example.com/p&gt;, RDF.integer(42), } ...&gt; ] ...&gt; |&gt; RDF.Dataset.new() ...&gt; |&gt; RDF.Dataset.values() %{ &quot;http://example.com/Graph&quot; =&gt; %{ &quot;http://example.com/S&quot; =&gt; %{&quot;http://example.com/p&quot; =&gt; [&quot;Foo&quot;]} }, nil =&gt; %{ &quot;http://example.com/S&quot; =&gt; %{&quot;http://example.com/p&quot; =&gt; [42]} } } iex&gt; [ ...&gt; {~I&lt;http://example.com/S&gt;, ~I&lt;http://example.com/p&gt;, ~L&quot;Foo&quot;, ~I&lt;http://example.com/Graph&gt;}, ...&gt; {~I&lt;http://example.com/S&gt;, ~I&lt;http://example.com/p&gt;, RDF.integer(42), } ...&gt; ] ...&gt; |&gt; RDF.Dataset.new() ...&gt; |&gt; RDF.Dataset.values(fn ...&gt; {:graph_name, graph_name} -&gt; ...&gt; graph_name ...&gt; {:predicate, predicate} -&gt; ...&gt; predicate ...&gt; |&gt; to_string() ...&gt; |&gt; String.split(&quot;/&quot;) ...&gt; |&gt; List.last() ...&gt; |&gt; String.to_atom() ...&gt; {_, term} -&gt; ...&gt; RDF.Term.value(term) ...&gt; end) %{ ~I&lt;http://example.com/Graph&gt; =&gt; %{ &quot;http://example.com/S&quot; =&gt; %{p: [&quot;Foo&quot;]} }, nil =&gt; %{ &quot;http://example.com/S&quot; =&gt; %{p: [42]} } }"},{"ref":"RDF.Dataset.html#who_describes/2","title":"RDF.Dataset.who_describes/2","type":"function","doc":"Returns the names of all graphs of a RDF.Dataset containing statements about the given subject. Examples iex&gt; dataset = RDF.Dataset.new([ ...&gt; {EX.S1, EX.p, EX.O}, ...&gt; {EX.S2, EX.p, EX.O}, ...&gt; {EX.S1, EX.p, EX.O, EX.Graph1}, ...&gt; {EX.S2, EX.p, EX.O, EX.Graph2}]) ...&gt; RDF.Dataset.who_describes(dataset, EX.S1) [nil, RDF.iri(EX.Graph1)]"},{"ref":"RDF.Dataset.html#t:t/0","title":"RDF.Dataset.t/0","type":"type","doc":""},{"ref":"RDF.Datatype.html","title":"RDF.Datatype","type":"behaviour","doc":"A behaviour for natively supported literal datatypes. A RDF.Datatype implements the foundational functions for the lexical form, the validation, conversion and canonicalization of typed RDF.Literals."},{"ref":"RDF.Datatype.html#c:canonical/1","title":"RDF.Datatype.canonical/1","type":"callback","doc":"Produces the canonical form of a RDF.Literal."},{"ref":"RDF.Datatype.html#c:canonical_lexical/1","title":"RDF.Datatype.canonical_lexical/1","type":"callback","doc":"Produces the lexical form of a value."},{"ref":"RDF.Datatype.html#c:cast/1","title":"RDF.Datatype.cast/1","type":"callback","doc":"Casts a literal of another datatype into a literal of the datatype the function is implemented on. If the given literal is invalid or can not be converted into this datatype nil is returned."},{"ref":"RDF.Datatype.html#c:compare/2","title":"RDF.Datatype.compare/2","type":"callback","doc":"Compares two RDF.Literals. Returns :gt if first literal is greater than the second in terms of their datatype and :lt for vice versa. If the two literals are equal :eq is returned. For datatypes with only partial ordering :indeterminate is returned when the order of the given literals is not defined. Returns nil when the given arguments are not comparable datatypes or if one them is invalid. The default implementation of the _using__ macro compares the values of the canonical/1 forms of the given literals of this datatype."},{"ref":"RDF.Datatype.html#c:convert/2","title":"RDF.Datatype.convert/2","type":"callback","doc":"Converts a value into a proper native value. If an invalid value is given an implementation should call super, which by default currently just returns nil. Note: If a value is valid is determined by the lexical space of the implemented datatype, not by the Elixir semantics. For example, although 42 is a falsy value according to the Elixir semantics, this is not an element of the lexical value space of an xsd:boolean, so the RDF.Boolean implementation of this datatype calls super."},{"ref":"RDF.Datatype.html#c:equal_value?/2","title":"RDF.Datatype.equal_value?/2","type":"callback","doc":"Checks if the value of two RDF.Literals of this datatype are equal. Non-RDF terms are tried to be coerced via RDF.Term.coerce/1 before comparison. Returns nil when the given arguments are not comparable as literals of this datatype. The default implementation of the _using__ macro compares the values of the canonical/1 forms of the given literals of this datatype."},{"ref":"RDF.Datatype.html#get/1","title":"RDF.Datatype.get/1","type":"function","doc":"Returns the RDF.Datatype for a directly datatype IRI or the datatype IRI of a RDF.Literal."},{"ref":"RDF.Datatype.html#c:id/0","title":"RDF.Datatype.id/0","type":"callback","doc":"The IRI of the datatype."},{"ref":"RDF.Datatype.html#ids/0","title":"RDF.Datatype.ids/0","type":"function","doc":"The IRIs of all datatypes with a RDF.Datatype defined."},{"ref":"RDF.Datatype.html#c:invalid_lexical/1","title":"RDF.Datatype.invalid_lexical/1","type":"callback","doc":"Produces the lexical form of an invalid value of a typed Literal. The default implementation of the _using__ macro just returns to_string representation of the value."},{"ref":"RDF.Datatype.html#c:lexical/1","title":"RDF.Datatype.lexical/1","type":"callback","doc":"Produces the lexical form of a RDF.Literal."},{"ref":"RDF.Datatype.html#mapping/0","title":"RDF.Datatype.mapping/0","type":"function","doc":"The mapping of IRIs of datatypes to their RDF.Datatype."},{"ref":"RDF.Datatype.html#modules/0","title":"RDF.Datatype.modules/0","type":"function","doc":"All defined RDF.Datatype modules."},{"ref":"RDF.Datatype.html#c:valid?/1","title":"RDF.Datatype.valid?/1","type":"callback","doc":"Determines if the value of a RDF.Literal is a member of lexical value space of its datatype."},{"ref":"RDF.Date.html","title":"RDF.Date","type":"module","doc":"RDF.Datatype for XSD date."},{"ref":"RDF.Date.html#build_literal/3","title":"RDF.Date.build_literal/3","type":"function","doc":""},{"ref":"RDF.Date.html#build_literal_by_lexical/2","title":"RDF.Date.build_literal_by_lexical/2","type":"function","doc":""},{"ref":"RDF.Date.html#build_literal_by_value/2","title":"RDF.Date.build_literal_by_value/2","type":"function","doc":""},{"ref":"RDF.Date.html#greater_than?/2","title":"RDF.Date.greater_than?/2","type":"function","doc":""},{"ref":"RDF.Date.html#less_than?/2","title":"RDF.Date.less_than?/2","type":"function","doc":""},{"ref":"RDF.Date.html#new/2","title":"RDF.Date.new/2","type":"function","doc":""},{"ref":"RDF.Date.html#new!/2","title":"RDF.Date.new!/2","type":"function","doc":""},{"ref":"RDF.Date.html#validate_cast/1","title":"RDF.Date.validate_cast/1","type":"function","doc":""},{"ref":"RDF.DateTime.html","title":"RDF.DateTime","type":"module","doc":"RDF.Datatype for XSD dateTime."},{"ref":"RDF.DateTime.html#build_literal/3","title":"RDF.DateTime.build_literal/3","type":"function","doc":""},{"ref":"RDF.DateTime.html#build_literal_by_lexical/2","title":"RDF.DateTime.build_literal_by_lexical/2","type":"function","doc":""},{"ref":"RDF.DateTime.html#build_literal_by_value/2","title":"RDF.DateTime.build_literal_by_value/2","type":"function","doc":""},{"ref":"RDF.DateTime.html#canonical_lexical_with_zone/1","title":"RDF.DateTime.canonical_lexical_with_zone/1","type":"function","doc":"Converts a datetime literal to a canonical string, preserving the zone information."},{"ref":"RDF.DateTime.html#greater_than?/2","title":"RDF.DateTime.greater_than?/2","type":"function","doc":""},{"ref":"RDF.DateTime.html#less_than?/2","title":"RDF.DateTime.less_than?/2","type":"function","doc":""},{"ref":"RDF.DateTime.html#new/2","title":"RDF.DateTime.new/2","type":"function","doc":""},{"ref":"RDF.DateTime.html#new!/2","title":"RDF.DateTime.new!/2","type":"function","doc":""},{"ref":"RDF.DateTime.html#now/0","title":"RDF.DateTime.now/0","type":"function","doc":"Builds a RDF.DateTime literal for current moment in time."},{"ref":"RDF.DateTime.html#tz/1","title":"RDF.DateTime.tz/1","type":"function","doc":"Extracts the timezone string from a RDF.DateTime literal."},{"ref":"RDF.DateTime.html#validate_cast/1","title":"RDF.DateTime.validate_cast/1","type":"function","doc":""},{"ref":"RDF.Decimal.html","title":"RDF.Decimal","type":"module","doc":"RDF.Datatype for XSD decimal."},{"ref":"RDF.Decimal.html#build_literal/3","title":"RDF.Decimal.build_literal/3","type":"function","doc":""},{"ref":"RDF.Decimal.html#build_literal_by_lexical/2","title":"RDF.Decimal.build_literal_by_lexical/2","type":"function","doc":""},{"ref":"RDF.Decimal.html#build_literal_by_value/2","title":"RDF.Decimal.build_literal_by_value/2","type":"function","doc":""},{"ref":"RDF.Decimal.html#canonical_decimal/1","title":"RDF.Decimal.canonical_decimal/1","type":"function","doc":""},{"ref":"RDF.Decimal.html#digit_count/1","title":"RDF.Decimal.digit_count/1","type":"function","doc":"The number of digits in the XML Schema canonical form of the literal value."},{"ref":"RDF.Decimal.html#fraction_digit_count/1","title":"RDF.Decimal.fraction_digit_count/1","type":"function","doc":"The number of digits to the right of the decimal point in the XML Schema canonical form of the literal value."},{"ref":"RDF.Decimal.html#greater_than?/2","title":"RDF.Decimal.greater_than?/2","type":"function","doc":""},{"ref":"RDF.Decimal.html#less_than?/2","title":"RDF.Decimal.less_than?/2","type":"function","doc":""},{"ref":"RDF.Decimal.html#new/2","title":"RDF.Decimal.new/2","type":"function","doc":""},{"ref":"RDF.Decimal.html#new!/2","title":"RDF.Decimal.new!/2","type":"function","doc":""},{"ref":"RDF.Decimal.html#validate_cast/1","title":"RDF.Decimal.validate_cast/1","type":"function","doc":""},{"ref":"RDF.Description.html","title":"RDF.Description","type":"module","doc":"A set of RDF triples about the same subject. RDF.Description implements: Elixir&#39;s Access behaviour Elixir&#39;s Enumerable protocol Elixir&#39;s Inspect protocol the RDF.Data protocol"},{"ref":"RDF.Description.html#add/2","title":"RDF.Description.add/2","type":"function","doc":"Adds statements to a RDF.Description. Note: When the statements to be added are given as another RDF.Description, the subject must not match subject of the description to which the statements are added. As opposed to that RDF.Data.merge/2 will produce a RDF.Graph containing both descriptions."},{"ref":"RDF.Description.html#add/3","title":"RDF.Description.add/3","type":"function","doc":"Add objects to a predicate of a RDF.Description. Examples iex&gt; RDF.Description.add(RDF.Description.new({EX.S, EX.P1, EX.O1}), EX.P2, EX.O2) RDF.Description.new([{EX.S, EX.P1, EX.O1}, {EX.S, EX.P2, EX.O2}]) iex&gt; RDF.Description.add(RDF.Description.new({EX.S, EX.P, EX.O1}), EX.P, [EX.O2, EX.O3]) RDF.Description.new([{EX.S, EX.P, EX.O1}, {EX.S, EX.P, EX.O2}, {EX.S, EX.P, EX.O3}])"},{"ref":"RDF.Description.html#count/1","title":"RDF.Description.count/1","type":"function","doc":"Returns the number of statements of a RDF.Description."},{"ref":"RDF.Description.html#delete/2","title":"RDF.Description.delete/2","type":"function","doc":"Deletes statements from a RDF.Description. Note: When the statements to be deleted are given as another RDF.Description, the subject must not match subject of the description from which the statements are deleted. If you want to delete only a matching description subject, you can use RDF.Data.delete/2."},{"ref":"RDF.Description.html#delete/3","title":"RDF.Description.delete/3","type":"function","doc":"Deletes statements from a RDF.Description."},{"ref":"RDF.Description.html#delete_predicates/2","title":"RDF.Description.delete_predicates/2","type":"function","doc":"Deletes all statements with the given properties."},{"ref":"RDF.Description.html#describes?/2","title":"RDF.Description.describes?/2","type":"function","doc":"Checks if a RDF.Description has the given resource as subject. Examples iex&gt; RDF.Description.new(EX.S1, EX.p1, EX.O1) |&gt; RDF.Description.describes?(EX.S1) true iex&gt; RDF.Description.new(EX.S1, EX.p1, EX.O1) |&gt; RDF.Description.describes?(EX.S2) false"},{"ref":"RDF.Description.html#equal?/2","title":"RDF.Description.equal?/2","type":"function","doc":"Checks if two RDF.Descriptions are equal. Two RDF.Descriptions are considered to be equal if they contain the same triples."},{"ref":"RDF.Description.html#fetch/2","title":"RDF.Description.fetch/2","type":"function","doc":"Fetches the objects for the given predicate of a Description. When the predicate can not be found :error is returned. Examples iex&gt; RDF.Description.fetch(RDF.Description.new({EX.S, EX.p, EX.O}), EX.p) {:ok, [RDF.iri(EX.O)]} iex&gt; RDF.Description.fetch(RDF.Description.new([{EX.S, EX.P, EX.O1}, ...&gt; {EX.S, EX.P, EX.O2}]), EX.P) {:ok, [RDF.iri(EX.O1), RDF.iri(EX.O2)]} iex&gt; RDF.Description.fetch(RDF.Description.new(EX.S), EX.foo) :error"},{"ref":"RDF.Description.html#first/2","title":"RDF.Description.first/2","type":"function","doc":"Gets a single object for the given predicate of a Description. When the predicate can not be found, the optionally given default value or nil is returned. Examples iex&gt; RDF.Description.first(RDF.Description.new({EX.S, EX.P, EX.O}), EX.P) RDF.iri(EX.O) iex&gt; RDF.Description.first(RDF.Description.new(EX.S), EX.foo) nil"},{"ref":"RDF.Description.html#get/3","title":"RDF.Description.get/3","type":"function","doc":"Gets the objects for the given predicate of a Description. When the predicate can not be found, the optionally given default value or nil is returned. Examples iex&gt; RDF.Description.get(RDF.Description.new({EX.S, EX.P, EX.O}), EX.P) [RDF.iri(EX.O)] iex&gt; RDF.Description.get(RDF.Description.new(EX.S), EX.foo) nil iex&gt; RDF.Description.get(RDF.Description.new(EX.S), EX.foo, :bar) :bar"},{"ref":"RDF.Description.html#get_and_update/3","title":"RDF.Description.get_and_update/3","type":"function","doc":"Gets and updates the objects of the given predicate of a Description, in a single pass. Invokes the passed function on the objects of the given predicate; this function should return either {objects_to_return, new_object} or :pop. If the passed function returns {objects_to_return, new_objects}, the return value of get_and_update is {objects_to_return, new_description} where new_description is the input Description updated with new_objects for the given predicate. If the passed function returns :pop the objects for the given predicate are removed and a {removed_objects, new_description} tuple gets returned. Examples iex&gt; RDF.Description.new({EX.S, EX.P, EX.O}) |&gt; ...&gt; RDF.Description.get_and_update(EX.P, fn current_objects -&gt; ...&gt; {current_objects, EX.NEW} ...&gt; end) {[RDF.iri(EX.O)], RDF.Description.new({EX.S, EX.P, EX.NEW})} iex&gt; RDF.Description.new([{EX.S, EX.P1, EX.O1}, {EX.S, EX.P2, EX.O2}]) |&gt; ...&gt; RDF.Description.get_and_update(EX.P1, fn _ -&gt; :pop end) {[RDF.iri(EX.O1)], RDF.Description.new({EX.S, EX.P2, EX.O2})}"},{"ref":"RDF.Description.html#include?/2","title":"RDF.Description.include?/2","type":"function","doc":"Checks if the given statement exists within a RDF.Description."},{"ref":"RDF.Description.html#new/1","title":"RDF.Description.new/1","type":"function","doc":"Creates a new RDF.Description about the given subject with optional initial statements. When given a list of statements, the first one must contain a subject."},{"ref":"RDF.Description.html#new/2","title":"RDF.Description.new/2","type":"function","doc":"Creates a new RDF.Description about the given subject with optional initial statements."},{"ref":"RDF.Description.html#new/3","title":"RDF.Description.new/3","type":"function","doc":"Creates a new RDF.Description about the given subject with optional initial statements."},{"ref":"RDF.Description.html#objects/1","title":"RDF.Description.objects/1","type":"function","doc":"The set of all resources used in the objects within a RDF.Description. Note: This function does collect only IRIs and BlankNodes, not Literals. Examples iex&gt; RDF.Description.new([ ...&gt; {EX.S1, EX.p1, EX.O1}, ...&gt; {EX.p2, EX.O2}, ...&gt; {EX.p3, EX.O2}, ...&gt; {EX.p4, RDF.bnode(:bnode)}, ...&gt; {EX.p3, &quot;foo&quot;} ...&gt; ]) |&gt; RDF.Description.objects MapSet.new([RDF.iri(EX.O1), RDF.iri(EX.O2), RDF.bnode(:bnode)])"},{"ref":"RDF.Description.html#objects/2","title":"RDF.Description.objects/2","type":"function","doc":"The set of all resources used in the objects within a RDF.Description satisfying the given filter criterion."},{"ref":"RDF.Description.html#pop/1","title":"RDF.Description.pop/1","type":"function","doc":"Pops an arbitrary triple from a RDF.Description."},{"ref":"RDF.Description.html#pop/2","title":"RDF.Description.pop/2","type":"function","doc":"Pops the objects of the given predicate of a Description. When the predicate can not be found the optionally given default value or nil is returned. Examples iex&gt; RDF.Description.pop(RDF.Description.new({EX.S, EX.P, EX.O}), EX.P) {[RDF.iri(EX.O)], RDF.Description.new(EX.S)} iex&gt; RDF.Description.pop(RDF.Description.new({EX.S, EX.P, EX.O}), EX.Missing) {nil, RDF.Description.new({EX.S, EX.P, EX.O})}"},{"ref":"RDF.Description.html#predicates/1","title":"RDF.Description.predicates/1","type":"function","doc":"The set of all properties used in the predicates within a RDF.Description. Examples iex&gt; RDF.Description.new([ ...&gt; {EX.S1, EX.p1, EX.O1}, ...&gt; {EX.p2, EX.O2}, ...&gt; {EX.p2, EX.O3}]) |&gt; ...&gt; RDF.Description.predicates MapSet.new([EX.p1, EX.p2])"},{"ref":"RDF.Description.html#put/2","title":"RDF.Description.put/2","type":"function","doc":"Adds statements to a RDF.Description and overwrites all existing statements with already used predicates. Examples iex&gt; RDF.Description.put(RDF.Description.new({EX.S, EX.P, EX.O1}), {EX.P, EX.O2}) RDF.Description.new([{EX.S, EX.P, EX.O2}]) iex&gt; RDF.Description.new({EX.S, EX.P1, EX.O1}) |&gt; ...&gt; RDF.Description.put([{EX.P2, EX.O2}, {EX.S, EX.P2, EX.O3}, {EX.P1, EX.O4}]) RDF.Description.new([{EX.S, EX.P1, EX.O4}, {EX.S, EX.P2, EX.O2}, {EX.S, EX.P2, EX.O3}]) iex&gt; RDF.Description.new({EX.S, EX.P, EX.O1}) |&gt; ...&gt; RDF.Description.put(RDF.Description.new(EX.S, EX.P, [EX.O1, EX.O2])) RDF.Description.new([{EX.S, EX.P, EX.O1}, {EX.S, EX.P, EX.O2}]) iex&gt; RDF.Description.new([{EX.S, EX.P1, EX.O1}, {EX.S, EX.P2, EX.O2}]) |&gt; ...&gt; RDF.Description.put(%{EX.P2 =&gt; [EX.O3, EX.O4]}) RDF.Description.new([{EX.S, EX.P1, EX.O1}, {EX.S, EX.P2, EX.O3}, {EX.S, EX.P2, EX.O4}])"},{"ref":"RDF.Description.html#put/3","title":"RDF.Description.put/3","type":"function","doc":"Puts objects to a predicate of a RDF.Description, overwriting all existing objects. Examples iex&gt; RDF.Description.put(RDF.Description.new({EX.S, EX.P, EX.O1}), EX.P, EX.O2) RDF.Description.new([{EX.S, EX.P, EX.O2}]) iex&gt; RDF.Description.put(RDF.Description.new({EX.S, EX.P1, EX.O1}), EX.P2, EX.O2) RDF.Description.new([{EX.S, EX.P1, EX.O1}, {EX.S, EX.P2, EX.O2}])"},{"ref":"RDF.Description.html#resources/1","title":"RDF.Description.resources/1","type":"function","doc":"The set of all resources used within a RDF.Description. Examples iex&gt; RDF.Description.new([ ...&gt; {EX.S1, EX.p1, EX.O1}, ...&gt; {EX.p2, EX.O2}, ...&gt; {EX.p1, EX.O2}, ...&gt; {EX.p2, RDF.bnode(:bnode)}, ...&gt; {EX.p3, &quot;foo&quot;} ...&gt; ]) |&gt; RDF.Description.resources MapSet.new([RDF.iri(EX.O1), RDF.iri(EX.O2), RDF.bnode(:bnode), EX.p1, EX.p2, EX.p3])"},{"ref":"RDF.Description.html#statements/1","title":"RDF.Description.statements/1","type":"function","doc":"See RDF.Description.triples/1."},{"ref":"RDF.Description.html#triples/1","title":"RDF.Description.triples/1","type":"function","doc":"The list of all triples within a RDF.Description."},{"ref":"RDF.Description.html#values/2","title":"RDF.Description.values/2","type":"function","doc":"Returns a map of the native Elixir values of a RDF.Description. The subject is not part of the result. It can be converted separately with RDF.Term.value/1. The optional second argument allows to specify a custom mapping with a function which will receive a tuple {statement_position, rdf_term} where statement_position is one of the atoms :predicate or :object, while rdf_term is the RDF term to be mapped. Examples iex&gt; {~I&lt;http://example.com/S&gt;, ~I&lt;http://example.com/p&gt;, ~L&quot;Foo&quot;} ...&gt; |&gt; RDF.Description.new() ...&gt; |&gt; RDF.Description.values() %{&quot;http://example.com/p&quot; =&gt; [&quot;Foo&quot;]} iex&gt; {~I&lt;http://example.com/S&gt;, ~I&lt;http://example.com/p&gt;, ~L&quot;Foo&quot;} ...&gt; |&gt; RDF.Description.new() ...&gt; |&gt; RDF.Description.values(fn ...&gt; {:predicate, predicate} -&gt; ...&gt; predicate ...&gt; |&gt; to_string() ...&gt; |&gt; String.split(&quot;/&quot;) ...&gt; |&gt; List.last() ...&gt; |&gt; String.to_atom() ...&gt; {_, term} -&gt; ...&gt; RDF.Term.value(term) ...&gt; end) %{p: [&quot;Foo&quot;]}"},{"ref":"RDF.Description.html#t:t/0","title":"RDF.Description.t/0","type":"type","doc":""},{"ref":"RDF.Double.html","title":"RDF.Double","type":"module","doc":"RDF.Datatype for XSD double."},{"ref":"RDF.Double.html#build_literal/3","title":"RDF.Double.build_literal/3","type":"function","doc":""},{"ref":"RDF.Double.html#build_literal_by_lexical/2","title":"RDF.Double.build_literal_by_lexical/2","type":"function","doc":""},{"ref":"RDF.Double.html#build_literal_by_value/2","title":"RDF.Double.build_literal_by_value/2","type":"function","doc":""},{"ref":"RDF.Double.html#greater_than?/2","title":"RDF.Double.greater_than?/2","type":"function","doc":""},{"ref":"RDF.Double.html#less_than?/2","title":"RDF.Double.less_than?/2","type":"function","doc":""},{"ref":"RDF.Double.html#new/2","title":"RDF.Double.new/2","type":"function","doc":""},{"ref":"RDF.Double.html#new!/2","title":"RDF.Double.new!/2","type":"function","doc":""},{"ref":"RDF.Double.html#validate_cast/1","title":"RDF.Double.validate_cast/1","type":"function","doc":""},{"ref":"RDF.Graph.html","title":"RDF.Graph","type":"module","doc":"A set of RDF triples with an optional name. RDF.Graph implements: Elixir&#39;s Access behaviour Elixir&#39;s Enumerable protocol Elixir&#39;s Inspect protocol the RDF.Data protocol"},{"ref":"RDF.Graph.html#add/2","title":"RDF.Graph.add/2","type":"function","doc":"Adds triples to a RDF.Graph. When the statements to be added are given as another RDF.Graph, the graph name must not match graph name of the graph to which the statements are added. As opposed to that RDF.Data.merge/2 will produce a RDF.Dataset containing both graphs. Also when the statements to be added are given as another RDF.Graph, the prefixes of this graph will be added. In case of conflicting prefix mappings the original prefix from graph will be kept."},{"ref":"RDF.Graph.html#add/4","title":"RDF.Graph.add/4","type":"function","doc":"Adds triples to a RDF.Graph."},{"ref":"RDF.Graph.html#add_prefixes/3","title":"RDF.Graph.add_prefixes/3","type":"function","doc":"Adds prefixes to the given graph. The prefixes mappings can be given as any structure convertible to a RDF.PrefixMap. When a prefix with another mapping already exists it will be overwritten with the new one. This behaviour can be customized by providing a conflict_resolver function. See RDF.PrefixMap.merge/3 for more on that."},{"ref":"RDF.Graph.html#clear_base_iri/1","title":"RDF.Graph.clear_base_iri/1","type":"function","doc":"Clears the base IRI of the given graph."},{"ref":"RDF.Graph.html#clear_metadata/1","title":"RDF.Graph.clear_metadata/1","type":"function","doc":"Clears the base IRI and all prefixes of the given graph."},{"ref":"RDF.Graph.html#clear_prefixes/1","title":"RDF.Graph.clear_prefixes/1","type":"function","doc":"Clears all prefixes of the given graph."},{"ref":"RDF.Graph.html#delete/2","title":"RDF.Graph.delete/2","type":"function","doc":"Deletes statements from a RDF.Graph. Note: When the statements to be deleted are given as another RDF.Graph, the graph name must not match graph name of the graph from which the statements are deleted. If you want to delete only graphs with matching names, you can use RDF.Data.delete/2."},{"ref":"RDF.Graph.html#delete/4","title":"RDF.Graph.delete/4","type":"function","doc":"Deletes statements from a RDF.Graph."},{"ref":"RDF.Graph.html#delete_prefixes/2","title":"RDF.Graph.delete_prefixes/2","type":"function","doc":"Deletes prefixes from the given graph. The prefixes can be a single prefix or a list of prefixes. Prefixes not in prefixes of the graph are simply ignored."},{"ref":"RDF.Graph.html#delete_subjects/2","title":"RDF.Graph.delete_subjects/2","type":"function","doc":"Deletes all statements with the given subjects."},{"ref":"RDF.Graph.html#describes?/2","title":"RDF.Graph.describes?/2","type":"function","doc":"Checks if a RDF.Graph contains statements about the given resource. Examples iex&gt; RDF.Graph.new([{EX.S1, EX.p1, EX.O1}]) |&gt; RDF.Graph.describes?(EX.S1) true iex&gt; RDF.Graph.new([{EX.S1, EX.p1, EX.O1}]) |&gt; RDF.Graph.describes?(EX.S2) false"},{"ref":"RDF.Graph.html#description/2","title":"RDF.Graph.description/2","type":"function","doc":"The RDF.Description of the given subject."},{"ref":"RDF.Graph.html#descriptions/1","title":"RDF.Graph.descriptions/1","type":"function","doc":"All RDF.Descriptions within a RDF.Graph."},{"ref":"RDF.Graph.html#equal?/2","title":"RDF.Graph.equal?/2","type":"function","doc":"Checks if two RDF.Graphs are equal. Two RDF.Graphs are considered to be equal if they contain the same triples and have the same name. The prefixes of the graph are irrelevant for equality."},{"ref":"RDF.Graph.html#fetch/2","title":"RDF.Graph.fetch/2","type":"function","doc":"Fetches the description of the given subject. When the subject can not be found :error is returned. Examples iex&gt; RDF.Graph.new([{EX.S1, EX.P1, EX.O1}, {EX.S2, EX.P2, EX.O2}]) |&gt; ...&gt; RDF.Graph.fetch(EX.S1) {:ok, RDF.Description.new({EX.S1, EX.P1, EX.O1})} iex&gt; RDF.Graph.fetch(RDF.Graph.new, EX.foo) :error"},{"ref":"RDF.Graph.html#get/3","title":"RDF.Graph.get/3","type":"function","doc":"Gets the description of the given subject. When the subject can not be found the optionally given default value or nil is returned. Examples iex&gt; RDF.Graph.new([{EX.S1, EX.P1, EX.O1}, {EX.S2, EX.P2, EX.O2}]) |&gt; ...&gt; RDF.Graph.get(EX.S1) RDF.Description.new({EX.S1, EX.P1, EX.O1}) iex&gt; RDF.Graph.get(RDF.Graph.new, EX.Foo) nil iex&gt; RDF.Graph.get(RDF.Graph.new, EX.Foo, :bar) :bar"},{"ref":"RDF.Graph.html#get_and_update/3","title":"RDF.Graph.get_and_update/3","type":"function","doc":"Gets and updates the description of the given subject, in a single pass. Invokes the passed function on the RDF.Description of the given subject; this function should return either {description_to_return, new_description} or :pop. If the passed function returns {description_to_return, new_description}, the return value of get_and_update is {description_to_return, new_graph} where new_graph is the input Graph updated with new_description for the given subject. If the passed function returns :pop the description for the given subject is removed and a {removed_description, new_graph} tuple gets returned. Examples iex&gt; RDF.Graph.new({EX.S, EX.P, EX.O}) |&gt; ...&gt; RDF.Graph.get_and_update(EX.S, fn current_description -&gt; ...&gt; {current_description, {EX.P, EX.NEW}} ...&gt; end) {RDF.Description.new(EX.S, EX.P, EX.O), RDF.Graph.new(EX.S, EX.P, EX.NEW)}"},{"ref":"RDF.Graph.html#include?/2","title":"RDF.Graph.include?/2","type":"function","doc":"Checks if the given statement exists within a RDF.Graph."},{"ref":"RDF.Graph.html#new/0","title":"RDF.Graph.new/0","type":"function","doc":"Creates an empty unnamed RDF.Graph."},{"ref":"RDF.Graph.html#new/1","title":"RDF.Graph.new/1","type":"function","doc":"Creates an RDF.Graph. If a keyword list is given an empty graph is created. Otherwise an unnamed graph initialized with the given data is created. See new/2 for available arguments and the different ways to provide data. Examples RDF.Graph.new({EX.S, EX.p, EX.O}) RDF.Graph.new(name: EX.GraphName)"},{"ref":"RDF.Graph.html#new/2","title":"RDF.Graph.new/2","type":"function","doc":"Creates an RDF.Graph initialized with data. The initial RDF triples can be provided as a single statement tuple an RDF.Description an RDF.Graph or a list with any combination of the former Available options: name: the name of the graph to be created prefixes: some prefix mappings which should be stored alongside the graph and will be used for example when serializing in a format with prefix support base_iri: a base IRI which should be stored alongside the graph and will be used for example when serializing in a format with base IRI support Examples RDF.Graph.new({EX.S, EX.p, EX.O}) RDF.Graph.new({EX.S, EX.p, EX.O}, name: EX.GraphName) RDF.Graph.new({EX.S, EX.p, [EX.O1, EX.O2]}) RDF.Graph.new([{EX.S1, EX.p1, EX.O1}, {EX.S2, EX.p2, EX.O2}]) RDF.Graph.new(RDF.Description.new(EX.S, EX.P, EX.O)) RDF.Graph.new([graph, description, triple]) RDF.Graph.new({EX.S, EX.p, EX.O}, name: EX.GraphName, base_iri: EX.base)"},{"ref":"RDF.Graph.html#new/4","title":"RDF.Graph.new/4","type":"function","doc":"Creates an RDF.Graph with initial triples. See new/2 for available arguments."},{"ref":"RDF.Graph.html#objects/1","title":"RDF.Graph.objects/1","type":"function","doc":"The set of all resources used in the objects within a RDF.Graph. Note: This function does collect only IRIs and BlankNodes, not Literals. Examples iex&gt; RDF.Graph.new([ ...&gt; {EX.S1, EX.p1, EX.O1}, ...&gt; {EX.S2, EX.p2, EX.O2}, ...&gt; {EX.S3, EX.p1, EX.O2}, ...&gt; {EX.S4, EX.p2, RDF.bnode(:bnode)}, ...&gt; {EX.S5, EX.p3, &quot;foo&quot;} ...&gt; ]) |&gt; RDF.Graph.objects MapSet.new([RDF.iri(EX.O1), RDF.iri(EX.O2), RDF.bnode(:bnode)])"},{"ref":"RDF.Graph.html#pop/1","title":"RDF.Graph.pop/1","type":"function","doc":"Pops an arbitrary triple from a RDF.Graph."},{"ref":"RDF.Graph.html#pop/2","title":"RDF.Graph.pop/2","type":"function","doc":"Pops the description of the given subject. When the subject can not be found the optionally given default value or nil is returned. Examples iex&gt; RDF.Graph.new([{EX.S1, EX.P1, EX.O1}, {EX.S2, EX.P2, EX.O2}]) |&gt; ...&gt; RDF.Graph.pop(EX.S1) {RDF.Description.new({EX.S1, EX.P1, EX.O1}), RDF.Graph.new({EX.S2, EX.P2, EX.O2})} iex&gt; RDF.Graph.pop(RDF.Graph.new({EX.S, EX.P, EX.O}), EX.Missing) {nil, RDF.Graph.new({EX.S, EX.P, EX.O})}"},{"ref":"RDF.Graph.html#predicates/1","title":"RDF.Graph.predicates/1","type":"function","doc":"The set of all properties used in the predicates of the statements within a RDF.Graph. Examples iex&gt; RDF.Graph.new([ ...&gt; {EX.S1, EX.p1, EX.O1}, ...&gt; {EX.S2, EX.p2, EX.O2}, ...&gt; {EX.S1, EX.p2, EX.O3}]) |&gt; ...&gt; RDF.Graph.predicates MapSet.new([EX.p1, EX.p2])"},{"ref":"RDF.Graph.html#put/2","title":"RDF.Graph.put/2","type":"function","doc":"Adds statements to a RDF.Graph and overwrites all existing statements with the same subjects and predicates. When the statements to be added are given as another RDF.Graph, the prefixes of this graph will be added. In case of conflicting prefix mappings the original prefix from graph will be kept. Examples iex&gt; RDF.Graph.new([{EX.S1, EX.P1, EX.O1}, {EX.S2, EX.P2, EX.O2}]) |&gt; ...&gt; RDF.Graph.put([{EX.S1, EX.P2, EX.O3}, {EX.S2, EX.P2, EX.O3}]) RDF.Graph.new([{EX.S1, EX.P1, EX.O1}, {EX.S1, EX.P2, EX.O3}, {EX.S2, EX.P2, EX.O3}])"},{"ref":"RDF.Graph.html#put/3","title":"RDF.Graph.put/3","type":"function","doc":"Add statements to a RDF.Graph, overwriting all statements with the same subject and predicate."},{"ref":"RDF.Graph.html#put/4","title":"RDF.Graph.put/4","type":"function","doc":"Add statements to a RDF.Graph, overwriting all statements with the same subject and predicate. Examples iex&gt; RDF.Graph.new(EX.S, EX.P, EX.O1) |&gt; RDF.Graph.put(EX.S, EX.P, EX.O2) RDF.Graph.new(EX.S, EX.P, EX.O2) iex&gt; RDF.Graph.new(EX.S, EX.P1, EX.O1) |&gt; RDF.Graph.put(EX.S, EX.P2, EX.O2) RDF.Graph.new([{EX.S, EX.P1, EX.O1}, {EX.S, EX.P2, EX.O2}])"},{"ref":"RDF.Graph.html#resources/1","title":"RDF.Graph.resources/1","type":"function","doc":"The set of all resources used within a RDF.Graph. Examples iex&gt; RDF.Graph.new([ ...&gt; {EX.S1, EX.p1, EX.O1}, ...&gt; {EX.S2, EX.p1, EX.O2}, ...&gt; {EX.S2, EX.p2, RDF.bnode(:bnode)}, ...&gt; {EX.S3, EX.p1, &quot;foo&quot;} ...&gt; ]) |&gt; RDF.Graph.resources MapSet.new([RDF.iri(EX.S1), RDF.iri(EX.S2), RDF.iri(EX.S3), RDF.iri(EX.O1), RDF.iri(EX.O2), RDF.bnode(:bnode), EX.p1, EX.p2])"},{"ref":"RDF.Graph.html#set_base_iri/2","title":"RDF.Graph.set_base_iri/2","type":"function","doc":"Sets the base IRI of the given graph. The base_iri can be given as anything accepted by RDF.IRI.coerce_base/1."},{"ref":"RDF.Graph.html#statements/1","title":"RDF.Graph.statements/1","type":"function","doc":"See RDF.Graph.triples/1."},{"ref":"RDF.Graph.html#subject_count/1","title":"RDF.Graph.subject_count/1","type":"function","doc":"The number of subjects within a RDF.Graph. Examples iex&gt; RDF.Graph.new([ ...&gt; {EX.S1, EX.p1, EX.O1}, ...&gt; {EX.S2, EX.p2, EX.O2}, ...&gt; {EX.S1, EX.p2, EX.O3}]) |&gt; ...&gt; RDF.Graph.subject_count 2"},{"ref":"RDF.Graph.html#subjects/1","title":"RDF.Graph.subjects/1","type":"function","doc":"The set of all subjects used in the statements within a RDF.Graph. Examples iex&gt; RDF.Graph.new([ ...&gt; {EX.S1, EX.p1, EX.O1}, ...&gt; {EX.S2, EX.p2, EX.O2}, ...&gt; {EX.S1, EX.p2, EX.O3}]) |&gt; ...&gt; RDF.Graph.subjects MapSet.new([RDF.iri(EX.S1), RDF.iri(EX.S2)])"},{"ref":"RDF.Graph.html#triple_count/1","title":"RDF.Graph.triple_count/1","type":"function","doc":"The number of statements within a RDF.Graph. Examples iex&gt; RDF.Graph.new([ ...&gt; {EX.S1, EX.p1, EX.O1}, ...&gt; {EX.S2, EX.p2, EX.O2}, ...&gt; {EX.S1, EX.p2, EX.O3}]) |&gt; ...&gt; RDF.Graph.triple_count 3"},{"ref":"RDF.Graph.html#triples/1","title":"RDF.Graph.triples/1","type":"function","doc":"The list of all statements within a RDF.Graph. Examples iex&gt; RDF.Graph.new([ ...&gt; {EX.S1, EX.p1, EX.O1}, ...&gt; {EX.S2, EX.p2, EX.O2}, ...&gt; {EX.S1, EX.p2, EX.O3} ...&gt; ]) |&gt; RDF.Graph.triples [{RDF.iri(EX.S1), RDF.iri(EX.p1), RDF.iri(EX.O1)}, {RDF.iri(EX.S1), RDF.iri(EX.p2), RDF.iri(EX.O3)}, {RDF.iri(EX.S2), RDF.iri(EX.p2), RDF.iri(EX.O2)}]"},{"ref":"RDF.Graph.html#values/2","title":"RDF.Graph.values/2","type":"function","doc":"Returns a nested map of the native Elixir values of a RDF.Graph. The optional second argument allows to specify a custom mapping with a function which will receive a tuple {statement_position, rdf_term} where statement_position is one of the atoms :subject, :predicate or :object, while rdf_term is the RDF term to be mapped. Examples iex&gt; [ ...&gt; {~I&lt;http://example.com/S1&gt;, ~I&lt;http://example.com/p&gt;, ~L&quot;Foo&quot;}, ...&gt; {~I&lt;http://example.com/S2&gt;, ~I&lt;http://example.com/p&gt;, RDF.integer(42)} ...&gt; ] ...&gt; |&gt; RDF.Graph.new() ...&gt; |&gt; RDF.Graph.values() %{ &quot;http://example.com/S1&quot; =&gt; %{&quot;http://example.com/p&quot; =&gt; [&quot;Foo&quot;]}, &quot;http://example.com/S2&quot; =&gt; %{&quot;http://example.com/p&quot; =&gt; [42]} } iex&gt; [ ...&gt; {~I&lt;http://example.com/S1&gt;, ~I&lt;http://example.com/p&gt;, ~L&quot;Foo&quot;}, ...&gt; {~I&lt;http://example.com/S2&gt;, ~I&lt;http://example.com/p&gt;, RDF.integer(42)} ...&gt; ] ...&gt; |&gt; RDF.Graph.new() ...&gt; |&gt; RDF.Graph.values(fn ...&gt; {:predicate, predicate} -&gt; ...&gt; predicate ...&gt; |&gt; to_string() ...&gt; |&gt; String.split(&quot;/&quot;) ...&gt; |&gt; List.last() ...&gt; |&gt; String.to_atom() ...&gt; {_, term} -&gt; ...&gt; RDF.Term.value(term) ...&gt; end) %{ &quot;http://example.com/S1&quot; =&gt; %{p: [&quot;Foo&quot;]}, &quot;http://example.com/S2&quot; =&gt; %{p: [42]} }"},{"ref":"RDF.Graph.html#t:t/0","title":"RDF.Graph.t/0","type":"type","doc":""},{"ref":"RDF.IRI.html","title":"RDF.IRI","type":"module","doc":"A structure for IRIs. This structure just wraps a plain IRI string and doesn&#39;t bother with the components of the IRI, since in the context of RDF there are usually very many IRIs and parsing them isn&#39;t needed in most cases. For these reasons we don&#39;t use Elixirs built-in URI structure, because it would be unnecessary expensive in terms of performance and memory. The component parts can always be retrieved with the RDF.IRI.parse/1 function, which returns Elixirs built-in URI structure. Note, that URI doesn&#39;t escape Unicode characters by default, so it&#39;s a suitable structure for IRIs. see https://tools.ietf.org/html/rfc3987"},{"ref":"RDF.IRI.html#absolute/2","title":"RDF.IRI.absolute/2","type":"function","doc":"Resolves a relative IRI against a base IRI. as specified in section 5.1 Establishing a Base URI of RFC3986. Only the basic algorithm in section 5.2 of RFC3986 is used; neither Syntax-Based Normalization nor Scheme-Based Normalization are performed. Characters additionally allowed in IRI references are treated in the same way that unreserved characters are treated in URI references, per section 6.5 of RFC3987 If the given is not an absolute IRI nil is returned."},{"ref":"RDF.IRI.html#absolute?/1","title":"RDF.IRI.absolute?/1","type":"function","doc":"Checks if the given value is an absolute IRI. An absolute IRI is defined in RFC3987 containing a scheme along with a path and optional query and fragment segments."},{"ref":"RDF.IRI.html#coerce_base/1","title":"RDF.IRI.coerce_base/1","type":"function","doc":"Coerces an IRI serving as a base IRI. As opposed to new/1 this also accepts bare RDF.Vocabulary.Namespace modules and uses the base IRI from their definition."},{"ref":"RDF.IRI.html#default_base/0","title":"RDF.IRI.default_base/0","type":"function","doc":"The default base IRI to be used when reading a serialization and no base_iri option is provided. The value can be set via the default_base_iri configuration. For example: config :rdf, default_base_iri: &quot;http://my_app.example/&quot; See section 5.1.4 of RFC 3987"},{"ref":"RDF.IRI.html#equal_value?/2","title":"RDF.IRI.equal_value?/2","type":"function","doc":"Tests for value equality of IRIs. Returns nil when the given arguments are not comparable as IRIs. see https://www.w3.org/TR/rdf-concepts/#section-Graph-URIref"},{"ref":"RDF.IRI.html#merge/2","title":"RDF.IRI.merge/2","type":"function","doc":"Merges two IRIs. This function merges two IRIs as per RFC 3986, section 5.2."},{"ref":"RDF.IRI.html#new/1","title":"RDF.IRI.new/1","type":"function","doc":"Creates a RDF.IRI."},{"ref":"RDF.IRI.html#new!/1","title":"RDF.IRI.new!/1","type":"function","doc":"Creates a RDF.IRI, but checks if the given IRI is valid. If the given IRI is not valid a RDF.IRI.InvalidError is raised. see valid?/1"},{"ref":"RDF.IRI.html#parse/1","title":"RDF.IRI.parse/1","type":"function","doc":"Parses an IRI into its components and returns them as an URI struct."},{"ref":"RDF.IRI.html#scheme/1","title":"RDF.IRI.scheme/1","type":"function","doc":"Returns the scheme of the given IRI If the given string is not a valid absolute IRI, nil is returned. Examples iex&gt; RDF.IRI.scheme(&quot;http://www.example.com/foo&quot;) &quot;http&quot; iex&gt; RDF.IRI.scheme(&quot;not an iri&quot;) nil"},{"ref":"RDF.IRI.html#to_string/1","title":"RDF.IRI.to_string/1","type":"function","doc":"Returns the given IRI as a string. Note that this function can also handle RDF.Vocabulary.Namespace terms. Examples iex&gt; RDF.IRI.to_string RDF.IRI.new(&quot;http://example.com/#foo&quot;) &quot;http://example.com/#foo&quot; iex&gt; RDF.IRI.to_string EX.foo &quot;http://example.com/#foo&quot; iex&gt; RDF.IRI.to_string EX.Foo &quot;http://example.com/#Foo&quot;"},{"ref":"RDF.IRI.html#valid!/1","title":"RDF.IRI.valid!/1","type":"function","doc":"Returns the given value unchanged if it&#39;s a valid IRI, otherwise raises an exception. Examples iex&gt; RDF.IRI.valid!(&quot;http://www.example.com/foo&quot;) &quot;http://www.example.com/foo&quot; iex&gt; RDF.IRI.valid!(RDF.IRI.new(&quot;http://www.example.com/foo&quot;)) RDF.IRI.new(&quot;http://www.example.com/foo&quot;) iex&gt; RDF.IRI.valid!(&quot;not an iri&quot;) ** (RDF.IRI.InvalidError) Invalid IRI: &quot;not an iri&quot;"},{"ref":"RDF.IRI.html#valid?/1","title":"RDF.IRI.valid?/1","type":"function","doc":"Checks if the given IRI is valid. Note: This currently checks only if the given IRI is absolute. Examples iex&gt; RDF.IRI.valid?(&quot;http://www.example.com/foo&quot;) true iex&gt; RDF.IRI.valid?(&quot;not an iri&quot;) false"},{"ref":"RDF.IRI.html#t:t/0","title":"RDF.IRI.t/0","type":"type","doc":""},{"ref":"RDF.IRI.InvalidError.html","title":"RDF.IRI.InvalidError","type":"exception","doc":""},{"ref":"RDF.Integer.html","title":"RDF.Integer","type":"module","doc":"RDF.Datatype for XSD integer."},{"ref":"RDF.Integer.html#build_literal/3","title":"RDF.Integer.build_literal/3","type":"function","doc":""},{"ref":"RDF.Integer.html#build_literal_by_lexical/2","title":"RDF.Integer.build_literal_by_lexical/2","type":"function","doc":""},{"ref":"RDF.Integer.html#build_literal_by_value/2","title":"RDF.Integer.build_literal_by_value/2","type":"function","doc":""},{"ref":"RDF.Integer.html#digit_count/1","title":"RDF.Integer.digit_count/1","type":"function","doc":"The number of digits in the XML Schema canonical form of the literal value."},{"ref":"RDF.Integer.html#greater_than?/2","title":"RDF.Integer.greater_than?/2","type":"function","doc":""},{"ref":"RDF.Integer.html#less_than?/2","title":"RDF.Integer.less_than?/2","type":"function","doc":""},{"ref":"RDF.Integer.html#new/2","title":"RDF.Integer.new/2","type":"function","doc":""},{"ref":"RDF.Integer.html#new!/2","title":"RDF.Integer.new!/2","type":"function","doc":""},{"ref":"RDF.Integer.html#validate_cast/1","title":"RDF.Integer.validate_cast/1","type":"function","doc":""},{"ref":"RDF.LangString.html","title":"RDF.LangString","type":"module","doc":"RDF.Datatype for RDF langString."},{"ref":"RDF.LangString.html#build_literal/3","title":"RDF.LangString.build_literal/3","type":"function","doc":""},{"ref":"RDF.LangString.html#build_literal_by_lexical/2","title":"RDF.LangString.build_literal_by_lexical/2","type":"function","doc":""},{"ref":"RDF.LangString.html#build_literal_by_value/2","title":"RDF.LangString.build_literal_by_value/2","type":"function","doc":""},{"ref":"RDF.LangString.html#greater_than?/2","title":"RDF.LangString.greater_than?/2","type":"function","doc":""},{"ref":"RDF.LangString.html#less_than?/2","title":"RDF.LangString.less_than?/2","type":"function","doc":""},{"ref":"RDF.LangString.html#match_language?/2","title":"RDF.LangString.match_language?/2","type":"function","doc":"Checks if a language tagged string literal or language tag matches a language range. The check is performed per the basic filtering scheme defined in RFC4647 section 3.3.1. A language range is a basic language range per Matching of Language Tags in RFC4647 section 2.1. A language range of &quot;*&quot; matches any non-empty language-tag string. see https://www.w3.org/TR/sparql11-query/#func-langMatches"},{"ref":"RDF.LangString.html#new/2","title":"RDF.LangString.new/2","type":"function","doc":""},{"ref":"RDF.LangString.html#new!/2","title":"RDF.LangString.new!/2","type":"function","doc":""},{"ref":"RDF.LangString.html#validate_cast/1","title":"RDF.LangString.validate_cast/1","type":"function","doc":""},{"ref":"RDF.List.html","title":"RDF.List","type":"module","doc":"A structure for RDF lists. see https://www.w3.org/TR/rdf-schema/#ch_collectionvocab https://www.w3.org/TR/rdf11-mt/#rdf-collections"},{"ref":"RDF.List.html#empty?/1","title":"RDF.List.empty?/1","type":"function","doc":"Checks if a list is the empty list."},{"ref":"RDF.List.html#from/2","title":"RDF.List.from/2","type":"function","doc":"Creates a RDF.List from a native Elixir list or any other Enumerable with coercible RDF values. By default the statements constituting the Enumerable are added to an empty graph. An already existing graph to which the statements are added can be specified with the graph option. The name of the head node can be specified with the head option (default: RDF.bnode(), i.e. an arbitrary unique name). Note: When the given Enumerable is empty, the name option will be ignored - the head node of the empty list is always RDF.nil."},{"ref":"RDF.List.html#new/2","title":"RDF.List.new/2","type":"function","doc":"Creates a RDF.List for a given RDF list node of a given RDF.Graph. If the given node does not refer to a well-formed list in the graph, nil is returned. A well-formed list consists of list nodes which have exactly one rdf:first and rdf:rest statement each does not contain cycles, i.e. rdf:rest statements don&#39;t refer to preceding list nodes"},{"ref":"RDF.List.html#node?/1","title":"RDF.List.node?/1","type":"function","doc":"Checks if the given RDF.Description describes a RDF list node."},{"ref":"RDF.List.html#node?/2","title":"RDF.List.node?/2","type":"function","doc":"Checks if a given resource is a RDF list node in a given RDF.Graph. Although, technically a resource is a list, if it uses at least one rdf:first or rdf:rest, we pragmatically require the usage of both. Note: This function doesn&#39;t indicate if the list is valid. See new/2 and valid?/2 for validations."},{"ref":"RDF.List.html#nodes/1","title":"RDF.List.nodes/1","type":"function","doc":"The RDF nodes constituting a RDF.List as an Elixir list."},{"ref":"RDF.List.html#valid?/1","title":"RDF.List.valid?/1","type":"function","doc":"Checks if the given list consists of list nodes which are all blank nodes."},{"ref":"RDF.List.html#values/1","title":"RDF.List.values/1","type":"function","doc":"The values of a RDF.List as an Elixir list. Nested lists are converted recursively."},{"ref":"RDF.List.html#t:t/0","title":"RDF.List.t/0","type":"type","doc":""},{"ref":"RDF.Literal.html","title":"RDF.Literal","type":"module","doc":"RDF literals are leaf nodes of a RDF graph containing raw data, like strings and numbers."},{"ref":"RDF.Literal.html#canonical/1","title":"RDF.Literal.canonical/1","type":"function","doc":"Returns the given literal in its canonical lexical representation."},{"ref":"RDF.Literal.html#canonical?/1","title":"RDF.Literal.canonical?/1","type":"function","doc":"Returns if the given literal is in its canonical lexical representation."},{"ref":"RDF.Literal.html#compare/2","title":"RDF.Literal.compare/2","type":"function","doc":"Compares two RDF.Literals. Returns :gt if first literal is greater than the second in terms of their datatype and :lt for vice versa. If the two literals are equal :eq is returned. For datatypes with only partial ordering :indeterminate is returned when the order of the given literals is not defined. Returns nil when the given arguments are not comparable datatypes."},{"ref":"RDF.Literal.html#equal_value?/2","title":"RDF.Literal.equal_value?/2","type":"function","doc":"Checks if two RDF.Literals are equal. Non-RDF terms are tried to be coerced via RDF.Term.coerce/1 before comparison. Returns nil when the given arguments are not comparable as Literals. see https://www.w3.org/TR/rdf-concepts/#section-Literal-Equality"},{"ref":"RDF.Literal.html#greater_than?/2","title":"RDF.Literal.greater_than?/2","type":"function","doc":"Checks if the first of two RDF.Literals is greater then the other. Returns nil when the given arguments are not comparable datatypes."},{"ref":"RDF.Literal.html#has_datatype?/1","title":"RDF.Literal.has_datatype?/1","type":"function","doc":"Returns if a literal is a datatyped literal. For historical reasons, this excludes xsd:string and rdf:langString. see http://www.w3.org/TR/rdf-concepts/#dfn-typed-literal"},{"ref":"RDF.Literal.html#has_language?/1","title":"RDF.Literal.has_language?/1","type":"function","doc":"Returns if a literal is a language-tagged literal. see http://www.w3.org/TR/rdf-concepts/#dfn-plain-literal"},{"ref":"RDF.Literal.html#less_than?/2","title":"RDF.Literal.less_than?/2","type":"function","doc":"Checks if the first of two RDF.Literals is smaller then the other. Returns nil when the given arguments are not comparable datatypes."},{"ref":"RDF.Literal.html#lexical/1","title":"RDF.Literal.lexical/1","type":"function","doc":"Returns the lexical representation of the given literal according to its datatype."},{"ref":"RDF.Literal.html#matches?/3","title":"RDF.Literal.matches?/3","type":"function","doc":"Matches the string representation of the given value against a XPath and XQuery regular expression pattern. The regular expression language is defined in XQuery 1.0 and XPath 2.0 Functions and Operators. The pattern and the optional flags can be given as an Elixir string or as xsd:stringRDF.Literals. see https://www.w3.org/TR/xpath-functions/#func-matches"},{"ref":"RDF.Literal.html#new/1","title":"RDF.Literal.new/1","type":"function","doc":"Creates a new RDF.Literal of the given value and tries to infer an appropriate XSD datatype. Note: The RDF.literal function is a shortcut to this function. The following mapping of Elixir types to XSD datatypes is applied: Elixir datatypeXSD datatype stringxsd:string booleanxsd:boolean integerxsd:integer floatxsd:double Timexsd:time Datexsd:date DateTimexsd:dateTime NaiveDateTimexsd:dateTime Examples iex&gt; RDF.Literal.new(42) %RDF.Literal{value: 42, datatype: XSD.integer}"},{"ref":"RDF.Literal.html#new/2","title":"RDF.Literal.new/2","type":"function","doc":"Creates a new RDF.Literal with the given datatype or language tag."},{"ref":"RDF.Literal.html#new!/2","title":"RDF.Literal.new!/2","type":"function","doc":"Creates a new RDF.Literal, but fails if it&#39;s not valid. Note: Validation is only possible if an RDF.Datatype with an implementation of RDF.Datatype.valid?/1 exists. Examples iex&gt; RDF.Literal.new!(&quot;3.14&quot;, datatype: XSD.double) == RDF.Literal.new(&quot;3.14&quot;, datatype: XSD.double) true iex&gt; RDF.Literal.new!(&quot;invalid&quot;, datatype: &quot;http://example/unkown_datatype&quot;) == RDF.Literal.new(&quot;invalid&quot;, datatype: &quot;http://example/unkown_datatype&quot;) true iex&gt; RDF.Literal.new!(&quot;foo&quot;, datatype: XSD.integer) ** (RDF.Literal.InvalidError) invalid RDF.Literal: %RDF.Literal{value: nil, lexical: &quot;foo&quot;, datatype: ~I&lt;http://www.w3.org/2001/XMLSchema#integer&gt;} iex&gt; RDF.Literal.new!(&quot;foo&quot;, datatype: RDF.langString) ** (RDF.Literal.InvalidError) invalid RDF.Literal: %RDF.Literal{value: &quot;foo&quot;, datatype: ~I&lt;http://www.w3.org/1999/02/22-rdf-syntax-ns#langString&gt;, language: nil}"},{"ref":"RDF.Literal.html#plain?/1","title":"RDF.Literal.plain?/1","type":"function","doc":"Returns if a literal is a plain literal. A plain literal may have a language, but may not have a datatype. For all practical purposes, this includes xsd:string literals too. see http://www.w3.org/TR/rdf-concepts/#dfn-plain-literal"},{"ref":"RDF.Literal.html#simple?/1","title":"RDF.Literal.simple?/1","type":"function","doc":"Returns if a literal is a simple literal. A simple literal has no datatype or language. see http://www.w3.org/TR/sparql11-query/#simple_literal"},{"ref":"RDF.Literal.html#typed?/1","title":"RDF.Literal.typed?/1","type":"function","doc":""},{"ref":"RDF.Literal.html#valid?/1","title":"RDF.Literal.valid?/1","type":"function","doc":"Returns if the value of the given literal is a valid according to its datatype."},{"ref":"RDF.Literal.html#t:t/0","title":"RDF.Literal.t/0","type":"type","doc":""},{"ref":"RDF.Literal.Guards.html","title":"RDF.Literal.Guards","type":"module","doc":"Guards for working with RDF.Literals. These are useful for pattern matching on datatypes of literals, since Elixir doesn&#39;t allow function calls in pattern matching clauses, which means the qualified terms of a RDF.Vocabulary.Namespace can&#39;t be used. Examples defmodule M do import RDF.Literal.Guards def f(%RDF.Literal{datatype: datatype} = literal) when is_xsd_integer(datatype) do # ... end end"},{"ref":"RDF.Literal.Guards.html#is_rdf_lang_string/1","title":"RDF.Literal.Guards.is_rdf_lang_string/1","type":"macro","doc":"Returns true if the given datatype is rdf:langString; otherwise returns false."},{"ref":"RDF.Literal.Guards.html#is_xsd_any_uri/1","title":"RDF.Literal.Guards.is_xsd_any_uri/1","type":"macro","doc":"Returns true if the given datatype is xsd:anyURI; otherwise returns false."},{"ref":"RDF.Literal.Guards.html#is_xsd_boolean/1","title":"RDF.Literal.Guards.is_xsd_boolean/1","type":"macro","doc":"Returns true if the given datatype is xsd:boolean; otherwise returns false."},{"ref":"RDF.Literal.Guards.html#is_xsd_date/1","title":"RDF.Literal.Guards.is_xsd_date/1","type":"macro","doc":"Returns true if the given datatype is xsd:date; otherwise returns false."},{"ref":"RDF.Literal.Guards.html#is_xsd_datetime/1","title":"RDF.Literal.Guards.is_xsd_datetime/1","type":"macro","doc":"Returns true if the given datatype is xsd:dateTime; otherwise returns false."},{"ref":"RDF.Literal.Guards.html#is_xsd_decimal/1","title":"RDF.Literal.Guards.is_xsd_decimal/1","type":"macro","doc":"Returns true if the given datatype is xsd:decimal; otherwise returns false."},{"ref":"RDF.Literal.Guards.html#is_xsd_double/1","title":"RDF.Literal.Guards.is_xsd_double/1","type":"macro","doc":"Returns true if the given datatype is xsd:double; otherwise returns false."},{"ref":"RDF.Literal.Guards.html#is_xsd_float/1","title":"RDF.Literal.Guards.is_xsd_float/1","type":"macro","doc":"Returns true if the given datatype is xsd:float; otherwise returns false."},{"ref":"RDF.Literal.Guards.html#is_xsd_integer/1","title":"RDF.Literal.Guards.is_xsd_integer/1","type":"macro","doc":"Returns true if the given datatype is xsd:integer; otherwise returns false."},{"ref":"RDF.Literal.Guards.html#is_xsd_string/1","title":"RDF.Literal.Guards.is_xsd_string/1","type":"macro","doc":"Returns true if the given datatype is xsd:string; otherwise returns false."},{"ref":"RDF.Literal.Guards.html#is_xsd_time/1","title":"RDF.Literal.Guards.is_xsd_time/1","type":"macro","doc":"Returns true if the given datatype is xsd:time; otherwise returns false."},{"ref":"RDF.Literal.InvalidError.html","title":"RDF.Literal.InvalidError","type":"exception","doc":""},{"ref":"RDF.NQuads.html","title":"RDF.NQuads","type":"module","doc":"RDF.NQuads provides support for reading the N-Quads serialization format. N-Quads is a line-based plain-text format for encoding an RDF dataset, i.e. a collection of RDF graphs. An example of an RDF statement in N-Quads format: &lt;https://hex.pm/&gt; &lt;http://purl.org/dc/terms/title&gt; &quot;Hex&quot; &lt;http://example.org/graphs/example&gt; . see https://www.w3.org/TR/n-quads/"},{"ref":"RDF.NQuads.html#read_file/2","title":"RDF.NQuads.read_file/2","type":"function","doc":""},{"ref":"RDF.NQuads.html#read_file!/2","title":"RDF.NQuads.read_file!/2","type":"function","doc":""},{"ref":"RDF.NQuads.html#read_string/2","title":"RDF.NQuads.read_string/2","type":"function","doc":""},{"ref":"RDF.NQuads.html#read_string!/2","title":"RDF.NQuads.read_string!/2","type":"function","doc":""},{"ref":"RDF.NQuads.html#write_file/3","title":"RDF.NQuads.write_file/3","type":"function","doc":""},{"ref":"RDF.NQuads.html#write_file!/3","title":"RDF.NQuads.write_file!/3","type":"function","doc":""},{"ref":"RDF.NQuads.html#write_string/2","title":"RDF.NQuads.write_string/2","type":"function","doc":""},{"ref":"RDF.NQuads.html#write_string!/2","title":"RDF.NQuads.write_string!/2","type":"function","doc":""},{"ref":"RDF.NS.html","title":"RDF.NS","type":"module","doc":"RDF.Namespaces for fundamental RDF vocabularies. Namely: RDF.NS.RDF RDF.NS.RDFS RDF.NS.OWL RDF.NS.SKOS RDF.NS.XSD"},{"ref":"RDF.NS.OWL.html","title":"RDF.NS.OWL","type":"module","doc":"The OWL vocabulary. See https://www.w3.org/TR/owl-overview/"},{"ref":"RDF.NS.OWL.html#__iris__/0","title":"RDF.NS.OWL.__iris__/0","type":"function","doc":"Returns all known IRIs of the vocabulary."},{"ref":"RDF.NS.OWL.html#allValuesFrom/0","title":"RDF.NS.OWL.allValuesFrom/0","type":"function","doc":"http://www.w3.org/2002/07/owl#allValuesFrom"},{"ref":"RDF.NS.OWL.html#allValuesFrom/2","title":"RDF.NS.OWL.allValuesFrom/2","type":"function","doc":"RDF.Description builder for allValuesFrom/0"},{"ref":"RDF.NS.OWL.html#annotatedProperty/0","title":"RDF.NS.OWL.annotatedProperty/0","type":"function","doc":"http://www.w3.org/2002/07/owl#annotatedProperty"},{"ref":"RDF.NS.OWL.html#annotatedProperty/2","title":"RDF.NS.OWL.annotatedProperty/2","type":"function","doc":"RDF.Description builder for annotatedProperty/0"},{"ref":"RDF.NS.OWL.html#annotatedSource/0","title":"RDF.NS.OWL.annotatedSource/0","type":"function","doc":"http://www.w3.org/2002/07/owl#annotatedSource"},{"ref":"RDF.NS.OWL.html#annotatedSource/2","title":"RDF.NS.OWL.annotatedSource/2","type":"function","doc":"RDF.Description builder for annotatedSource/0"},{"ref":"RDF.NS.OWL.html#annotatedTarget/0","title":"RDF.NS.OWL.annotatedTarget/0","type":"function","doc":"http://www.w3.org/2002/07/owl#annotatedTarget"},{"ref":"RDF.NS.OWL.html#annotatedTarget/2","title":"RDF.NS.OWL.annotatedTarget/2","type":"function","doc":"RDF.Description builder for annotatedTarget/0"},{"ref":"RDF.NS.OWL.html#assertionProperty/0","title":"RDF.NS.OWL.assertionProperty/0","type":"function","doc":"http://www.w3.org/2002/07/owl#assertionProperty"},{"ref":"RDF.NS.OWL.html#assertionProperty/2","title":"RDF.NS.OWL.assertionProperty/2","type":"function","doc":"RDF.Description builder for assertionProperty/0"},{"ref":"RDF.NS.OWL.html#backwardCompatibleWith/0","title":"RDF.NS.OWL.backwardCompatibleWith/0","type":"function","doc":"http://www.w3.org/2002/07/owl#backwardCompatibleWith"},{"ref":"RDF.NS.OWL.html#backwardCompatibleWith/2","title":"RDF.NS.OWL.backwardCompatibleWith/2","type":"function","doc":"RDF.Description builder for backwardCompatibleWith/0"},{"ref":"RDF.NS.OWL.html#bottomDataProperty/0","title":"RDF.NS.OWL.bottomDataProperty/0","type":"function","doc":"http://www.w3.org/2002/07/owl#bottomDataProperty"},{"ref":"RDF.NS.OWL.html#bottomDataProperty/2","title":"RDF.NS.OWL.bottomDataProperty/2","type":"function","doc":"RDF.Description builder for bottomDataProperty/0"},{"ref":"RDF.NS.OWL.html#bottomObjectProperty/0","title":"RDF.NS.OWL.bottomObjectProperty/0","type":"function","doc":"http://www.w3.org/2002/07/owl#bottomObjectProperty"},{"ref":"RDF.NS.OWL.html#bottomObjectProperty/2","title":"RDF.NS.OWL.bottomObjectProperty/2","type":"function","doc":"RDF.Description builder for bottomObjectProperty/0"},{"ref":"RDF.NS.OWL.html#cardinality/0","title":"RDF.NS.OWL.cardinality/0","type":"function","doc":"http://www.w3.org/2002/07/owl#cardinality"},{"ref":"RDF.NS.OWL.html#cardinality/2","title":"RDF.NS.OWL.cardinality/2","type":"function","doc":"RDF.Description builder for cardinality/0"},{"ref":"RDF.NS.OWL.html#complementOf/0","title":"RDF.NS.OWL.complementOf/0","type":"function","doc":"http://www.w3.org/2002/07/owl#complementOf"},{"ref":"RDF.NS.OWL.html#complementOf/2","title":"RDF.NS.OWL.complementOf/2","type":"function","doc":"RDF.Description builder for complementOf/0"},{"ref":"RDF.NS.OWL.html#datatypeComplementOf/0","title":"RDF.NS.OWL.datatypeComplementOf/0","type":"function","doc":"http://www.w3.org/2002/07/owl#datatypeComplementOf"},{"ref":"RDF.NS.OWL.html#datatypeComplementOf/2","title":"RDF.NS.OWL.datatypeComplementOf/2","type":"function","doc":"RDF.Description builder for datatypeComplementOf/0"},{"ref":"RDF.NS.OWL.html#deprecated/0","title":"RDF.NS.OWL.deprecated/0","type":"function","doc":"http://www.w3.org/2002/07/owl#deprecated"},{"ref":"RDF.NS.OWL.html#deprecated/2","title":"RDF.NS.OWL.deprecated/2","type":"function","doc":"RDF.Description builder for deprecated/0"},{"ref":"RDF.NS.OWL.html#differentFrom/0","title":"RDF.NS.OWL.differentFrom/0","type":"function","doc":"http://www.w3.org/2002/07/owl#differentFrom"},{"ref":"RDF.NS.OWL.html#differentFrom/2","title":"RDF.NS.OWL.differentFrom/2","type":"function","doc":"RDF.Description builder for differentFrom/0"},{"ref":"RDF.NS.OWL.html#disjointUnionOf/0","title":"RDF.NS.OWL.disjointUnionOf/0","type":"function","doc":"http://www.w3.org/2002/07/owl#disjointUnionOf"},{"ref":"RDF.NS.OWL.html#disjointUnionOf/2","title":"RDF.NS.OWL.disjointUnionOf/2","type":"function","doc":"RDF.Description builder for disjointUnionOf/0"},{"ref":"RDF.NS.OWL.html#disjointWith/0","title":"RDF.NS.OWL.disjointWith/0","type":"function","doc":"http://www.w3.org/2002/07/owl#disjointWith"},{"ref":"RDF.NS.OWL.html#disjointWith/2","title":"RDF.NS.OWL.disjointWith/2","type":"function","doc":"RDF.Description builder for disjointWith/0"},{"ref":"RDF.NS.OWL.html#distinctMembers/0","title":"RDF.NS.OWL.distinctMembers/0","type":"function","doc":"http://www.w3.org/2002/07/owl#distinctMembers"},{"ref":"RDF.NS.OWL.html#distinctMembers/2","title":"RDF.NS.OWL.distinctMembers/2","type":"function","doc":"RDF.Description builder for distinctMembers/0"},{"ref":"RDF.NS.OWL.html#equivalentClass/0","title":"RDF.NS.OWL.equivalentClass/0","type":"function","doc":"http://www.w3.org/2002/07/owl#equivalentClass"},{"ref":"RDF.NS.OWL.html#equivalentClass/2","title":"RDF.NS.OWL.equivalentClass/2","type":"function","doc":"RDF.Description builder for equivalentClass/0"},{"ref":"RDF.NS.OWL.html#equivalentProperty/0","title":"RDF.NS.OWL.equivalentProperty/0","type":"function","doc":"http://www.w3.org/2002/07/owl#equivalentProperty"},{"ref":"RDF.NS.OWL.html#equivalentProperty/2","title":"RDF.NS.OWL.equivalentProperty/2","type":"function","doc":"RDF.Description builder for equivalentProperty/0"},{"ref":"RDF.NS.OWL.html#hasKey/0","title":"RDF.NS.OWL.hasKey/0","type":"function","doc":"http://www.w3.org/2002/07/owl#hasKey"},{"ref":"RDF.NS.OWL.html#hasKey/2","title":"RDF.NS.OWL.hasKey/2","type":"function","doc":"RDF.Description builder for hasKey/0"},{"ref":"RDF.NS.OWL.html#hasSelf/0","title":"RDF.NS.OWL.hasSelf/0","type":"function","doc":"http://www.w3.org/2002/07/owl#hasSelf"},{"ref":"RDF.NS.OWL.html#hasSelf/2","title":"RDF.NS.OWL.hasSelf/2","type":"function","doc":"RDF.Description builder for hasSelf/0"},{"ref":"RDF.NS.OWL.html#hasValue/0","title":"RDF.NS.OWL.hasValue/0","type":"function","doc":"http://www.w3.org/2002/07/owl#hasValue"},{"ref":"RDF.NS.OWL.html#hasValue/2","title":"RDF.NS.OWL.hasValue/2","type":"function","doc":"RDF.Description builder for hasValue/0"},{"ref":"RDF.NS.OWL.html#imports/0","title":"RDF.NS.OWL.imports/0","type":"function","doc":"http://www.w3.org/2002/07/owl#imports"},{"ref":"RDF.NS.OWL.html#imports/2","title":"RDF.NS.OWL.imports/2","type":"function","doc":"RDF.Description builder for imports/0"},{"ref":"RDF.NS.OWL.html#incompatibleWith/0","title":"RDF.NS.OWL.incompatibleWith/0","type":"function","doc":"http://www.w3.org/2002/07/owl#incompatibleWith"},{"ref":"RDF.NS.OWL.html#incompatibleWith/2","title":"RDF.NS.OWL.incompatibleWith/2","type":"function","doc":"RDF.Description builder for incompatibleWith/0"},{"ref":"RDF.NS.OWL.html#intersectionOf/0","title":"RDF.NS.OWL.intersectionOf/0","type":"function","doc":"http://www.w3.org/2002/07/owl#intersectionOf"},{"ref":"RDF.NS.OWL.html#intersectionOf/2","title":"RDF.NS.OWL.intersectionOf/2","type":"function","doc":"RDF.Description builder for intersectionOf/0"},{"ref":"RDF.NS.OWL.html#inverseOf/0","title":"RDF.NS.OWL.inverseOf/0","type":"function","doc":"http://www.w3.org/2002/07/owl#inverseOf"},{"ref":"RDF.NS.OWL.html#inverseOf/2","title":"RDF.NS.OWL.inverseOf/2","type":"function","doc":"RDF.Description builder for inverseOf/0"},{"ref":"RDF.NS.OWL.html#maxCardinality/0","title":"RDF.NS.OWL.maxCardinality/0","type":"function","doc":"http://www.w3.org/2002/07/owl#maxCardinality"},{"ref":"RDF.NS.OWL.html#maxCardinality/2","title":"RDF.NS.OWL.maxCardinality/2","type":"function","doc":"RDF.Description builder for maxCardinality/0"},{"ref":"RDF.NS.OWL.html#maxQualifiedCardinality/0","title":"RDF.NS.OWL.maxQualifiedCardinality/0","type":"function","doc":"http://www.w3.org/2002/07/owl#maxQualifiedCardinality"},{"ref":"RDF.NS.OWL.html#maxQualifiedCardinality/2","title":"RDF.NS.OWL.maxQualifiedCardinality/2","type":"function","doc":"RDF.Description builder for maxQualifiedCardinality/0"},{"ref":"RDF.NS.OWL.html#members/0","title":"RDF.NS.OWL.members/0","type":"function","doc":"http://www.w3.org/2002/07/owl#members"},{"ref":"RDF.NS.OWL.html#members/2","title":"RDF.NS.OWL.members/2","type":"function","doc":"RDF.Description builder for members/0"},{"ref":"RDF.NS.OWL.html#minCardinality/0","title":"RDF.NS.OWL.minCardinality/0","type":"function","doc":"http://www.w3.org/2002/07/owl#minCardinality"},{"ref":"RDF.NS.OWL.html#minCardinality/2","title":"RDF.NS.OWL.minCardinality/2","type":"function","doc":"RDF.Description builder for minCardinality/0"},{"ref":"RDF.NS.OWL.html#minQualifiedCardinality/0","title":"RDF.NS.OWL.minQualifiedCardinality/0","type":"function","doc":"http://www.w3.org/2002/07/owl#minQualifiedCardinality"},{"ref":"RDF.NS.OWL.html#minQualifiedCardinality/2","title":"RDF.NS.OWL.minQualifiedCardinality/2","type":"function","doc":"RDF.Description builder for minQualifiedCardinality/0"},{"ref":"RDF.NS.OWL.html#onClass/0","title":"RDF.NS.OWL.onClass/0","type":"function","doc":"http://www.w3.org/2002/07/owl#onClass"},{"ref":"RDF.NS.OWL.html#onClass/2","title":"RDF.NS.OWL.onClass/2","type":"function","doc":"RDF.Description builder for onClass/0"},{"ref":"RDF.NS.OWL.html#onDataRange/0","title":"RDF.NS.OWL.onDataRange/0","type":"function","doc":"http://www.w3.org/2002/07/owl#onDataRange"},{"ref":"RDF.NS.OWL.html#onDataRange/2","title":"RDF.NS.OWL.onDataRange/2","type":"function","doc":"RDF.Description builder for onDataRange/0"},{"ref":"RDF.NS.OWL.html#onDatatype/0","title":"RDF.NS.OWL.onDatatype/0","type":"function","doc":"http://www.w3.org/2002/07/owl#onDatatype"},{"ref":"RDF.NS.OWL.html#onDatatype/2","title":"RDF.NS.OWL.onDatatype/2","type":"function","doc":"RDF.Description builder for onDatatype/0"},{"ref":"RDF.NS.OWL.html#onProperties/0","title":"RDF.NS.OWL.onProperties/0","type":"function","doc":"http://www.w3.org/2002/07/owl#onProperties"},{"ref":"RDF.NS.OWL.html#onProperties/2","title":"RDF.NS.OWL.onProperties/2","type":"function","doc":"RDF.Description builder for onProperties/0"},{"ref":"RDF.NS.OWL.html#onProperty/0","title":"RDF.NS.OWL.onProperty/0","type":"function","doc":"http://www.w3.org/2002/07/owl#onProperty"},{"ref":"RDF.NS.OWL.html#onProperty/2","title":"RDF.NS.OWL.onProperty/2","type":"function","doc":"RDF.Description builder for onProperty/0"},{"ref":"RDF.NS.OWL.html#oneOf/0","title":"RDF.NS.OWL.oneOf/0","type":"function","doc":"http://www.w3.org/2002/07/owl#oneOf"},{"ref":"RDF.NS.OWL.html#oneOf/2","title":"RDF.NS.OWL.oneOf/2","type":"function","doc":"RDF.Description builder for oneOf/0"},{"ref":"RDF.NS.OWL.html#priorVersion/0","title":"RDF.NS.OWL.priorVersion/0","type":"function","doc":"http://www.w3.org/2002/07/owl#priorVersion"},{"ref":"RDF.NS.OWL.html#priorVersion/2","title":"RDF.NS.OWL.priorVersion/2","type":"function","doc":"RDF.Description builder for priorVersion/0"},{"ref":"RDF.NS.OWL.html#propertyChainAxiom/0","title":"RDF.NS.OWL.propertyChainAxiom/0","type":"function","doc":"http://www.w3.org/2002/07/owl#propertyChainAxiom"},{"ref":"RDF.NS.OWL.html#propertyChainAxiom/2","title":"RDF.NS.OWL.propertyChainAxiom/2","type":"function","doc":"RDF.Description builder for propertyChainAxiom/0"},{"ref":"RDF.NS.OWL.html#propertyDisjointWith/0","title":"RDF.NS.OWL.propertyDisjointWith/0","type":"function","doc":"http://www.w3.org/2002/07/owl#propertyDisjointWith"},{"ref":"RDF.NS.OWL.html#propertyDisjointWith/2","title":"RDF.NS.OWL.propertyDisjointWith/2","type":"function","doc":"RDF.Description builder for propertyDisjointWith/0"},{"ref":"RDF.NS.OWL.html#qualifiedCardinality/0","title":"RDF.NS.OWL.qualifiedCardinality/0","type":"function","doc":"http://www.w3.org/2002/07/owl#qualifiedCardinality"},{"ref":"RDF.NS.OWL.html#qualifiedCardinality/2","title":"RDF.NS.OWL.qualifiedCardinality/2","type":"function","doc":"RDF.Description builder for qualifiedCardinality/0"},{"ref":"RDF.NS.OWL.html#sameAs/0","title":"RDF.NS.OWL.sameAs/0","type":"function","doc":"http://www.w3.org/2002/07/owl#sameAs"},{"ref":"RDF.NS.OWL.html#sameAs/2","title":"RDF.NS.OWL.sameAs/2","type":"function","doc":"RDF.Description builder for sameAs/0"},{"ref":"RDF.NS.OWL.html#someValuesFrom/0","title":"RDF.NS.OWL.someValuesFrom/0","type":"function","doc":"http://www.w3.org/2002/07/owl#someValuesFrom"},{"ref":"RDF.NS.OWL.html#someValuesFrom/2","title":"RDF.NS.OWL.someValuesFrom/2","type":"function","doc":"RDF.Description builder for someValuesFrom/0"},{"ref":"RDF.NS.OWL.html#sourceIndividual/0","title":"RDF.NS.OWL.sourceIndividual/0","type":"function","doc":"http://www.w3.org/2002/07/owl#sourceIndividual"},{"ref":"RDF.NS.OWL.html#sourceIndividual/2","title":"RDF.NS.OWL.sourceIndividual/2","type":"function","doc":"RDF.Description builder for sourceIndividual/0"},{"ref":"RDF.NS.OWL.html#targetIndividual/0","title":"RDF.NS.OWL.targetIndividual/0","type":"function","doc":"http://www.w3.org/2002/07/owl#targetIndividual"},{"ref":"RDF.NS.OWL.html#targetIndividual/2","title":"RDF.NS.OWL.targetIndividual/2","type":"function","doc":"RDF.Description builder for targetIndividual/0"},{"ref":"RDF.NS.OWL.html#targetValue/0","title":"RDF.NS.OWL.targetValue/0","type":"function","doc":"http://www.w3.org/2002/07/owl#targetValue"},{"ref":"RDF.NS.OWL.html#targetValue/2","title":"RDF.NS.OWL.targetValue/2","type":"function","doc":"RDF.Description builder for targetValue/0"},{"ref":"RDF.NS.OWL.html#topDataProperty/0","title":"RDF.NS.OWL.topDataProperty/0","type":"function","doc":"http://www.w3.org/2002/07/owl#topDataProperty"},{"ref":"RDF.NS.OWL.html#topDataProperty/2","title":"RDF.NS.OWL.topDataProperty/2","type":"function","doc":"RDF.Description builder for topDataProperty/0"},{"ref":"RDF.NS.OWL.html#topObjectProperty/0","title":"RDF.NS.OWL.topObjectProperty/0","type":"function","doc":"http://www.w3.org/2002/07/owl#topObjectProperty"},{"ref":"RDF.NS.OWL.html#topObjectProperty/2","title":"RDF.NS.OWL.topObjectProperty/2","type":"function","doc":"RDF.Description builder for topObjectProperty/0"},{"ref":"RDF.NS.OWL.html#unionOf/0","title":"RDF.NS.OWL.unionOf/0","type":"function","doc":"http://www.w3.org/2002/07/owl#unionOf"},{"ref":"RDF.NS.OWL.html#unionOf/2","title":"RDF.NS.OWL.unionOf/2","type":"function","doc":"RDF.Description builder for unionOf/0"},{"ref":"RDF.NS.OWL.html#versionIRI/0","title":"RDF.NS.OWL.versionIRI/0","type":"function","doc":"http://www.w3.org/2002/07/owl#versionIRI"},{"ref":"RDF.NS.OWL.html#versionIRI/2","title":"RDF.NS.OWL.versionIRI/2","type":"function","doc":"RDF.Description builder for versionIRI/0"},{"ref":"RDF.NS.OWL.html#versionInfo/0","title":"RDF.NS.OWL.versionInfo/0","type":"function","doc":"http://www.w3.org/2002/07/owl#versionInfo"},{"ref":"RDF.NS.OWL.html#versionInfo/2","title":"RDF.NS.OWL.versionInfo/2","type":"function","doc":"RDF.Description builder for versionInfo/0"},{"ref":"RDF.NS.OWL.html#withRestrictions/0","title":"RDF.NS.OWL.withRestrictions/0","type":"function","doc":"http://www.w3.org/2002/07/owl#withRestrictions"},{"ref":"RDF.NS.OWL.html#withRestrictions/2","title":"RDF.NS.OWL.withRestrictions/2","type":"function","doc":"RDF.Description builder for withRestrictions/0"},{"ref":"RDF.NS.RDF.html","title":"RDF.NS.RDF","type":"module","doc":"The RDF vocabulary. See https://www.w3.org/TR/rdf11-concepts/"},{"ref":"RDF.NS.RDF.html#__iris__/0","title":"RDF.NS.RDF.__iris__/0","type":"function","doc":"Returns all known IRIs of the vocabulary."},{"ref":"RDF.NS.RDF.html#first/0","title":"RDF.NS.RDF.first/0","type":"function","doc":"http://www.w3.org/1999/02/22-rdf-syntax-ns#first"},{"ref":"RDF.NS.RDF.html#first/2","title":"RDF.NS.RDF.first/2","type":"function","doc":"RDF.Description builder for first/0"},{"ref":"RDF.NS.RDF.html#langString/0","title":"RDF.NS.RDF.langString/0","type":"function","doc":"http://www.w3.org/1999/02/22-rdf-syntax-ns#langString"},{"ref":"RDF.NS.RDF.html#langString/2","title":"RDF.NS.RDF.langString/2","type":"function","doc":"RDF.Description builder for langString/0"},{"ref":"RDF.NS.RDF.html#/0","title":"RDF.NS.RDF./0","type":"function","doc":"http://www.w3.org/1999/02/22-rdf-syntax-ns#nil"},{"ref":"RDF.NS.RDF.html#/2","title":"RDF.NS.RDF./2","type":"function","doc":"RDF.Description builder for /0"},{"ref":"RDF.NS.RDF.html#object/0","title":"RDF.NS.RDF.object/0","type":"function","doc":"http://www.w3.org/1999/02/22-rdf-syntax-ns#object"},{"ref":"RDF.NS.RDF.html#object/2","title":"RDF.NS.RDF.object/2","type":"function","doc":"RDF.Description builder for object/0"},{"ref":"RDF.NS.RDF.html#predicate/0","title":"RDF.NS.RDF.predicate/0","type":"function","doc":"http://www.w3.org/1999/02/22-rdf-syntax-ns#predicate"},{"ref":"RDF.NS.RDF.html#predicate/2","title":"RDF.NS.RDF.predicate/2","type":"function","doc":"RDF.Description builder for predicate/0"},{"ref":"RDF.NS.RDF.html#rest/0","title":"RDF.NS.RDF.rest/0","type":"function","doc":"http://www.w3.org/1999/02/22-rdf-syntax-ns#rest"},{"ref":"RDF.NS.RDF.html#rest/2","title":"RDF.NS.RDF.rest/2","type":"function","doc":"RDF.Description builder for rest/0"},{"ref":"RDF.NS.RDF.html#subject/0","title":"RDF.NS.RDF.subject/0","type":"function","doc":"http://www.w3.org/1999/02/22-rdf-syntax-ns#subject"},{"ref":"RDF.NS.RDF.html#subject/2","title":"RDF.NS.RDF.subject/2","type":"function","doc":"RDF.Description builder for subject/0"},{"ref":"RDF.NS.RDF.html#type/0","title":"RDF.NS.RDF.type/0","type":"function","doc":"http://www.w3.org/1999/02/22-rdf-syntax-ns#type"},{"ref":"RDF.NS.RDF.html#type/2","title":"RDF.NS.RDF.type/2","type":"function","doc":"RDF.Description builder for type/0"},{"ref":"RDF.NS.RDF.html#value/0","title":"RDF.NS.RDF.value/0","type":"function","doc":"http://www.w3.org/1999/02/22-rdf-syntax-ns#value"},{"ref":"RDF.NS.RDF.html#value/2","title":"RDF.NS.RDF.value/2","type":"function","doc":"RDF.Description builder for value/0"},{"ref":"RDF.NS.RDFS.html","title":"RDF.NS.RDFS","type":"module","doc":"The RDFS vocabulary. See https://www.w3.org/TR/rdf-schema/"},{"ref":"RDF.NS.RDFS.html#__iris__/0","title":"RDF.NS.RDFS.__iris__/0","type":"function","doc":"Returns all known IRIs of the vocabulary."},{"ref":"RDF.NS.RDFS.html#comment/0","title":"RDF.NS.RDFS.comment/0","type":"function","doc":"http://www.w3.org/2000/01/rdf-schema#comment"},{"ref":"RDF.NS.RDFS.html#comment/2","title":"RDF.NS.RDFS.comment/2","type":"function","doc":"RDF.Description builder for comment/0"},{"ref":"RDF.NS.RDFS.html#domain/0","title":"RDF.NS.RDFS.domain/0","type":"function","doc":"http://www.w3.org/2000/01/rdf-schema#domain"},{"ref":"RDF.NS.RDFS.html#domain/2","title":"RDF.NS.RDFS.domain/2","type":"function","doc":"RDF.Description builder for domain/0"},{"ref":"RDF.NS.RDFS.html#isDefinedBy/0","title":"RDF.NS.RDFS.isDefinedBy/0","type":"function","doc":"http://www.w3.org/2000/01/rdf-schema#isDefinedBy"},{"ref":"RDF.NS.RDFS.html#isDefinedBy/2","title":"RDF.NS.RDFS.isDefinedBy/2","type":"function","doc":"RDF.Description builder for isDefinedBy/0"},{"ref":"RDF.NS.RDFS.html#label/0","title":"RDF.NS.RDFS.label/0","type":"function","doc":"http://www.w3.org/2000/01/rdf-schema#label"},{"ref":"RDF.NS.RDFS.html#label/2","title":"RDF.NS.RDFS.label/2","type":"function","doc":"RDF.Description builder for label/0"},{"ref":"RDF.NS.RDFS.html#member/0","title":"RDF.NS.RDFS.member/0","type":"function","doc":"http://www.w3.org/2000/01/rdf-schema#member"},{"ref":"RDF.NS.RDFS.html#member/2","title":"RDF.NS.RDFS.member/2","type":"function","doc":"RDF.Description builder for member/0"},{"ref":"RDF.NS.RDFS.html#range/0","title":"RDF.NS.RDFS.range/0","type":"function","doc":"http://www.w3.org/2000/01/rdf-schema#range"},{"ref":"RDF.NS.RDFS.html#range/2","title":"RDF.NS.RDFS.range/2","type":"function","doc":"RDF.Description builder for range/0"},{"ref":"RDF.NS.RDFS.html#seeAlso/0","title":"RDF.NS.RDFS.seeAlso/0","type":"function","doc":"http://www.w3.org/2000/01/rdf-schema#seeAlso"},{"ref":"RDF.NS.RDFS.html#seeAlso/2","title":"RDF.NS.RDFS.seeAlso/2","type":"function","doc":"RDF.Description builder for seeAlso/0"},{"ref":"RDF.NS.RDFS.html#subClassOf/0","title":"RDF.NS.RDFS.subClassOf/0","type":"function","doc":"http://www.w3.org/2000/01/rdf-schema#subClassOf"},{"ref":"RDF.NS.RDFS.html#subClassOf/2","title":"RDF.NS.RDFS.subClassOf/2","type":"function","doc":"RDF.Description builder for subClassOf/0"},{"ref":"RDF.NS.RDFS.html#subPropertyOf/0","title":"RDF.NS.RDFS.subPropertyOf/0","type":"function","doc":"http://www.w3.org/2000/01/rdf-schema#subPropertyOf"},{"ref":"RDF.NS.RDFS.html#subPropertyOf/2","title":"RDF.NS.RDFS.subPropertyOf/2","type":"function","doc":"RDF.Description builder for subPropertyOf/0"},{"ref":"RDF.NS.SKOS.html","title":"RDF.NS.SKOS","type":"module","doc":"The SKOS vocabulary. See http://www.w3.org/TR/skos-reference/"},{"ref":"RDF.NS.SKOS.html#__iris__/0","title":"RDF.NS.SKOS.__iris__/0","type":"function","doc":"Returns all known IRIs of the vocabulary."},{"ref":"RDF.NS.SKOS.html#altLabel/0","title":"RDF.NS.SKOS.altLabel/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#altLabel"},{"ref":"RDF.NS.SKOS.html#altLabel/2","title":"RDF.NS.SKOS.altLabel/2","type":"function","doc":"RDF.Description builder for altLabel/0"},{"ref":"RDF.NS.SKOS.html#broadMatch/0","title":"RDF.NS.SKOS.broadMatch/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#broadMatch"},{"ref":"RDF.NS.SKOS.html#broadMatch/2","title":"RDF.NS.SKOS.broadMatch/2","type":"function","doc":"RDF.Description builder for broadMatch/0"},{"ref":"RDF.NS.SKOS.html#broader/0","title":"RDF.NS.SKOS.broader/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#broader"},{"ref":"RDF.NS.SKOS.html#broader/2","title":"RDF.NS.SKOS.broader/2","type":"function","doc":"RDF.Description builder for broader/0"},{"ref":"RDF.NS.SKOS.html#broaderTransitive/0","title":"RDF.NS.SKOS.broaderTransitive/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#broaderTransitive"},{"ref":"RDF.NS.SKOS.html#broaderTransitive/2","title":"RDF.NS.SKOS.broaderTransitive/2","type":"function","doc":"RDF.Description builder for broaderTransitive/0"},{"ref":"RDF.NS.SKOS.html#changeNote/0","title":"RDF.NS.SKOS.changeNote/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#changeNote"},{"ref":"RDF.NS.SKOS.html#changeNote/2","title":"RDF.NS.SKOS.changeNote/2","type":"function","doc":"RDF.Description builder for changeNote/0"},{"ref":"RDF.NS.SKOS.html#closeMatch/0","title":"RDF.NS.SKOS.closeMatch/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#closeMatch"},{"ref":"RDF.NS.SKOS.html#closeMatch/2","title":"RDF.NS.SKOS.closeMatch/2","type":"function","doc":"RDF.Description builder for closeMatch/0"},{"ref":"RDF.NS.SKOS.html#definition/0","title":"RDF.NS.SKOS.definition/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#definition"},{"ref":"RDF.NS.SKOS.html#definition/2","title":"RDF.NS.SKOS.definition/2","type":"function","doc":"RDF.Description builder for definition/0"},{"ref":"RDF.NS.SKOS.html#editorialNote/0","title":"RDF.NS.SKOS.editorialNote/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#editorialNote"},{"ref":"RDF.NS.SKOS.html#editorialNote/2","title":"RDF.NS.SKOS.editorialNote/2","type":"function","doc":"RDF.Description builder for editorialNote/0"},{"ref":"RDF.NS.SKOS.html#exactMatch/0","title":"RDF.NS.SKOS.exactMatch/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#exactMatch"},{"ref":"RDF.NS.SKOS.html#exactMatch/2","title":"RDF.NS.SKOS.exactMatch/2","type":"function","doc":"RDF.Description builder for exactMatch/0"},{"ref":"RDF.NS.SKOS.html#example/0","title":"RDF.NS.SKOS.example/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#example"},{"ref":"RDF.NS.SKOS.html#example/2","title":"RDF.NS.SKOS.example/2","type":"function","doc":"RDF.Description builder for example/0"},{"ref":"RDF.NS.SKOS.html#hasTopConcept/0","title":"RDF.NS.SKOS.hasTopConcept/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#hasTopConcept"},{"ref":"RDF.NS.SKOS.html#hasTopConcept/2","title":"RDF.NS.SKOS.hasTopConcept/2","type":"function","doc":"RDF.Description builder for hasTopConcept/0"},{"ref":"RDF.NS.SKOS.html#hiddenLabel/0","title":"RDF.NS.SKOS.hiddenLabel/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#hiddenLabel"},{"ref":"RDF.NS.SKOS.html#hiddenLabel/2","title":"RDF.NS.SKOS.hiddenLabel/2","type":"function","doc":"RDF.Description builder for hiddenLabel/0"},{"ref":"RDF.NS.SKOS.html#historyNote/0","title":"RDF.NS.SKOS.historyNote/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#historyNote"},{"ref":"RDF.NS.SKOS.html#historyNote/2","title":"RDF.NS.SKOS.historyNote/2","type":"function","doc":"RDF.Description builder for historyNote/0"},{"ref":"RDF.NS.SKOS.html#inScheme/0","title":"RDF.NS.SKOS.inScheme/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#inScheme"},{"ref":"RDF.NS.SKOS.html#inScheme/2","title":"RDF.NS.SKOS.inScheme/2","type":"function","doc":"RDF.Description builder for inScheme/0"},{"ref":"RDF.NS.SKOS.html#mappingRelation/0","title":"RDF.NS.SKOS.mappingRelation/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#mappingRelation"},{"ref":"RDF.NS.SKOS.html#mappingRelation/2","title":"RDF.NS.SKOS.mappingRelation/2","type":"function","doc":"RDF.Description builder for mappingRelation/0"},{"ref":"RDF.NS.SKOS.html#member/0","title":"RDF.NS.SKOS.member/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#member"},{"ref":"RDF.NS.SKOS.html#member/2","title":"RDF.NS.SKOS.member/2","type":"function","doc":"RDF.Description builder for member/0"},{"ref":"RDF.NS.SKOS.html#memberList/0","title":"RDF.NS.SKOS.memberList/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#memberList"},{"ref":"RDF.NS.SKOS.html#memberList/2","title":"RDF.NS.SKOS.memberList/2","type":"function","doc":"RDF.Description builder for memberList/0"},{"ref":"RDF.NS.SKOS.html#narrowMatch/0","title":"RDF.NS.SKOS.narrowMatch/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#narrowMatch"},{"ref":"RDF.NS.SKOS.html#narrowMatch/2","title":"RDF.NS.SKOS.narrowMatch/2","type":"function","doc":"RDF.Description builder for narrowMatch/0"},{"ref":"RDF.NS.SKOS.html#narrower/0","title":"RDF.NS.SKOS.narrower/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#narrower"},{"ref":"RDF.NS.SKOS.html#narrower/2","title":"RDF.NS.SKOS.narrower/2","type":"function","doc":"RDF.Description builder for narrower/0"},{"ref":"RDF.NS.SKOS.html#narrowerTransitive/0","title":"RDF.NS.SKOS.narrowerTransitive/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#narrowerTransitive"},{"ref":"RDF.NS.SKOS.html#narrowerTransitive/2","title":"RDF.NS.SKOS.narrowerTransitive/2","type":"function","doc":"RDF.Description builder for narrowerTransitive/0"},{"ref":"RDF.NS.SKOS.html#notation/0","title":"RDF.NS.SKOS.notation/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#notation"},{"ref":"RDF.NS.SKOS.html#notation/2","title":"RDF.NS.SKOS.notation/2","type":"function","doc":"RDF.Description builder for notation/0"},{"ref":"RDF.NS.SKOS.html#note/0","title":"RDF.NS.SKOS.note/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#note"},{"ref":"RDF.NS.SKOS.html#note/2","title":"RDF.NS.SKOS.note/2","type":"function","doc":"RDF.Description builder for note/0"},{"ref":"RDF.NS.SKOS.html#prefLabel/0","title":"RDF.NS.SKOS.prefLabel/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#prefLabel"},{"ref":"RDF.NS.SKOS.html#prefLabel/2","title":"RDF.NS.SKOS.prefLabel/2","type":"function","doc":"RDF.Description builder for prefLabel/0"},{"ref":"RDF.NS.SKOS.html#related/0","title":"RDF.NS.SKOS.related/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#related"},{"ref":"RDF.NS.SKOS.html#related/2","title":"RDF.NS.SKOS.related/2","type":"function","doc":"RDF.Description builder for related/0"},{"ref":"RDF.NS.SKOS.html#relatedMatch/0","title":"RDF.NS.SKOS.relatedMatch/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#relatedMatch"},{"ref":"RDF.NS.SKOS.html#relatedMatch/2","title":"RDF.NS.SKOS.relatedMatch/2","type":"function","doc":"RDF.Description builder for relatedMatch/0"},{"ref":"RDF.NS.SKOS.html#scopeNote/0","title":"RDF.NS.SKOS.scopeNote/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#scopeNote"},{"ref":"RDF.NS.SKOS.html#scopeNote/2","title":"RDF.NS.SKOS.scopeNote/2","type":"function","doc":"RDF.Description builder for scopeNote/0"},{"ref":"RDF.NS.SKOS.html#semanticRelation/0","title":"RDF.NS.SKOS.semanticRelation/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#semanticRelation"},{"ref":"RDF.NS.SKOS.html#semanticRelation/2","title":"RDF.NS.SKOS.semanticRelation/2","type":"function","doc":"RDF.Description builder for semanticRelation/0"},{"ref":"RDF.NS.SKOS.html#topConceptOf/0","title":"RDF.NS.SKOS.topConceptOf/0","type":"function","doc":"http://www.w3.org/2004/02/skos/core#topConceptOf"},{"ref":"RDF.NS.SKOS.html#topConceptOf/2","title":"RDF.NS.SKOS.topConceptOf/2","type":"function","doc":"RDF.Description builder for topConceptOf/0"},{"ref":"RDF.NS.XSD.html","title":"RDF.NS.XSD","type":"module","doc":"The XML Schema datatypes vocabulary. See https://www.w3.org/TR/xmlschema11-2/"},{"ref":"RDF.NS.XSD.html#__iris__/0","title":"RDF.NS.XSD.__iris__/0","type":"function","doc":"Returns all known IRIs of the vocabulary."},{"ref":"RDF.NS.XSD.html#anyURI/0","title":"RDF.NS.XSD.anyURI/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#anyURI"},{"ref":"RDF.NS.XSD.html#anyURI/2","title":"RDF.NS.XSD.anyURI/2","type":"function","doc":"RDF.Description builder for anyURI/0"},{"ref":"RDF.NS.XSD.html#base64Binary/0","title":"RDF.NS.XSD.base64Binary/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#base64Binary"},{"ref":"RDF.NS.XSD.html#base64Binary/2","title":"RDF.NS.XSD.base64Binary/2","type":"function","doc":"RDF.Description builder for base64Binary/0"},{"ref":"RDF.NS.XSD.html#boolean/0","title":"RDF.NS.XSD.boolean/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#boolean"},{"ref":"RDF.NS.XSD.html#boolean/2","title":"RDF.NS.XSD.boolean/2","type":"function","doc":"RDF.Description builder for boolean/0"},{"ref":"RDF.NS.XSD.html#byte/0","title":"RDF.NS.XSD.byte/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#byte"},{"ref":"RDF.NS.XSD.html#byte/2","title":"RDF.NS.XSD.byte/2","type":"function","doc":"RDF.Description builder for byte/0"},{"ref":"RDF.NS.XSD.html#date/0","title":"RDF.NS.XSD.date/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#date"},{"ref":"RDF.NS.XSD.html#date/2","title":"RDF.NS.XSD.date/2","type":"function","doc":"RDF.Description builder for date/0"},{"ref":"RDF.NS.XSD.html#dateTime/0","title":"RDF.NS.XSD.dateTime/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#dateTime"},{"ref":"RDF.NS.XSD.html#dateTime/2","title":"RDF.NS.XSD.dateTime/2","type":"function","doc":"RDF.Description builder for dateTime/0"},{"ref":"RDF.NS.XSD.html#dayTimeDuration/0","title":"RDF.NS.XSD.dayTimeDuration/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#dayTimeDuration"},{"ref":"RDF.NS.XSD.html#dayTimeDuration/2","title":"RDF.NS.XSD.dayTimeDuration/2","type":"function","doc":"RDF.Description builder for dayTimeDuration/0"},{"ref":"RDF.NS.XSD.html#decimal/0","title":"RDF.NS.XSD.decimal/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#decimal"},{"ref":"RDF.NS.XSD.html#decimal/2","title":"RDF.NS.XSD.decimal/2","type":"function","doc":"RDF.Description builder for decimal/0"},{"ref":"RDF.NS.XSD.html#double/0","title":"RDF.NS.XSD.double/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#double"},{"ref":"RDF.NS.XSD.html#double/2","title":"RDF.NS.XSD.double/2","type":"function","doc":"RDF.Description builder for double/0"},{"ref":"RDF.NS.XSD.html#duration/0","title":"RDF.NS.XSD.duration/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#duration"},{"ref":"RDF.NS.XSD.html#duration/2","title":"RDF.NS.XSD.duration/2","type":"function","doc":"RDF.Description builder for duration/0"},{"ref":"RDF.NS.XSD.html#float/0","title":"RDF.NS.XSD.float/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#float"},{"ref":"RDF.NS.XSD.html#float/2","title":"RDF.NS.XSD.float/2","type":"function","doc":"RDF.Description builder for float/0"},{"ref":"RDF.NS.XSD.html#gDay/0","title":"RDF.NS.XSD.gDay/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#gDay"},{"ref":"RDF.NS.XSD.html#gDay/2","title":"RDF.NS.XSD.gDay/2","type":"function","doc":"RDF.Description builder for gDay/0"},{"ref":"RDF.NS.XSD.html#gMonth/0","title":"RDF.NS.XSD.gMonth/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#gMonth"},{"ref":"RDF.NS.XSD.html#gMonth/2","title":"RDF.NS.XSD.gMonth/2","type":"function","doc":"RDF.Description builder for gMonth/0"},{"ref":"RDF.NS.XSD.html#gMonthDay/0","title":"RDF.NS.XSD.gMonthDay/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#gMonthDay"},{"ref":"RDF.NS.XSD.html#gMonthDay/2","title":"RDF.NS.XSD.gMonthDay/2","type":"function","doc":"RDF.Description builder for gMonthDay/0"},{"ref":"RDF.NS.XSD.html#gYear/0","title":"RDF.NS.XSD.gYear/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#gYear"},{"ref":"RDF.NS.XSD.html#gYear/2","title":"RDF.NS.XSD.gYear/2","type":"function","doc":"RDF.Description builder for gYear/0"},{"ref":"RDF.NS.XSD.html#gYearMonth/0","title":"RDF.NS.XSD.gYearMonth/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#gYearMonth"},{"ref":"RDF.NS.XSD.html#gYearMonth/2","title":"RDF.NS.XSD.gYearMonth/2","type":"function","doc":"RDF.Description builder for gYearMonth/0"},{"ref":"RDF.NS.XSD.html#hexBinary/0","title":"RDF.NS.XSD.hexBinary/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#hexBinary"},{"ref":"RDF.NS.XSD.html#hexBinary/2","title":"RDF.NS.XSD.hexBinary/2","type":"function","doc":"RDF.Description builder for hexBinary/0"},{"ref":"RDF.NS.XSD.html#int/0","title":"RDF.NS.XSD.int/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#int"},{"ref":"RDF.NS.XSD.html#int/2","title":"RDF.NS.XSD.int/2","type":"function","doc":"RDF.Description builder for int/0"},{"ref":"RDF.NS.XSD.html#integer/0","title":"RDF.NS.XSD.integer/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#integer"},{"ref":"RDF.NS.XSD.html#integer/2","title":"RDF.NS.XSD.integer/2","type":"function","doc":"RDF.Description builder for integer/0"},{"ref":"RDF.NS.XSD.html#language/0","title":"RDF.NS.XSD.language/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#language"},{"ref":"RDF.NS.XSD.html#language/2","title":"RDF.NS.XSD.language/2","type":"function","doc":"RDF.Description builder for language/0"},{"ref":"RDF.NS.XSD.html#long/0","title":"RDF.NS.XSD.long/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#long"},{"ref":"RDF.NS.XSD.html#long/2","title":"RDF.NS.XSD.long/2","type":"function","doc":"RDF.Description builder for long/0"},{"ref":"RDF.NS.XSD.html#negativeInteger/0","title":"RDF.NS.XSD.negativeInteger/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#negativeInteger"},{"ref":"RDF.NS.XSD.html#negativeInteger/2","title":"RDF.NS.XSD.negativeInteger/2","type":"function","doc":"RDF.Description builder for negativeInteger/0"},{"ref":"RDF.NS.XSD.html#nonNegativeInteger/0","title":"RDF.NS.XSD.nonNegativeInteger/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#nonNegativeInteger"},{"ref":"RDF.NS.XSD.html#nonNegativeInteger/2","title":"RDF.NS.XSD.nonNegativeInteger/2","type":"function","doc":"RDF.Description builder for nonNegativeInteger/0"},{"ref":"RDF.NS.XSD.html#nonPositiveInteger/0","title":"RDF.NS.XSD.nonPositiveInteger/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#nonPositiveInteger"},{"ref":"RDF.NS.XSD.html#nonPositiveInteger/2","title":"RDF.NS.XSD.nonPositiveInteger/2","type":"function","doc":"RDF.Description builder for nonPositiveInteger/0"},{"ref":"RDF.NS.XSD.html#normalizedString/0","title":"RDF.NS.XSD.normalizedString/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#normalizedString"},{"ref":"RDF.NS.XSD.html#normalizedString/2","title":"RDF.NS.XSD.normalizedString/2","type":"function","doc":"RDF.Description builder for normalizedString/0"},{"ref":"RDF.NS.XSD.html#positiveInteger/0","title":"RDF.NS.XSD.positiveInteger/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#positiveInteger"},{"ref":"RDF.NS.XSD.html#positiveInteger/2","title":"RDF.NS.XSD.positiveInteger/2","type":"function","doc":"RDF.Description builder for positiveInteger/0"},{"ref":"RDF.NS.XSD.html#short/0","title":"RDF.NS.XSD.short/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#short"},{"ref":"RDF.NS.XSD.html#short/2","title":"RDF.NS.XSD.short/2","type":"function","doc":"RDF.Description builder for short/0"},{"ref":"RDF.NS.XSD.html#string/0","title":"RDF.NS.XSD.string/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#string"},{"ref":"RDF.NS.XSD.html#string/2","title":"RDF.NS.XSD.string/2","type":"function","doc":"RDF.Description builder for string/0"},{"ref":"RDF.NS.XSD.html#time/0","title":"RDF.NS.XSD.time/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#time"},{"ref":"RDF.NS.XSD.html#time/2","title":"RDF.NS.XSD.time/2","type":"function","doc":"RDF.Description builder for time/0"},{"ref":"RDF.NS.XSD.html#token/0","title":"RDF.NS.XSD.token/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#token"},{"ref":"RDF.NS.XSD.html#token/2","title":"RDF.NS.XSD.token/2","type":"function","doc":"RDF.Description builder for token/0"},{"ref":"RDF.NS.XSD.html#unsignedByte/0","title":"RDF.NS.XSD.unsignedByte/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#unsignedByte"},{"ref":"RDF.NS.XSD.html#unsignedByte/2","title":"RDF.NS.XSD.unsignedByte/2","type":"function","doc":"RDF.Description builder for unsignedByte/0"},{"ref":"RDF.NS.XSD.html#unsignedInt/0","title":"RDF.NS.XSD.unsignedInt/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#unsignedInt"},{"ref":"RDF.NS.XSD.html#unsignedInt/2","title":"RDF.NS.XSD.unsignedInt/2","type":"function","doc":"RDF.Description builder for unsignedInt/0"},{"ref":"RDF.NS.XSD.html#unsignedLong/0","title":"RDF.NS.XSD.unsignedLong/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#unsignedLong"},{"ref":"RDF.NS.XSD.html#unsignedLong/2","title":"RDF.NS.XSD.unsignedLong/2","type":"function","doc":"RDF.Description builder for unsignedLong/0"},{"ref":"RDF.NS.XSD.html#unsignedShort/0","title":"RDF.NS.XSD.unsignedShort/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#unsignedShort"},{"ref":"RDF.NS.XSD.html#unsignedShort/2","title":"RDF.NS.XSD.unsignedShort/2","type":"function","doc":"RDF.Description builder for unsignedShort/0"},{"ref":"RDF.NS.XSD.html#yearMonthDuration/0","title":"RDF.NS.XSD.yearMonthDuration/0","type":"function","doc":"http://www.w3.org/2001/XMLSchema#yearMonthDuration"},{"ref":"RDF.NS.XSD.html#yearMonthDuration/2","title":"RDF.NS.XSD.yearMonthDuration/2","type":"function","doc":"RDF.Description builder for yearMonthDuration/0"},{"ref":"RDF.NTriples.html","title":"RDF.NTriples","type":"module","doc":"RDF.NTriples provides support for reading and writing the N-Triples serialization format. N-Triples is a line-based plain-text format for encoding an RDF graph. It is a very restricted, explicit and well-defined subset of both Turtle and Notation3 (N3). An example of an RDF statement in N-Triples format: &lt;https://hex.pm/&gt; &lt;http://purl.org/dc/terms/title&gt; &quot;Hex&quot; . see https://www.w3.org/TR/n-triples/"},{"ref":"RDF.NTriples.html#read_file/2","title":"RDF.NTriples.read_file/2","type":"function","doc":""},{"ref":"RDF.NTriples.html#read_file!/2","title":"RDF.NTriples.read_file!/2","type":"function","doc":""},{"ref":"RDF.NTriples.html#read_string/2","title":"RDF.NTriples.read_string/2","type":"function","doc":""},{"ref":"RDF.NTriples.html#read_string!/2","title":"RDF.NTriples.read_string!/2","type":"function","doc":""},{"ref":"RDF.NTriples.html#write_file/3","title":"RDF.NTriples.write_file/3","type":"function","doc":""},{"ref":"RDF.NTriples.html#write_file!/3","title":"RDF.NTriples.write_file!/3","type":"function","doc":""},{"ref":"RDF.NTriples.html#write_string/2","title":"RDF.NTriples.write_string/2","type":"function","doc":""},{"ref":"RDF.NTriples.html#write_string!/2","title":"RDF.NTriples.write_string!/2","type":"function","doc":""},{"ref":"RDF.Namespace.html","title":"RDF.Namespace","type":"behaviour","doc":"A behaviour for resolvers of atoms to RDF.IRIs. Currently there&#39;s only one type of such namespaces: RDF.Vocabulary.Namespace, but other types are thinkable and might be implemented in the future, eg. namespaces for JSON-LD contexts."},{"ref":"RDF.Namespace.html#c:__resolve_term__/1","title":"RDF.Namespace.__resolve_term__/1","type":"callback","doc":"Resolves a term to a RDF.IRI."},{"ref":"RDF.Namespace.html#c:__terms__/0","title":"RDF.Namespace.__terms__/0","type":"callback","doc":"All terms of a RDF.Namespace."},{"ref":"RDF.Namespace.html#resolve_term/1","title":"RDF.Namespace.resolve_term/1","type":"function","doc":"Resolves a qualified term to a RDF.IRI. It determines a RDF.Namespace from the qualifier of the given term and delegates to remaining part of the term to __resolve_term__/1 of this determined namespace."},{"ref":"RDF.Namespace.InvalidAliasError.html","title":"RDF.Namespace.InvalidAliasError","type":"exception","doc":""},{"ref":"RDF.Namespace.InvalidTermError.html","title":"RDF.Namespace.InvalidTermError","type":"exception","doc":""},{"ref":"RDF.Namespace.InvalidVocabBaseIRIError.html","title":"RDF.Namespace.InvalidVocabBaseIRIError","type":"exception","doc":""},{"ref":"RDF.Namespace.UndefinedTermError.html","title":"RDF.Namespace.UndefinedTermError","type":"exception","doc":""},{"ref":"RDF.Numeric.html","title":"RDF.Numeric","type":"module","doc":"The set of all numeric datatypes."},{"ref":"RDF.Numeric.html#abs/1","title":"RDF.Numeric.abs/1","type":"function","doc":"Returns the absolute value of a numeric literal. If the argument is not a valid numeric literal nil is returned. see http://www.w3.org/TR/xpath-functions/#func-abs"},{"ref":"RDF.Numeric.html#add/2","title":"RDF.Numeric.add/2","type":"function","doc":"Adds two numeric literals. For xsd:float or xsd:double values, if one of the operands is a zero or a finite number and the other is INF or -INF, INF or -INF is returned. If both operands are INF, INF is returned. If both operands are -INF, -INF is returned. If one of the operands is INF and the other is -INF, NaN is returned. If one of the given arguments is not a numeric literal, nil is returned. see http://www.w3.org/TR/xpath-functions/#func-numeric-add"},{"ref":"RDF.Numeric.html#ceil/1","title":"RDF.Numeric.ceil/1","type":"function","doc":"Rounds a numeric literal upwards to a whole number literal. If the argument is not a valid numeric literal nil is returned. see http://www.w3.org/TR/xpath-functions/#func-ceil"},{"ref":"RDF.Numeric.html#compare/2","title":"RDF.Numeric.compare/2","type":"function","doc":"Compares two numeric RDF.Literals. Returns :gt if first literal is greater than the second and :lt for vice versa. If the two literals are equal :eq is returned. Returns nil when the given arguments are not comparable datatypes."},{"ref":"RDF.Numeric.html#divide/2","title":"RDF.Numeric.divide/2","type":"function","doc":"Divides two numeric literals. For xsd:float and xsd:double operands, floating point division is performed as specified in [IEEE 754-2008]. A positive number divided by positive zero returns INF. A negative number divided by positive zero returns -INF. Division by negative zero returns -INF and INF, respectively. Positive or negative zero divided by positive or negative zero returns NaN. Also, INF or -INF divided by INF or -INF returns NaN. If one of the given arguments is not a numeric literal, nil is returned. nil is also returned for xsd:decimal and xsd:integer operands, if the divisor is (positive or negative) zero. see http://www.w3.org/TR/xpath-functions/#func-numeric-divide"},{"ref":"RDF.Numeric.html#equal_value?/2","title":"RDF.Numeric.equal_value?/2","type":"function","doc":"Tests for numeric value equality of two numeric literals. Returns nil when the given arguments are not comparable as numeric literals. see: https://www.w3.org/TR/sparql11-query/#OperatorMapping https://www.w3.org/TR/xpath-functions/#func-numeric-equal"},{"ref":"RDF.Numeric.html#floor/1","title":"RDF.Numeric.floor/1","type":"function","doc":"Rounds a numeric literal downwards to a whole number literal. If the argument is not a valid numeric literal nil is returned. see http://www.w3.org/TR/xpath-functions/#func-floor"},{"ref":"RDF.Numeric.html#literal?/1","title":"RDF.Numeric.literal?/1","type":"function","doc":"Returns if a given literal has a numeric datatype."},{"ref":"RDF.Numeric.html#multiply/2","title":"RDF.Numeric.multiply/2","type":"function","doc":"Multiplies two numeric literals. For xsd:float or xsd:double values, if one of the operands is a zero and the other is an infinity, NaN is returned. If one of the operands is a non-zero number and the other is an infinity, an infinity with the appropriate sign is returned. If one of the given arguments is not a numeric literal, nil is returned. see http://www.w3.org/TR/xpath-functions/#func-numeric-multiply"},{"ref":"RDF.Numeric.html#negative_zero?/1","title":"RDF.Numeric.negative_zero?/1","type":"function","doc":""},{"ref":"RDF.Numeric.html#round/2","title":"RDF.Numeric.round/2","type":"function","doc":"Rounds a value to a specified number of decimal places, rounding upwards if two such values are equally near. The function returns the nearest (that is, numerically closest) value to the given literal value that is a multiple of ten to the power of minus precision. If two such values are equally near (for example, if the fractional part in the literal value is exactly .5), the function returns the one that is closest to positive infinity. If the argument is not a valid numeric literal nil is returned. see http://www.w3.org/TR/xpath-functions/#func-round"},{"ref":"RDF.Numeric.html#subtract/2","title":"RDF.Numeric.subtract/2","type":"function","doc":"Subtracts two numeric literals. For xsd:float or xsd:double values, if one of the operands is a zero or a finite number and the other is INF or -INF, an infinity of the appropriate sign is returned. If both operands are INF or -INF, NaN is returned. If one of the operands is INF and the other is -INF, an infinity of the appropriate sign is returned. If one of the given arguments is not a numeric literal, nil is returned. see http://www.w3.org/TR/xpath-functions/#func-numeric-subtract"},{"ref":"RDF.Numeric.html#type?/1","title":"RDF.Numeric.type?/1","type":"function","doc":"Returns if a given datatype is a numeric datatype."},{"ref":"RDF.Numeric.html#types/0","title":"RDF.Numeric.types/0","type":"function","doc":"The list of all numeric datatypes."},{"ref":"RDF.Numeric.html#zero?/1","title":"RDF.Numeric.zero?/1","type":"function","doc":""},{"ref":"RDF.PrefixMap.html","title":"RDF.PrefixMap","type":"module","doc":"A mapping a prefix atoms to IRI namespaces. RDF.PrefixMap implements the Enumerable protocol."},{"ref":"RDF.PrefixMap.html#add/3","title":"RDF.PrefixMap.add/3","type":"function","doc":"Adds a prefix mapping to the given RDF.PrefixMap. Unless a mapping of the given prefix to a different namespace already exists, an ok tuple is returned, other an error tuple."},{"ref":"RDF.PrefixMap.html#add!/3","title":"RDF.PrefixMap.add!/3","type":"function","doc":"Adds a prefix mapping to the given RDF.PrefixMap and raises an exception in error cases."},{"ref":"RDF.PrefixMap.html#delete/2","title":"RDF.PrefixMap.delete/2","type":"function","doc":"Deletes a prefix mapping from the given RDF.PrefixMap."},{"ref":"RDF.PrefixMap.html#drop/2","title":"RDF.PrefixMap.drop/2","type":"function","doc":"Drops the given prefixes from the given prefix_map. If prefixes contains prefixes that are not in prefix_map, they&#39;re simply ignored."},{"ref":"RDF.PrefixMap.html#has_prefix?/2","title":"RDF.PrefixMap.has_prefix?/2","type":"function","doc":"Returns whether the given prefix exists in the given RDF.PrefixMap."},{"ref":"RDF.PrefixMap.html#merge/2","title":"RDF.PrefixMap.merge/2","type":"function","doc":"Merges two RDF.PrefixMaps. The second prefix map can also be given as any structure which can converted to a RDF.PrefixMap via new/1. If the prefix maps can be merged without conflicts, that is there are no prefixes mapped to different namespaces an :ok tuple is returned. Otherwise an :error tuple with the list of prefixes with conflicting namespaces is returned. See also merge/3 which allows you to resolve conflicts with a function."},{"ref":"RDF.PrefixMap.html#merge/3","title":"RDF.PrefixMap.merge/3","type":"function","doc":"Merges two RDF.PrefixMaps, resolving conflicts through the given conflict_resolver function. The second prefix map can also be given as any structure which can converted to a RDF.PrefixMap via new/1. The given function will be invoked when there are conflicting mappings of prefixes to different namespaces; its arguments are prefix, namespace1 (the namespace for the prefix in the first prefix map), and namespace2 (the namespace for the prefix in the second prefix map). The value returned by the conflict_resolver function is used as the namespace for the prefix in the resulting prefix map. Non-RDF.IRI values will be tried to be converted to converted to RDF.IRI via RDF.IRI.new implicitly. If a conflict can&#39;t be resolved, the provided function can return nil. This will result in an overall return of an :error tuple with the list of prefixes for which the conflict couldn&#39;t be resolved. If everything could be merged, an :ok tuple is returned."},{"ref":"RDF.PrefixMap.html#merge!/3","title":"RDF.PrefixMap.merge!/3","type":"function","doc":"Merges two RDF.PrefixMaps and raises an exception in error cases. See merge/2 and merge/3 for more information on merging prefix maps."},{"ref":"RDF.PrefixMap.html#namespace/2","title":"RDF.PrefixMap.namespace/2","type":"function","doc":"Returns the namespace for the given prefix in the given RDF.PrefixMap. Returns nil, when the given prefix is not present in prefix_map."},{"ref":"RDF.PrefixMap.html#namespaces/1","title":"RDF.PrefixMap.namespaces/1","type":"function","doc":"Returns all namespaces from the given RDF.PrefixMap."},{"ref":"RDF.PrefixMap.html#new/0","title":"RDF.PrefixMap.new/0","type":"function","doc":"Creates an empty RDF.PrefixMap."},{"ref":"RDF.PrefixMap.html#new/1","title":"RDF.PrefixMap.new/1","type":"function","doc":"Creates a new RDF.PrefixMap. The prefix mappings can be passed as keyword lists or maps. The keys for the prefixes can be given as atoms or strings and will be normalized to atoms. The namespaces can be given as RDF.IRIs or strings and will be normalized to RDF.IRIs."},{"ref":"RDF.PrefixMap.html#prefix/2","title":"RDF.PrefixMap.prefix/2","type":"function","doc":"Returns the prefix for the given namespace in the given RDF.PrefixMap. Returns nil, when the given namespace is not present in prefix_map."},{"ref":"RDF.PrefixMap.html#prefixes/1","title":"RDF.PrefixMap.prefixes/1","type":"function","doc":"Returns all prefixes from the given RDF.PrefixMap."},{"ref":"RDF.Quad.html","title":"RDF.Quad","type":"module","doc":"Helper functions for RDF quads. A RDF Quad is represented as a plain Elixir tuple consisting of four valid RDF values for subject, predicate, object and a graph context."},{"ref":"RDF.Quad.html#new/1","title":"RDF.Quad.new/1","type":"function","doc":"Creates a RDF.Quad with proper RDF values. An error is raised when the given elements are not coercible to RDF values. Note: The RDF.quad function is a shortcut to this function. Examples iex&gt; RDF.Quad.new {&quot;http://example.com/S&quot;, &quot;http://example.com/p&quot;, 42, &quot;http://example.com/Graph&quot;} {~I&lt;http://example.com/S&gt;, ~I&lt;http://example.com/p&gt;, RDF.literal(42), ~I&lt;http://example.com/Graph&gt;} iex&gt; RDF.Quad.new {EX.S, EX.p, 42, EX.Graph} {RDF.iri(&quot;http://example.com/S&quot;), RDF.iri(&quot;http://example.com/p&quot;), RDF.literal(42), RDF.iri(&quot;http://example.com/Graph&quot;)}"},{"ref":"RDF.Quad.html#new/4","title":"RDF.Quad.new/4","type":"function","doc":"Creates a RDF.Quad with proper RDF values. An error is raised when the given elements are not coercible to RDF values. Note: The RDF.quad function is a shortcut to this function. Examples iex&gt; RDF.Quad.new(&quot;http://example.com/S&quot;, &quot;http://example.com/p&quot;, 42, &quot;http://example.com/Graph&quot;) {~I&lt;http://example.com/S&gt;, ~I&lt;http://example.com/p&gt;, RDF.literal(42), ~I&lt;http://example.com/Graph&gt;} iex&gt; RDF.Quad.new(EX.S, EX.p, 42, EX.Graph) {RDF.iri(&quot;http://example.com/S&quot;), RDF.iri(&quot;http://example.com/p&quot;), RDF.literal(42), RDF.iri(&quot;http://example.com/Graph&quot;)}"},{"ref":"RDF.Quad.html#valid?/1","title":"RDF.Quad.valid?/1","type":"function","doc":"Checks if the given tuple is a valid RDF quad. The elements of a valid RDF quad must be RDF terms. On the subject position only IRIs and blank nodes allowed, while on the predicate and graph context position only IRIs allowed. The object position can be any RDF term."},{"ref":"RDF.Quad.html#values/2","title":"RDF.Quad.values/2","type":"function","doc":"Returns a tuple of native Elixir values from a RDF.Quad of RDF terms. Returns nil if one of the components of the given tuple is not convertible via RDF.Term.value/1. The optional second argument allows to specify a custom mapping with a function which will receive a tuple {statement_position, rdf_term} where statement_position is one of the atoms :subject, :predicate, :object or :graph_name, while rdf_term is the RDF term to be mapped. When the given function returns nil this will be interpreted as an error and will become the overhaul result of the values/2 call. Examples iex&gt; RDF.Quad.values {~I&lt;http://example.com/S&gt;, ~I&lt;http://example.com/p&gt;, RDF.literal(42), ~I&lt;http://example.com/Graph&gt;} {&quot;http://example.com/S&quot;, &quot;http://example.com/p&quot;, 42, &quot;http://example.com/Graph&quot;} iex&gt; {~I&lt;http://example.com/S&gt;, ~I&lt;http://example.com/p&gt;, RDF.literal(42), ~I&lt;http://example.com/Graph&gt;} ...&gt; |&gt; RDF.Quad.values(fn ...&gt; {:object, object} -&gt; ...&gt; RDF.Term.value(object) ...&gt; {:graph_name, graph_name} -&gt; ...&gt; graph_name ...&gt; {_, resource} -&gt; ...&gt; resource |&gt; to_string() |&gt; String.last() |&gt; String.to_atom() ...&gt; end) {:S, :p, 42, ~I&lt;http://example.com/Graph&gt;}"},{"ref":"RDF.Quad.InvalidGraphContextError.html","title":"RDF.Quad.InvalidGraphContextError","type":"exception","doc":""},{"ref":"RDF.Quad.InvalidGraphContextError.html#message/1","title":"RDF.Quad.InvalidGraphContextError.message/1","type":"function","doc":"Callback implementation for Exception.message/1."},{"ref":"RDF.Serialization.html","title":"RDF.Serialization","type":"module","doc":"General functions for working with RDF serializations."},{"ref":"RDF.Serialization.html#available_formats/0","title":"RDF.Serialization.available_formats/0","type":"function","doc":"The list of all available RDF.Serialization.Formats in an application. A known format might not be available in an application, when the format is implemented in an external library and this not specified as a Mix dependency of this application. Examples iex&gt; RDF.Serialization.available_formats [RDF.Turtle, RDF.NTriples, RDF.NQuads]"},{"ref":"RDF.Serialization.html#format/1","title":"RDF.Serialization.format/1","type":"function","doc":"Returns the RDF.Serialization.Format with the given name, if available. Examples iex&gt; RDF.Serialization.format(:turtle) RDF.Turtle iex&gt; RDF.Serialization.format(&quot;turtle&quot;) RDF.Turtle iex&gt; RDF.Serialization.format(:jsonld) nil # unless json_ld is defined as a dependency of the application"},{"ref":"RDF.Serialization.html#format_by_extension/1","title":"RDF.Serialization.format_by_extension/1","type":"function","doc":"Returns the proper RDF.Serialization.Format for the given file extension, if available. Examples iex&gt; RDF.Serialization.format_by_extension(&quot;ttl&quot;) RDF.Turtle iex&gt; RDF.Serialization.format_by_extension(&quot;.ttl&quot;) RDF.Turtle iex&gt; RDF.Serialization.format_by_extension(&quot;jsonld&quot;) nil # unless json_ld is defined as a dependency of the application"},{"ref":"RDF.Serialization.html#format_by_media_type/1","title":"RDF.Serialization.format_by_media_type/1","type":"function","doc":"Returns the RDF.Serialization.Format with the given media type, if available. Examples iex&gt; RDF.Serialization.format_by_media_type(&quot;text/turtle&quot;) RDF.Turtle iex&gt; RDF.Serialization.format_by_media_type(&quot;application/ld+json&quot;) nil # unless json_ld is defined as a dependency of the application"},{"ref":"RDF.Serialization.html#formats/0","title":"RDF.Serialization.formats/0","type":"function","doc":"The list of all known RDF.Serialization.Formats in the RDF.ex eco-system. Note: Not all known formats might be available to an application, see available_formats/0. Examples iex&gt; RDF.Serialization.formats [RDF.Turtle, JSON.LD, RDF.NTriples, RDF.NQuads]"},{"ref":"RDF.Serialization.html#read_file/2","title":"RDF.Serialization.read_file/2","type":"function","doc":"Reads and decodes a serialized graph or dataset from a file. The format can be specified with the format option and a format name or the media_type option and the media type of the format. If none of these are given, the format gets inferred from the extension of the given file name. It returns an {:ok, data} tuple, with data being the deserialized graph or dataset, or {:error, reason} if an error occurs."},{"ref":"RDF.Serialization.html#read_file!/2","title":"RDF.Serialization.read_file!/2","type":"function","doc":"Reads and decodes a serialized graph or dataset from a file. The format can be specified with the format option and a format name or the media_type option and the media type of the format. If none of these are given, the format gets inferred from the extension of the given file name. As opposed to read_file, it raises an exception if an error occurs."},{"ref":"RDF.Serialization.html#read_string/2","title":"RDF.Serialization.read_string/2","type":"function","doc":"Reads and decodes a serialized graph or dataset from a string. The format must be specified with the format option and a format name or the media_type option and the media type of the format. It returns an {:ok, data} tuple, with data being the deserialized graph or dataset, or {:error, reason} if an error occurs."},{"ref":"RDF.Serialization.html#read_string!/2","title":"RDF.Serialization.read_string!/2","type":"function","doc":"Reads and decodes a serialized graph or dataset from a string. The format must be specified with the format option and a format name or the media_type option and the media type of the format. As opposed to read_string, it raises an exception if an error occurs."},{"ref":"RDF.Serialization.html#write_file/3","title":"RDF.Serialization.write_file/3","type":"function","doc":"Encodes and writes a graph or dataset to a file. The format can be specified with the format option and a format name or the media_type option and the media type of the format. If none of these are given, the format gets inferred from the extension of the given file name. Other available serialization-independent options: :force - If not set to true, an error is raised when the given file already exists (default: false) :file_mode - A list with the Elixir File.open modes to be used for writing (default: [:utf8, :write]) It returns :ok if successful or {:error, reason} if an error occurs."},{"ref":"RDF.Serialization.html#write_file!/3","title":"RDF.Serialization.write_file!/3","type":"function","doc":"Encodes and writes a graph or dataset to a file. The format can be specified with the format option and a format name or the media_type option and the media type of the format. If none of these are given, the format gets inferred from the extension of the given file name. See write_file for a list of other available options. As opposed to write_file, it raises an exception if an error occurs."},{"ref":"RDF.Serialization.html#write_string/2","title":"RDF.Serialization.write_string/2","type":"function","doc":"Encodes and writes a graph or dataset to a string. The format must be specified with the format option and a format name or the media_type option and the media type of the format. It returns an {:ok, string} tuple, with string being the serialized graph or dataset, or {:error, reason} if an error occurs."},{"ref":"RDF.Serialization.html#write_string!/2","title":"RDF.Serialization.write_string!/2","type":"function","doc":"Encodes and writes a graph or dataset to a string. The format must be specified with the format option and a format name or the media_type option and the media type of the format. As opposed to write_string, it raises an exception if an error occurs."},{"ref":"RDF.Serialization.Decoder.html","title":"RDF.Serialization.Decoder","type":"behaviour","doc":"A behaviour for decoders of strings encoded in a specific RDF.Serialization format."},{"ref":"RDF.Serialization.Decoder.html#c:decode/2","title":"RDF.Serialization.Decoder.decode/2","type":"callback","doc":"Decodes a serialized RDF.Graph or RDF.Dataset from the given string. It returns an {:ok, data} tuple, with data being the deserialized graph or dataset, or {:error, reason} if an error occurs."},{"ref":"RDF.Serialization.Decoder.html#c:decode!/2","title":"RDF.Serialization.Decoder.decode!/2","type":"callback","doc":"Decodes a serialized RDF.Graph or RDF.Dataset from the given string. As opposed to decode, it raises an exception if an error occurs. Note: The __using__ macro automatically provides an overridable default implementation based on the non-bang decode function."},{"ref":"RDF.Serialization.Encoder.html","title":"RDF.Serialization.Encoder","type":"behaviour","doc":"A behaviour for encoders of RDF.Graphs or RDF.Datasets in a specific RDF.Serialization format."},{"ref":"RDF.Serialization.Encoder.html#c:encode/2","title":"RDF.Serialization.Encoder.encode/2","type":"callback","doc":"Encodes a RDF.Graph or RDF.Dataset. It returns an {:ok, string} tuple, with string being the serialized RDF.Graph or RDF.Dataset, or {:error, reason} if an error occurs."},{"ref":"RDF.Serialization.Encoder.html#c:encode!/2","title":"RDF.Serialization.Encoder.encode!/2","type":"callback","doc":"Encodes a RDF.Graph or RDF.Dataset. As opposed to encode, it raises an exception if an error occurs. Note: The __using__ macro automatically provides an overridable default implementation based on the non-bang encode function."},{"ref":"RDF.Serialization.Format.html","title":"RDF.Serialization.Format","type":"behaviour","doc":"A behaviour for RDF serialization formats. A RDF.Serialization for a format can be implemented like this defmodule SomeFormat do use RDF.Serialization.Format import RDF.Sigils @id ~I&lt;http://example.com/some_format&gt; @name :some_format @extension &quot;ext&quot; @media_type &quot;application/some-format&quot; end When @id, @name, @extension and @media_type module attributes are defined the resp. behaviour functions are generated automatically and return these values. Then you&#39;ll have to do the main work by implementing a RDF.Serialization.Encoder and a RDF.Serialization.Decoder for the format. By default it is assumed that these are defined in Encoder and Decoder moduler under the RDF.Serialization.Format module of the format, i.e. in the example above in SomeFormat.Encoder and SomeFormat.Decoder. If you want them in another module, you&#39;ll have to override the encoder/0 and/or decoder/0 functions in your RDF.Serialization.Format module."},{"ref":"RDF.Serialization.Format.html#c:decoder/0","title":"RDF.Serialization.Format.decoder/0","type":"callback","doc":"The RDF.Serialization.Decoder module for the serialization format."},{"ref":"RDF.Serialization.Format.html#c:encoder/0","title":"RDF.Serialization.Format.encoder/0","type":"callback","doc":"The RDF.Serialization.Encoder module for the serialization format."},{"ref":"RDF.Serialization.Format.html#c:extension/0","title":"RDF.Serialization.Format.extension/0","type":"callback","doc":"The usual file extension for the serialization format."},{"ref":"RDF.Serialization.Format.html#c:id/0","title":"RDF.Serialization.Format.id/0","type":"callback","doc":"An IRI of the serialization format."},{"ref":"RDF.Serialization.Format.html#c:media_type/0","title":"RDF.Serialization.Format.media_type/0","type":"callback","doc":"The MIME type of the serialization format."},{"ref":"RDF.Serialization.Format.html#c:name/0","title":"RDF.Serialization.Format.name/0","type":"callback","doc":"An name atom of the serialization format."},{"ref":"RDF.Serialization.Format.html#c:options/0","title":"RDF.Serialization.Format.options/0","type":"callback","doc":"A map with the supported options of the Encoder and Decoder for the serialization format."},{"ref":"RDF.Serialization.Reader.html","title":"RDF.Serialization.Reader","type":"module","doc":"General functions for reading a RDF.Graph or RDF.Dataset from a serialization file or encoded-string. You probably won&#39;t use these functions directly, but instead use the automatically generated functions with same name on a RDF.Serialization.Format, which implicitly use the proper RDF.Serialization.Decoder module."},{"ref":"RDF.Serialization.Reader.html#read_file/3","title":"RDF.Serialization.Reader.read_file/3","type":"function","doc":"Reads and decodes a serialized graph or dataset from a file. It returns an {:ok, data} tuple, with data being the deserialized graph or dataset, or {:error, reason} if an error occurs."},{"ref":"RDF.Serialization.Reader.html#read_file!/3","title":"RDF.Serialization.Reader.read_file!/3","type":"function","doc":"Reads and decodes a serialized graph or dataset from a file. As opposed to read_file, it raises an exception if an error occurs."},{"ref":"RDF.Serialization.Reader.html#read_string/3","title":"RDF.Serialization.Reader.read_string/3","type":"function","doc":"Reads and decodes a serialized graph or dataset from a string. It returns an {:ok, data} tuple, with data being the deserialized graph or dataset, or {:error, reason} if an error occurs."},{"ref":"RDF.Serialization.Reader.html#read_string!/3","title":"RDF.Serialization.Reader.read_string!/3","type":"function","doc":"Reads and decodes a serialized graph or dataset from a string. As opposed to read_string, it raises an exception if an error occurs."},{"ref":"RDF.Serialization.Writer.html","title":"RDF.Serialization.Writer","type":"module","doc":"General functions for writing the statements of a RDF.Graph or RDF.Dataset to a serialization file or string. You probably won&#39;t use these functions directly, but instead use the automatically generated functions with same name on a RDF.Serialization.Format, which implicitly use the proper RDF.Serialization.Encoder module."},{"ref":"RDF.Serialization.Writer.html#write_file/4","title":"RDF.Serialization.Writer.write_file/4","type":"function","doc":"Encodes and writes a graph or dataset to a file. General available serialization-independent options: :force - If not set to true, an error is raised when the given file already exists (default: false) :file_mode - A list with the Elixir File.open modes to be used for writing (default: [:utf8, :write]) It returns :ok if successful or {:error, reason} if an error occurs."},{"ref":"RDF.Serialization.Writer.html#write_file!/4","title":"RDF.Serialization.Writer.write_file!/4","type":"function","doc":"Encodes and writes a graph or dataset to a file. See write_file for a list of available options. As opposed to write_file, it raises an exception if an error occurs."},{"ref":"RDF.Serialization.Writer.html#write_string/3","title":"RDF.Serialization.Writer.write_string/3","type":"function","doc":"Encodes and writes a graph or dataset to a string. It returns an {:ok, string} tuple, with string being the serialized graph or dataset, or {:error, reason} if an error occurs."},{"ref":"RDF.Serialization.Writer.html#write_string!/3","title":"RDF.Serialization.Writer.write_string!/3","type":"function","doc":"Encodes and writes a graph or dataset to a string. As opposed to write_string, it raises an exception if an error occurs."},{"ref":"RDF.Sigils.html","title":"RDF.Sigils","type":"module","doc":"Sigils for the most common types of RDF nodes."},{"ref":"RDF.Sigils.html#sigil_B/2","title":"RDF.Sigils.sigil_B/2","type":"macro","doc":"Handles the sigil ~B for blank nodes. Examples iex&gt; import RDF.Sigils iex&gt; ~B&lt;foo&gt; RDF.bnode(&quot;foo&quot;)"},{"ref":"RDF.Sigils.html#sigil_I/2","title":"RDF.Sigils.sigil_I/2","type":"macro","doc":"Handles the sigil ~I for IRIs. Note: The given IRI string is precompiled into an RDF.IRI struct. Examples iex&gt; import RDF.Sigils iex&gt; ~I&lt;http://example.com&gt; RDF.iri(&quot;http://example.com&quot;)"},{"ref":"RDF.Sigils.html#sigil_L/2","title":"RDF.Sigils.sigil_L/2","type":"macro","doc":"Handles the sigil ~L for plain Literals. The sigil modifier can be used to specify a language tag. Note: Languages with subtags are not supported. Examples iex&gt; import RDF.Sigils iex&gt; ~L&quot;foo&quot; RDF.literal(&quot;foo&quot;) iex&gt; ~L&quot;foo&quot;en RDF.literal(&quot;foo&quot;, language: &quot;en&quot;)"},{"ref":"RDF.Statement.html","title":"RDF.Statement","type":"module","doc":"Helper functions for RDF statements. A RDF statement is either a RDF.Triple or a RDF.Quad."},{"ref":"RDF.Statement.html#coerce/1","title":"RDF.Statement.coerce/1","type":"function","doc":"Creates a RDF.Statement tuple with proper RDF values. An error is raised when the given elements are not coercible to RDF values. Examples iex&gt; RDF.Statement.coerce {&quot;http://example.com/S&quot;, &quot;http://example.com/p&quot;, 42} {~I&lt;http://example.com/S&gt;, ~I&lt;http://example.com/p&gt;, RDF.literal(42)} iex&gt; RDF.Statement.coerce {&quot;http://example.com/S&quot;, &quot;http://example.com/p&quot;, 42, &quot;http://example.com/Graph&quot;} {~I&lt;http://example.com/S&gt;, ~I&lt;http://example.com/p&gt;, RDF.literal(42), ~I&lt;http://example.com/Graph&gt;}"},{"ref":"RDF.Statement.html#valid?/1","title":"RDF.Statement.valid?/1","type":"function","doc":"Checks if the given tuple is a valid RDF statement, i.e. RDF triple or quad. The elements of a valid RDF statement must be RDF terms. On the subject position only IRIs and blank nodes allowed, while on the predicate and graph context position only IRIs allowed. The object position can be any RDF term."},{"ref":"RDF.Statement.html#valid_graph_name?/1","title":"RDF.Statement.valid_graph_name?/1","type":"function","doc":""},{"ref":"RDF.Statement.html#valid_object?/1","title":"RDF.Statement.valid_object?/1","type":"function","doc":""},{"ref":"RDF.Statement.html#valid_predicate?/1","title":"RDF.Statement.valid_predicate?/1","type":"function","doc":""},{"ref":"RDF.Statement.html#valid_subject?/1","title":"RDF.Statement.valid_subject?/1","type":"function","doc":""},{"ref":"RDF.Statement.html#values/2","title":"RDF.Statement.values/2","type":"function","doc":"Returns a tuple of native Elixir values from a RDF.Statement of RDF terms. Returns nil if one of the components of the given tuple is not convertible via RDF.Term.value/1. The optional second argument allows to specify a custom mapping with a function which will receive a tuple {statement_position, rdf_term} where statement_position is one of the atoms :subject, :predicate, :object or :graph_name, while rdf_term is the RDF term to be mapped. When the given function returns nil this will be interpreted as an error and will become the overhaul result of the values/2 call. Examples iex&gt; RDF.Statement.values {~I&lt;http://example.com/S&gt;, ~I&lt;http://example.com/p&gt;, RDF.literal(42)} {&quot;http://example.com/S&quot;, &quot;http://example.com/p&quot;, 42} iex&gt; RDF.Statement.values {~I&lt;http://example.com/S&gt;, ~I&lt;http://example.com/p&gt;, RDF.literal(42), ~I&lt;http://example.com/Graph&gt;} {&quot;http://example.com/S&quot;, &quot;http://example.com/p&quot;, 42, &quot;http://example.com/Graph&quot;} iex&gt; {~I&lt;http://example.com/S&gt;, ~I&lt;http://example.com/p&gt;, RDF.literal(42), ~I&lt;http://example.com/Graph&gt;} ...&gt; |&gt; RDF.Statement.values(fn ...&gt; {:subject, subject} -&gt; ...&gt; subject |&gt; to_string() |&gt; String.last() ...&gt; {:predicate, predicate} -&gt; ...&gt; predicate |&gt; to_string() |&gt; String.last() |&gt; String.to_atom() ...&gt; {:object, object} -&gt; ...&gt; RDF.Term.value(object) ...&gt; {:graph_name, graph_name} -&gt; ...&gt; graph_name ...&gt; end) {&quot;S&quot;, :p, 42, ~I&lt;http://example.com/Graph&gt;}"},{"ref":"RDF.Statement.html#t:coercible_graph_name/0","title":"RDF.Statement.coercible_graph_name/0","type":"type","doc":""},{"ref":"RDF.Statement.html#t:coercible_object/0","title":"RDF.Statement.coercible_object/0","type":"type","doc":""},{"ref":"RDF.Statement.html#t:coercible_predicate/0","title":"RDF.Statement.coercible_predicate/0","type":"type","doc":""},{"ref":"RDF.Statement.html#t:coercible_subject/0","title":"RDF.Statement.coercible_subject/0","type":"type","doc":""},{"ref":"RDF.Statement.html#t:graph_name/0","title":"RDF.Statement.graph_name/0","type":"type","doc":""},{"ref":"RDF.Statement.html#t:object/0","title":"RDF.Statement.object/0","type":"type","doc":""},{"ref":"RDF.Statement.html#t:predicate/0","title":"RDF.Statement.predicate/0","type":"type","doc":""},{"ref":"RDF.Statement.html#t:subject/0","title":"RDF.Statement.subject/0","type":"type","doc":""},{"ref":"RDF.String.html","title":"RDF.String","type":"module","doc":"RDF.Datatype for XSD string."},{"ref":"RDF.String.html#build_literal/3","title":"RDF.String.build_literal/3","type":"function","doc":""},{"ref":"RDF.String.html#build_literal_by_lexical/2","title":"RDF.String.build_literal_by_lexical/2","type":"function","doc":""},{"ref":"RDF.String.html#build_literal_by_value/2","title":"RDF.String.build_literal_by_value/2","type":"function","doc":""},{"ref":"RDF.String.html#greater_than?/2","title":"RDF.String.greater_than?/2","type":"function","doc":""},{"ref":"RDF.String.html#less_than?/2","title":"RDF.String.less_than?/2","type":"function","doc":""},{"ref":"RDF.String.html#new/2","title":"RDF.String.new/2","type":"function","doc":""},{"ref":"RDF.String.html#new!/2","title":"RDF.String.new!/2","type":"function","doc":""},{"ref":"RDF.String.html#validate_cast/1","title":"RDF.String.validate_cast/1","type":"function","doc":""},{"ref":"RDF.Term.html","title":"RDF.Term","type":"protocol","doc":"Shared behaviour for all RDF terms. A RDF.Term is anything which can be an element of RDF statements of a RDF graph: RDF.IRIs RDF.BlankNodes RDF.Literals see https://www.w3.org/TR/sparql11-query/#defn_RDFTerm"},{"ref":"RDF.Term.html#coerce/1","title":"RDF.Term.coerce/1","type":"function","doc":"Converts a given value into a RDF term. Returns nil if the given value is not convertible into any valid RDF.Term. Examples iex&gt; RDF.Term.coerce(&quot;foo&quot;) ~L&quot;foo&quot; iex&gt; RDF.Term.coerce(42) RDF.integer(42)"},{"ref":"RDF.Term.html#equal?/2","title":"RDF.Term.equal?/2","type":"function","doc":"Tests for term equality. see http://www.w3.org/TR/rdf-sparql-query/#func-sameTerm"},{"ref":"RDF.Term.html#equal_value?/2","title":"RDF.Term.equal_value?/2","type":"function","doc":"Tests for equality of values. Non-RDF terms are tried to be coerced via RDF.Term.coerce/1 before comparison. Returns nil if the given terms are not comparable. see http://www.w3.org/TR/rdf-sparql-query/#func-RDFterm-equal and the value equality semantics of the different literal datatypes here: https://www.w3.org/TR/sparql11-query/#OperatorMapping"},{"ref":"RDF.Term.html#term?/1","title":"RDF.Term.term?/1","type":"function","doc":"Checks if the given value is a RDF term. Note: As opposed to RDF.term? this function returns false on atoms and does not try resolves those to IRIs. Examples iex&gt; RDF.Term.term?(RDF.iri(&quot;http://example.com/resource&quot;)) true iex&gt; RDF.Term.term?(EX.Resource) false iex&gt; RDF.Term.term?(RDF.bnode) true iex&gt; RDF.Term.term?(RDF.integer(42)) true iex&gt; RDF.Term.term?(42) false"},{"ref":"RDF.Term.html#value/1","title":"RDF.Term.value/1","type":"function","doc":"Returns the native Elixir value of a RDF term. Returns nil if the given value is not a a valid RDF term or a value convertible to a RDF term. Examples iex&gt; RDF.Term.value(~I&lt;http://example.com/&gt;) &quot;http://example.com/&quot; iex&gt; RDF.Term.value(~L&quot;foo&quot;) &quot;foo&quot; iex&gt; RDF.integer(42) |&gt; RDF.Term.value() 42"},{"ref":"RDF.Term.html#t:t/0","title":"RDF.Term.t/0","type":"type","doc":""},{"ref":"RDF.Time.html","title":"RDF.Time","type":"module","doc":"RDF.Datatype for XSD time."},{"ref":"RDF.Time.html#build_literal/3","title":"RDF.Time.build_literal/3","type":"function","doc":""},{"ref":"RDF.Time.html#build_literal_by_lexical/2","title":"RDF.Time.build_literal_by_lexical/2","type":"function","doc":""},{"ref":"RDF.Time.html#build_literal_by_value/2","title":"RDF.Time.build_literal_by_value/2","type":"function","doc":""},{"ref":"RDF.Time.html#canonical_lexical_with_zone/1","title":"RDF.Time.canonical_lexical_with_zone/1","type":"function","doc":"Converts a time literal to a canonical string, preserving the zone information."},{"ref":"RDF.Time.html#greater_than?/2","title":"RDF.Time.greater_than?/2","type":"function","doc":""},{"ref":"RDF.Time.html#less_than?/2","title":"RDF.Time.less_than?/2","type":"function","doc":""},{"ref":"RDF.Time.html#new/2","title":"RDF.Time.new/2","type":"function","doc":""},{"ref":"RDF.Time.html#new!/2","title":"RDF.Time.new!/2","type":"function","doc":""},{"ref":"RDF.Time.html#tz/1","title":"RDF.Time.tz/1","type":"function","doc":"Extracts the timezone string from a RDF.Time literal."},{"ref":"RDF.Time.html#validate_cast/1","title":"RDF.Time.validate_cast/1","type":"function","doc":""},{"ref":"RDF.Triple.html","title":"RDF.Triple","type":"module","doc":"Helper functions for RDF triples. A RDF Triple is represented as a plain Elixir tuple consisting of three valid RDF values for subject, predicate and object."},{"ref":"RDF.Triple.html#new/1","title":"RDF.Triple.new/1","type":"function","doc":"Creates a RDF.Triple with proper RDF values. An error is raised when the given elements are not coercible to RDF values. Note: The RDF.triple function is a shortcut to this function. Examples iex&gt; RDF.Triple.new {&quot;http://example.com/S&quot;, &quot;http://example.com/p&quot;, 42} {~I&lt;http://example.com/S&gt;, ~I&lt;http://example.com/p&gt;, RDF.literal(42)} iex&gt; RDF.Triple.new {EX.S, EX.p, 42} {RDF.iri(&quot;http://example.com/S&quot;), RDF.iri(&quot;http://example.com/p&quot;), RDF.literal(42)}"},{"ref":"RDF.Triple.html#new/3","title":"RDF.Triple.new/3","type":"function","doc":"Creates a RDF.Triple with proper RDF values. An error is raised when the given elements are not coercible to RDF values. Note: The RDF.triple function is a shortcut to this function. Examples iex&gt; RDF.Triple.new(&quot;http://example.com/S&quot;, &quot;http://example.com/p&quot;, 42) {~I&lt;http://example.com/S&gt;, ~I&lt;http://example.com/p&gt;, RDF.literal(42)} iex&gt; RDF.Triple.new(EX.S, EX.p, 42) {RDF.iri(&quot;http://example.com/S&quot;), RDF.iri(&quot;http://example.com/p&quot;), RDF.literal(42)}"},{"ref":"RDF.Triple.html#valid?/1","title":"RDF.Triple.valid?/1","type":"function","doc":"Checks if the given tuple is a valid RDF triple. The elements of a valid RDF triple must be RDF terms. On the subject position only IRIs and blank nodes allowed, while on the predicate position only IRIs allowed. The object position can be any RDF term."},{"ref":"RDF.Triple.html#values/2","title":"RDF.Triple.values/2","type":"function","doc":"Returns a tuple of native Elixir values from a RDF.Triple of RDF terms. Returns nil if one of the components of the given tuple is not convertible via RDF.Term.value/1. The optional second argument allows to specify a custom mapping with a function which will receive a tuple {statement_position, rdf_term} where statement_position is one of the atoms :subject, :predicate or :object, while rdf_term is the RDF term to be mapped. When the given function returns nil this will be interpreted as an error and will become the overhaul result of the values/2 call. Examples iex&gt; RDF.Triple.values {~I&lt;http://example.com/S&gt;, ~I&lt;http://example.com/p&gt;, RDF.literal(42)} {&quot;http://example.com/S&quot;, &quot;http://example.com/p&quot;, 42} iex&gt; {~I&lt;http://example.com/S&gt;, ~I&lt;http://example.com/p&gt;, RDF.literal(42)} ...&gt; |&gt; RDF.Triple.values(fn ...&gt; {:object, object} -&gt; RDF.Term.value(object) ...&gt; {_, term} -&gt; term |&gt; to_string() |&gt; String.last() ...&gt; end) {&quot;S&quot;, &quot;p&quot;, 42}"},{"ref":"RDF.Triple.InvalidPredicateError.html","title":"RDF.Triple.InvalidPredicateError","type":"exception","doc":""},{"ref":"RDF.Triple.InvalidPredicateError.html#message/1","title":"RDF.Triple.InvalidPredicateError.message/1","type":"function","doc":"Callback implementation for Exception.message/1."},{"ref":"RDF.Triple.InvalidSubjectError.html","title":"RDF.Triple.InvalidSubjectError","type":"exception","doc":""},{"ref":"RDF.Triple.InvalidSubjectError.html#message/1","title":"RDF.Triple.InvalidSubjectError.message/1","type":"function","doc":"Callback implementation for Exception.message/1."},{"ref":"RDF.Turtle.html","title":"RDF.Turtle","type":"module","doc":"RDF.Turtle provides support for reading and writing the Turtle serialization format. see https://www.w3.org/TR/turtle/"},{"ref":"RDF.Turtle.html#read_file/2","title":"RDF.Turtle.read_file/2","type":"function","doc":""},{"ref":"RDF.Turtle.html#read_file!/2","title":"RDF.Turtle.read_file!/2","type":"function","doc":""},{"ref":"RDF.Turtle.html#read_string/2","title":"RDF.Turtle.read_string/2","type":"function","doc":""},{"ref":"RDF.Turtle.html#read_string!/2","title":"RDF.Turtle.read_string!/2","type":"function","doc":""},{"ref":"RDF.Turtle.html#write_file/3","title":"RDF.Turtle.write_file/3","type":"function","doc":""},{"ref":"RDF.Turtle.html#write_file!/3","title":"RDF.Turtle.write_file!/3","type":"function","doc":""},{"ref":"RDF.Turtle.html#write_string/2","title":"RDF.Turtle.write_string/2","type":"function","doc":""},{"ref":"RDF.Turtle.html#write_string!/2","title":"RDF.Turtle.write_string!/2","type":"function","doc":""},{"ref":"RDF.Turtle.Decoder.State.html","title":"RDF.Turtle.Decoder.State","type":"module","doc":""},{"ref":"RDF.Turtle.Decoder.State.html#add_namespace/3","title":"RDF.Turtle.Decoder.State.add_namespace/3","type":"function","doc":""},{"ref":"RDF.Turtle.Decoder.State.html#next_bnode/1","title":"RDF.Turtle.Decoder.State.next_bnode/1","type":"function","doc":""},{"ref":"RDF.Turtle.Decoder.State.html#ns/2","title":"RDF.Turtle.Decoder.State.ns/2","type":"function","doc":""},{"ref":"RDF.Vocabulary.Namespace.html","title":"RDF.Vocabulary.Namespace","type":"module","doc":"A RDF vocabulary as a RDF.Namespace. RDF.Vocabulary.Namespace modules represent a RDF vocabulary as a RDF.Namespace. They can be defined with the defvocab/2 macro of this module. RDF.ex comes with predefined modules for some fundamental vocabularies in the RDF.NS module."},{"ref":"RDF.Vocabulary.Namespace.html#defvocab/2","title":"RDF.Vocabulary.Namespace.defvocab/2","type":"macro","doc":"Defines a RDF.Namespace module for a RDF vocabulary."},{"ref":"RDF.Vocabulary.Namespace.html#invalid_terms/0","title":"RDF.Vocabulary.Namespace.invalid_terms/0","type":"function","doc":""},{"ref":"changelog.html","title":"Changelog","type":"extras","doc":"Changelog All notable changes to this project will be documented in this file. This project adheres to Semantic Versioning and Keep a CHANGELOG."},{"ref":"changelog.html#0-6-2-2019-09-08","title":"Changelog - 0.6.2 - 2019-09-08","type":"extras","doc":"Added field base_iri on RDF.Graph structure which can be set via new base_iri option on RDF.Graph.new or the the new functions RDF.Graph.set_base_iri/2 and RDF.Graph.clear_base_iri/1 RDF.Graph.clear_metadata/1 which clears the base IRI and the prefixes RDF.IRI.coerce_base/1 which coerces base IRIs; as opposed to RDF.IRI.new/1 it also accepts bare RDF.Vocabulary.Namespace modules Changed RDF.Turtle.Decoder saves the base IRI in the RDF.Graph now RDF.Turtle.Encoder now takes the base IRI to be used during serialization inthe following order of precedence: from the the base option or its new alias base_iri from the base_iri field of the given graph from the RDF.default_base_iri returning the one from the application configuration RDF.PrefixMap.new and RDF.PrefixMap.add now also accepts terms from RDF.Vocabulary.Namespaces as namespaces Fixed Vocabulary namespace modules weren&#39;t always detected properly Compare v0.6.1...v0.6.2"},{"ref":"changelog.html#0-6-1-2019-07-15","title":"Changelog - 0.6.1 - 2019-07-15","type":"extras","doc":"Added RDF.IRI.to_string/1 returns the string representation of an RDF.IRI(implicitly resolving vocabulary namespace terms) RDF.Literal.matches?/3 for XQuery regex pattern matching RDF.Decimal.digit_count/1 and RDF.Decimal.fraction_digit_count/1 fordetermining the number of digits of decimal literals Fixed language literals were not properly unescaped during Turtle parsing RDF.Literal.new/1 can take decimals and infers the datatype xsd:decimal correctly true and false with capital letters are no longer valid RDF.Booleans following the XSD specification; the same applies for booleans in Turtle +INF is no longer a valid RDF.Double (positive infinity doesn&#39;t expect a sign) slightly improve output of errors during parsing of Turtle, N-Triples and N-Quads Compare v0.6.0...v0.6.1"},{"ref":"changelog.html#0-6-0-2019-04-06","title":"Changelog - 0.6.0 - 2019-04-06","type":"extras","doc":"see here for upgrading notes to RDF.ex 0.6 Added RDF.PrefixMap prefix management of RDF.Graphs: the structure now has a prefixes field with an optional RDF.PrefixMap new functions add_prefixes/2, delete_prefixes/2 and clear_prefixes/1 configurable RDF.default_prefixes RDF.Description.equal?/2, RDF.Graph.equal?/2, RDF.Dataset.equal?/2 and RDF.Data.equal?/2 Changed the constructor functions for RDF.Graphs and RDF.Datasets now take the graph name resp. dataset name through a name option, instead of the first argument RDF.Graph.new supports an additional prefixes argument to initialize the prefixes field when RDF.Graph.add and RDF.Graph.put are called with another graph, its prefixes are merged RDF.Turtle.Decoder saves the prefixes now RDF.Turtle.Encoder now takes the prefixes to be serialized in the following order of precedence: from the prefixes option (as before) from the prefixes field of the given graph from the RDF.default_prefixes drop support for OTP &lt; 20, since prefixes can consist of UTF characters which are not supported in atoms on these versions Compare v0.5.4...v0.6.0"},{"ref":"changelog.html#0-5-4-2019-01-17","title":"Changelog - 0.5.4 - 2019-01-17","type":"extras","doc":"Fixed issue with Elixir 1.8 RDF.write_file and RDF.write_file! delegators had wrong signatures Compare v0.5.3...v0.5.4"},{"ref":"changelog.html#0-5-3-2018-11-11","title":"Changelog - 0.5.3 - 2018-11-11","type":"extras","doc":"Added RDF.Triple.valid?/1, RDF.Quad.valid?/1 and RDF.Statement.valid?/1, which validate if a tuple is a valid RDF triple or RDF quad Compare v0.5.2...v0.5.3"},{"ref":"changelog.html#0-5-2-2018-11-04","title":"Changelog - 0.5.2 - 2018-11-04","type":"extras","doc":"Added RDF.Term.value/1 returning the native Elixir value of a RDF term RDF.Statement.values/1, RDF.Triple.values/1 and RDF.Quad.values/1 returning a tuple of RDF.Term.value/1 converted native Elixir values from a tuple of RDF terms RDF.Description.values/1, RDF.Graph.values/1, RDF.Dataset.values/1 and RDF.Data.values/1 returning a map of RDF.Term.value/1 converted native Elixir values from the respective structure of RDF terms for all of aforementioned values/1 functions a variant values/2 which allows to specify custom mapping function to be applied when creating the resp. structure RDF.Literal.compare/2, RDF.Literal.less_than?/2 and RDF.Literal.greater_than?/2for RDF.Datatype aware comparisons of RDF.Literals Fixed RDF.DateTime.equal_value?/2 and RDF.Date.equal_value?/2 did not handle timezones correctly -00:00 is a valid timezone offset on RDF.DateTime Compare v0.5.1...v0.5.2"},{"ref":"changelog.html#0-5-1-2018-09-17","title":"Changelog - 0.5.1 - 2018-09-17","type":"extras","doc":"Fixed generated Erlang output files of Leex and Yecc are excluded from Hex package Compare v0.5.0...v0.5.1"},{"ref":"changelog.html#0-5-0-2018-09-17","title":"Changelog - 0.5.0 - 2018-09-17","type":"extras","doc":"Added Possibility to execute simple SPARQL queries against RDF.Graphs with SPARQL 0.2 New RDF.Term protocol implemented for all structs representing RDF nodes andall native Elixir datatypes which are coercible to those modules. For now, itmainly offers, besides the coercion, just the function RDF.Term.equal?/2 and RDF.Term.equal_value?/2 for term- and value comparisons. New RDF.Decimal datatype for xsd:decimal literals and support for decimal literals in Turtle encoder RDF.Numeric module with a list of all numeric datatypes and shared functions for all numeric literals, eg. arithmetic functions Various new RDF.Datatype function RDF.Datatype.cast/1 for casting between RDF.Literals as specified in the XSD spec on all RDF.Datatypes logical operators and the Effective Boolean Value (EBV) coercion algorithm from the XPath and SPARQL specs on RDF.Boolean various functions on the RDF.DateTime and RDF.Time datatypes RDF.LangString.match_language?/2 Many new convenience functions on the top-level RDF module constructors for all of the supported RDF.Datatypes constant functions RDF.true and RDF.false for the two boolean RDF.Literal values RDF.Literal.Guards which allow pattern matching of common literal datatypes RDF.BlankNode.Generator Possibility to configure an application-specific default base IRI; for now it is used only on reading of RDF serializations (when no base specified) Changed Elixir versions &lt; 1.6 are no longer supported RDF.String.new/2 and RDF.String.new!/2 produce a rdf:langString when given a language tag Some of the defined structs now enforce keys on compile-time (via Elixirs @enforce_keys feature) when not setting the corresponding fields would lead to invalid structs, namely the following fields: RDF.IRI.value RDF.BlankNode.id RDF.Description.subject RDF.List.head Fixed RDF.resource?/1 does not fail anymore when called with unresolvable atoms but returns false instead RDF.IRI.absolute/2 does not fail with a FunctionClauseError when the given base is not absolute, but returns nil instead RDF.DateTime and RDF.Time store microseconds RDF.DateTime: &#39;24:00:00&#39; is a valid time in a xsd:dateTime; the dateTime value so represented is the first instant of the following day RDF.LangString: non-strings or the empty string as language produce invalid literals Compare v0.4.1...v0.5.0"},{"ref":"changelog.html#0-4-1-2018-03-19","title":"Changelog - 0.4.1 - 2018-03-19","type":"extras","doc":"Added RDF.Literal.new!/2 which fails when creating an invalid literal Changed RDF.Literal.new/2 can create rdf:langString literals without failing, theyare simply invalid; if you want to fail without a language tag use the new RDF.Literal.new!/2 function Compare v0.4.0...v0.4.1"},{"ref":"changelog.html#0-4-0-2018-03-10","title":"Changelog - 0.4.0 - 2018-03-10","type":"extras","doc":"Changed renamed RDF.Serialization behaviour to RDF.Serialization.Format; the new RDF.Serialization module contains just simple RDF serialization related functions renamed RDF.Serialization.Format.content_type/0 to RDF.Serialization.Format.media_type/0 moved RDF.Reader and RDF.Writer into RDF.Serialization module removed the limitation to serialization formats defined in the core RDF.ex package for use as a source of RDF.Vocabulary.Namespaces; so you can now also define vocabulary namespaces from JSON-LD files for example, provided that the corresponding Hex package is defined as a dependency Added RDF.Serialization.Formats define a name atom all RDF.Serialization.Reader and RDF.Serialization.Writer functions are now available on the RDF.Serialization module (or aliased on the top-level RDF module) and the format can be specified instead of a RDF.Serialization.Format argument, via the format or media_type option or in case of *_file functions, without explicit specification of the format, but inferred from file name extension instead; see the updated README section about RDF serializations the following functions to access available RDF.Serialization.Formats: RDF.Serialization.formats/0 RDF.Serialization.available_formats/0 RDF.Serialization.format/1 RDF.Serialization.format_by_media_type/1 RDF.Serialization.format_by_extension/1 Compare v0.3.1...v0.4.0"},{"ref":"changelog.html#0-3-1-2018-01-19","title":"Changelog - 0.3.1 - 2018-01-19","type":"extras","doc":"Added Collectable implementations for all RDF.Data structures so they can be used as destinations of Enum.into and for comprehensions Fixed Fix unescape_map in parse_helper for Elixir 1.6 (@ajkeys) Compare v0.3.0...v0.3.1"},{"ref":"changelog.html#0-3-0-2017-08-24","title":"Changelog - 0.3.0 - 2017-08-24","type":"extras","doc":"Added RDF.IRI as a more suitable URI/IRI representation for RDF, bringing enormous performance and memory consumption benefits (see here for the details about the improvements) Changed use RDF.IRI instead of Elixirs URI everywhere use the term iri instead of uri consistently, leading to the following function renamings: base_iri instead of base_uri for the definition of RDF.Vocabulary.Namespaces __base_iri__ instead of __base_uri__ in all RDF.Vocabulary.Namespaces __iris__ instead of __uris__ in all RDF.Vocabulary.Namespaces RDF.IRI.InvalidError instead of RDF.InvalidURIError RDF.Literal.InvalidError instead of RDF.InvalidLiteralError RDF.Namespace.InvalidVocabBaseIRIError instead of RDF.Namespace.InvalidVocabBaseURIError show compilation message of vocabulary namespaces always to be able to relate resp. errors and warnings Fixed when trying to resolve a term from an undefined module a RDF.Namespace.UndefinedTermError exception Compare v0.2.0...v0.3.0"},{"ref":"changelog.html#0-2-0-2017-08-12","title":"Changelog - 0.2.0 - 2017-08-12","type":"extras","doc":"Added full Turtle support RDF.List structure for the representation of RDF lists describes?/1 on RDF.Data protocol and all RDF data structures which checksif statements about a given resource exist RDF.Data.descriptions/1 which returns all descriptions within a RDF data structure RDF.Description.first/2 which returns a single object to a predicate of a RDF.Description RDF.Description.objects/2 now supports a custom filter function RDF.bnode?/1 which checks if the given value is a blank node Changed Rename RDF.Statement.convert* functions to RDF.Statement.coerce* Don&#39;t support Elixir versions &lt; 1.4 Fixed RDF.uri/1 and URI parsing of N-Triples and N-Quads decoders preserve empty fragments booleans weren&#39;t recognized as coercible literals on object positions N-Triples and N-Quads decoder didn&#39;t handle escaping properly Compare v0.1.1...v0.2.0"},{"ref":"changelog.html#0-1-1-2017-06-25","title":"Changelog - 0.1.1 - 2017-06-25","type":"extras","doc":"Fixed Add src directory to package files. Compare v0.1.0...v0.1.1"},{"ref":"changelog.html#0-1-0-2017-06-25","title":"Changelog - 0.1.0 - 2017-06-25","type":"extras","doc":"Initial release Note: This version is not usable, since the src directory is not part of the package, which has been immediately fixed on version 0.1.1."}]